commit 6738e77d7005f3ab2f4503be3482b45f86b42455
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 3 09:14:48 2025 +0200

    New version: 3.13.0

commit f9e45fdbd3774996fedc683a25061c06f6b5ddff
Merge: 0dc7f293 f28ee434
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 3 07:52:24 2025 +0200

    Merge pull request #1421 from vojtechtrefny/main_vm-image-tests-remove
    
    convert ImageBackedTestCase and VMBackedTestCase tests to StorageTestCase

commit f28ee434e691ea8594f53a77afd2b7c4910b6a8d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 2 15:47:36 2025 +0200

    tests: Skip translation tests if required locales aren't available

commit 1a19116a57f5e4fa812fca6d56ae4e3df8ce7b7f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 2 15:19:11 2025 +0200

    tests: Select only available libbytesize locales for size tests

commit 9924efed0e045ef7bde5c3dad85499c98e4100c6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 2 14:29:49 2025 +0200

    tests: Move VM tests to StorageTestCase
    
    We no longer have dedicated VMs to run the tests in so we should
    convert the test cases to "normal" storage tests.

commit b3f20abcf8f259e11a1f8d3a9ae9012d856b6300
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 2 11:19:38 2025 +0200

    tests: Move partitioning tests that don't need storage to unit tests

commit c3372f09ea5cc42a5fde3ec3322b9da97b6c9c6f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 2 11:00:52 2025 +0200

    tests: Move ImageBackedTestCase tests to StorageTestCase
    
    We don't need two separate test cases with "fake" disks, we can
    use the targetcli based test case for all.

commit 0dc7f2938a2f1adb24e68c015f0daab1bcc1f9d7
Merge: b982220b f6ce01af
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 1 12:47:51 2025 +0200

    Merge pull request #1420 from vojtechtrefny/main_misc-vagrantfile-remove
    
    misc: Remove custom Vagrantfile

commit b982220b209fb602f14728c5f76ba01b63d0ae25
Merge: f11e607f ec650069
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 1 12:43:31 2025 +0200

    Merge pull request #1419 from vojtechtrefny/main_tests-runtests-dasbus
    
    tests: Use dasbus in run_tests too

commit f6ce01afa6973bc9d5f6b7d2fe42a00946e0b793
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 1 12:06:08 2025 +0200

    misc: Remove custom Vagrantfile
    
    The original idea was to use this for testing and development but
    we never really did that and keeps getting out of date every 6
    months.

commit ec6500696f10a3c093f37b2e0a9dd30e7f02b590
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 1 12:04:38 2025 +0200

    tests: Use dasbus in run_tests too
    
    So we don't need python-dbus just to run the tests.

commit f11e607f52f21adc73e7dd0a617c001ffb0558a5
Merge: 74bd62d7 688d2a5e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 1 06:32:33 2025 +0200

    Merge pull request #1418 from vojtechtrefny/main_libblockdev-bump
    
    spec: Bump required version of libblockdev to 3.4.0

commit 688d2a5ed60c5d860b30b9bc8b0fd833e0e974b6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 30 13:15:10 2025 +0200

    spec: Bump required version of libblockdev to 3.4.0

commit 74bd62d742b310aac0e5d8571f68cdcc45579e8f
Merge: 43fbbcde f35eff7e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Sep 15 14:27:12 2025 +0200

    Merge pull request #1416 from vojtechtrefny/main_safe-dbus-dasbus
    
    Use dasbus for DBus connections

commit 43fbbcde220d4ae7a53496d6dd80071dc6d04c00
Merge: 2a3b143b a7bbc926
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Sep 15 10:39:34 2025 +0200

    Merge pull request #1417 from vojtechtrefny/main_luks-escrow-tech-separate
    
    luks: Check for LUKS escrow support separately

commit a7bbc9260f90472c73d687fb6a2416537e625a56
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 12 14:43:39 2025 +0200

    luks: Check for LUKS escrow support separately
    
    We shouldn't report a missing technology support if the escrow
    certificate support is not required when creating the LUKS format.

commit f35eff7e62c0ab39ed3b976c7957f396528bd29a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 12 11:35:57 2025 +0200

    Do not run Stratis populator on other formats than stratis and LUKS
    
    Only stratis and LUKS (for older style encrypted pools) can be
    a stratis device so there is no need to try to get stratis data
    for other formats and we can bail early.

commit 1e7c54092a764c8506c7b8bf29e9486e12d598c7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 11 16:04:29 2025 +0200

    Use dasbus for DBus connections
    
    We are currently using an old Anaconda code for DBus (client)
    connections. This can be replaced by the dasbus library also
    developed by the Anaconda team which is now widely available and
    supports everything we need.

commit 2a3b143b942620d1534117b0f517f52a40283b87
Merge: 4a1686ea 822c812a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 11 12:43:33 2025 +0200

    Merge pull request #1415 from vojtechtrefny/main_raid-luks-fix
    
    Run udev trigger after creating a new MD array

commit 822c812a276fe0b9fc1ed387bb68d663d9851f66
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 10 17:16:10 2025 +0200

    Fix assert in md_test.MDLUKSTestCase

commit 8f0585933d2228c7090761686c61300dea8c9abe
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 10 17:15:15 2025 +0200

    Run udev trigger after creating a new MD array
    
    In some cases udev needs a little encouragement to update member
    information.

commit 4a1686ea7f6b3cce7566c6abc0aa1610421b0134
Merge: 326c4342 5fe18cec
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 10 13:29:36 2025 +0200

    Merge pull request #1414 from vojtechtrefny/main_thin-percentage
    
    Add support for percentage based sizes for thin logical volumes

commit 5fe18cecc165627dde490f4d80a7184756e97fae
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 9 15:34:06 2025 +0200

    Add support for percentage based sizes for thin logical volumes
    
    Fixes: #1382

commit fd6beced119e3b09accc867316fda575ead21aeb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 9 13:24:03 2025 +0200

    Create helper functions for common code in LVM tests

commit a6a6548f5f3b34731ceec334f3dc0f50ebb5f59e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 9 12:56:59 2025 +0200

    Add tests for percentage based sizes and grow with LVM

commit 326c43427dde7ef1635d973a0b2129c09332f3e2
Merge: ade42281 a0ba8ac7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 28 15:17:44 2025 +0200

    Merge pull request #1413 from vojtechtrefny/main_btrfs-temp-mount-libblockdev
    
    Use libblockdev for (un)mounting for btrfs operations

commit a0ba8ac74a6eae11a733e8c44bce2bb3e66b96ac
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 28 14:35:42 2025 +0200

    Use libblockdev for (un)mounting for btrfs operations
    
    This also fixes issue where failed temporary mount was silently
    ignored (because `util.mount` doesn't raise an exception) and the
    operation that requires the btrfs device to be mounted then failed
    with a hard to decipher error message.
    
    Related: rhbz#2379800

commit ade42281451e2b0eccb5527c7e603b6d07a20797
Merge: 5de4ccda 728613e6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Aug 12 07:27:58 2025 +0200

    Merge pull request #1412 from storaged-project/dependabot/github_actions/actions/checkout-5
    
    infra: bump actions/checkout from 4 to 5

commit 728613e65aafe50b0f83c856dc83fe133043ffee
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Tue Aug 12 03:32:42 2025 +0000

    infra: bump actions/checkout from 4 to 5
    
    Bumps [actions/checkout](https://github.com/actions/checkout) from 4 to 5.
    - [Release notes](https://github.com/actions/checkout/releases)
    - [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/checkout/compare/v4...v5)
    
    ---
    updated-dependencies:
    - dependency-name: actions/checkout
      dependency-version: '5'
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 5de4ccdab7fc565dd2f1fd57606dd37ce0695514
Merge: 600140db a52d4ee0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 7 07:16:04 2025 +0200

    Merge pull request #1411 from vojtechtrefny/main_isicsi-startup
    
    tests: Make sure iscsi-init.service is started for iSCSI tests

commit a52d4ee0cd806c346acb54e625367e3952b7ca3f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Aug 6 13:10:16 2025 +0200

    ci: Add UDisks iSCSI module to test dependencies

commit 09e97a1f51e33aab0399aafce60130cd06071218
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Aug 6 11:15:38 2025 +0200

    ci: Run all tests in Packit
    
    This includes tests that are skipped when running in non-CI
    environment.

commit d1fd020ac3747f7c98da955074827750fa0f0c24
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Aug 6 11:14:26 2025 +0200

    tests: Add parameter to allow running CI-only tests too

commit 58a589d7b9f810b6883a4d3ba943276862e5736a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Aug 6 10:16:10 2025 +0200

    tests: Make sure iscsi-init.service is started for iSCSI tests

commit 600140db6795a81e528222e19c2181f20e8f048e
Merge: e95471c6 c74fe539
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Aug 4 15:38:35 2025 +0200

    Merge pull request #1408 from vojtechtrefny/main_stale-md-wipe-skip-activation
    
    Add a pre-wipe fixup function for LVM logical volumes

commit c74fe539302b384b7362548c1d0c106f457d6d9e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Aug 1 15:03:09 2025 +0200

    Add a pre-wipe fixup function for LVM logical volumes
    
    LVs scheduled to be removed are always activated to remove the
    format during installation. If there is a read-only LV with the
    skip activation flag with MD metadata this means after activating
    the LV to remove the format the MD array is auto-assembled by udev
    preventing us from removing it. For this special case, we simply
    stop the array before removing the format.

commit e95471c6df41098697280748ade97624bd6290b9
Merge: 0ac5dd3c 8cf14b48
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 29 13:55:30 2025 +0200

    Merge pull request #1407 from vojtechtrefny/main_luks_set_label
    
    LUKS label and subsystem support

commit 8cf14b48a9f69e5c2e896c993c91d046bb7f6e62
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 28 15:33:48 2025 +0200

    Add support for changing label on LUKS format

commit 9f95deee872357f8f86531a2f2ca9ffd1ffe907f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 28 14:35:17 2025 +0200

    Add support for specifying label and subsystem for LUKS format

commit 0ac5dd3cbcefe192d7619478f0cbba0d7ae4bca5
Merge: 111d1ead 298351cb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 23 10:15:32 2025 +0200

    Merge pull request #1406 from vojtechtrefny/main_fix-stale-pv-on-md-remove
    
    Fix removing stale LVM metadata on MD with devices file

commit 298351cb998c700e08a65767ddefd364137c5e74
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 22 11:50:56 2025 +0200

    Fix removing stale LVM metadata on MD with devices file
    
    To be able to remove the PV or VG on a newly create MD array we
    need to call the vg/pvremove with `--devices=<md path>` because the
    new array is not in the list of allowed devices.

commit 111d1eade84a8024726202e24f2b18abc71c5650
Merge: 9b1a81c5 fb412b2c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 22 09:13:18 2025 +0200

    Merge pull request #1405 from vojtechtrefny/main_ddf-test-fix
    
    Fix udev race condition in DDF RAID test case

commit fb412b2cc06bf00de5ea5a91f2a1cd1d354b879e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 21 12:46:10 2025 +0200

    pylint: Ignore some new false positives with the latest pylint
    
    See also https://github.com/pylint-dev/pylint/issues/10433

commit 1fa26c933a80ecb59f4517cbfb760f8a5e735101
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 21 11:33:22 2025 +0200

    tests: Add udev trigger and settle calls after creating DDF array
    
    The array is created outside blivet for this test case so we need
    to make sure udev database is up-to-date.

commit a7631579abc84da19079653425c1eaddc9453e86
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 21 11:32:45 2025 +0200

    tests: Do not run do_it in DDF MD RAID test
    
    We are not creating anything using blivet here.

commit 9b1a81c5f854b43b4a210b79b3bd7bdf499458d6
Merge: 8aa49763 65c54c56
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 21 09:08:38 2025 +0200

    Merge pull request #1404 from vojtechtrefny/main_python-build-process-modernization
    
    Python build process modernization

commit 65c54c56983d8f46255a7acd721c524f38dfd90a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jul 18 14:08:21 2025 +0200

    Run python build with --no-isolation
    
    We want to use system packages when creating the archive and not
    let Python/PIP download everything again into a venv.

commit 337db8dcacdd959cd4d36e6157f06f7a786dab2c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jul 18 13:37:57 2025 +0200

    ci: Do not use setup.py install in anaconda tests

commit abbdcdf6353a5982abaaed2fd637c802b6c3ca39
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jul 18 13:37:16 2025 +0200

    Add make target for making a PyPI release

commit a139a1877b42515e266b9171b04d60af98747034
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 17 11:13:36 2025 +0200

    Adjust makebumpver script to work with pyproject.toml

commit b2043b34552772eeed3843e1dea24a05e9606561
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 16 13:37:52 2025 +0200

    Run pip install with --no-deps --no-build-isolation in make install
    
    Without these pip will try to install dependencies and build
    dependencies even if already satisfied by system packages.

commit db916ec78594b0d297cd69a6d181c9370d9fa8a0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 16 13:21:13 2025 +0200

    spec: Add macros to automatically install build dependencies

commit 8d4e3624d112e8860c4a3472e9be7a88d6c03370
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 16 13:12:08 2025 +0200

    packit: Add python3-build to SRPM dependencies
    
    Needed to create the source archive.

commit 96eae15cb14162088150efc6e9e84ab19eea9dcd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 16 11:35:06 2025 +0200

    Move all project definitions from setup.py to pyproject.toml

commit ada4bd46b8ad708e652959e8a987a5bdb410f3f7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 16 10:56:57 2025 +0200

    Remove unused targets from Makefile

commit 53e49fdb38229dafaff472f9b02468695e8b75ce
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 16 10:49:51 2025 +0200

    Remove unused custom setuptools.findall method from setup.py
    
    This was originally added to include all the symlinks in edd_tests
    but the tests tarball is now created separately with git archive.

commit 4716cb0982dd93e9b2abca8863b4efd8d36510fa
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 15 15:26:21 2025 +0200

    Include "dbus" directory in MANIFEST.in
    
    Now that these files are not included by data_files in setup.py

commit c8c7143db8ba102c82b3cfda88ce6f12852bae01
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 15 15:16:51 2025 +0200

    Use "pip install" instead of "setup.py install" in Makefile
    
    "setup.py install" is deprecated.

commit 0f0fd84dd01d151df2170988fc9acb28286e644e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 15 15:15:09 2025 +0200

    Install DBus config files manually
    
    "data_files" cannot be used with pip to install to system folders.

commit cdd1f3836ed3f7ea91332131d9e86bc2b7d63e20
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 15 13:34:09 2025 +0200

    Add a simple pyproject.toml
    
    Not replacing setup.py yet, just a simple build system and
    build dependencies definition.

commit 72dc62df07d0d2fd552f90e7833e2c77e228d78c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 15 13:28:03 2025 +0200

    Use "python -m build" instead of setup.py to generate archive
    
    Using "setup.py sdist" is deprecated.

commit bf3538692b0c30534f2e9ed8c99432262b55b3e8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 15 13:27:36 2025 +0200

    setup.py: Remove custom sdist function

commit 8aa49763e78a44f2ff2c43c515b9a2a27ad82180
Merge: 1b0157a7 dcf49c5d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jul 11 11:17:56 2025 +0200

    Merge pull request #1397 from abadger/group-device-type-constants
    
    Group DEVICE_TYPE_* constants in an Enum

commit dcf49c5da03001c6cfbc699030f36abd09d5c7fe
Author: Toshio Kuratomi <a.badger@gmail.com>
Date:   Mon Jun 23 08:01:53 2025 -0700

    Group DEVICE_TYPE_* constants in an Enum
    
    For other code using blivet, it is useful to know all of the device types that blivet supports.
    This is better accomplished by grouping all of the device type constants into an Enum type so that
    the consuming code can import just the Enum and then retrieve all the values it needs from there.
    
    This code makes the Enum the canonical source for that information but also recreates the variables
    that have existed up to now from the new Enum.

commit 1b0157a7f0753e92473c9d91644b3fea8fdd45f7
Merge: 2ba58579 6a966ef3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jul 4 12:55:03 2025 +0200

    Merge pull request #1402 from vojtechtrefny/main_deprecated
    
    Fix multiple deprecation warnings

commit 6a966ef3f124d7ee193401f03dd266f5d6063ae9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jul 4 09:25:38 2025 +0200

    Do not return unittest.skip from test cases
    
    Returning non-None from tests is deprecated.

commit 2ba5857941e2d64b4e6f29f5c7862627ff234b9c
Merge: 835397e1 bb696202
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jul 4 06:50:50 2025 +0200

    Merge pull request #1401 from vojtechtrefny/main_cpe23-fix
    
    tests: Fix reading distro and version from CPE version 2.3

commit 8abe962f4e3aa804c4731e39ceadb145770f3cf6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 3 16:25:35 2025 +0200

    Use staticmethod with functools.partial in ObjectID
    
    functools.partial will be changed to a method descriptor in future
    Python versions.

commit e3f1e31dfe270a1d5317b3b4adfe678825dd0b23
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 3 16:01:21 2025 +0200

    udev: Use the Device.properties API when accessing subsystem
    
    Accessing the property directly is deprecated and will be removed
    in the future.

commit 0aaad4ec406b47c39b4e49c4757bdec8da9c2847
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 3 15:54:16 2025 +0200

    Use constructor when creating BlockDev.ExtraArgs
    
    Passing arguments to gi.types.Boxed.__init__() is deprecated.

commit e8b9c2135732e8bfd60e4270c782f9043f222c89
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 3 15:15:15 2025 +0200

    Remove the "debug_threads" flag
    
    It was used only to enable verbose logging for threading.RLock
    which is deprecated and we removed it's usage from our code.

commit 83f9f8ed1852f571502dbc4e0f79a0199aff1728
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 3 15:14:36 2025 +0200

    Do not use the "verbose" argument with threading.RLock
    
    Passing arguments to RLock is deprecated and will be removed in
    3.15.

commit bb696202fa44b7d516f5cdff7a699e32edc982df
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 3 11:20:44 2025 +0200

    tests: Fix reading distro and version from CPE version 2.3

commit 835397e1b4e90450aeb575f015a3a5ed0dc794f5
Merge: 086797a9 51799f42
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jun 30 15:19:13 2025 +0200

    Merge pull request #1399 from vojtechtrefny/main_lvmdbusd-refresh
    
    Tell LVM DBus to refresh it's internal status during reset

commit 51799f42741eafdb681b61cb9c2c35c32dd4c26b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jun 27 11:28:09 2025 +0200

    Tell LVM DBus to refresh it's internal status during reset
    
    Unfortunately some users run wipefs <disk> thinking it's enough
    to remove all devices on top of the disk cleanly.
    In cases where the PV is not directly on the disk, LVM DBus
    doesn't get a udev event and doesn't remove the VG and LVs from
    DBus so we think these still exist.

commit 086797a98c812dffa0e1dc472caeafc0e3deca8c
Merge: b070f4cf adb20694
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jun 27 08:56:25 2025 +0200

    Merge pull request #1398 from pastalian/fix-vgname-length
    
    Shorten the safe_device_name length to 55 characters

commit adb206944e190405cbe5c81bdb03abe4bf04e52f
Author: Takuya Wakazono <takuya.wakazono@miraclelinux.com>
Date:   Fri Jun 27 03:02:15 2025 +0900

    Shorten the safe_device_name length to 55 characters
    
    Anaconda may use the hostname for the auto-generated vgname. However,
    since the hostname can exceed 55 characters, which is considered an
    invalid length by is_lvm_name() [1], we need to ensure that these
    auto-generated names are properly truncated.
    
    [1] https://github.com/storaged-project/blivet/blob/b070f4cf918d5cb80bb4f84d1963bbdc5fbfbe3c/blivet/devicelibs/lvm.py#L273-L278

commit b070f4cf918d5cb80bb4f84d1963bbdc5fbfbe3c
Merge: 17750451 6adee4cc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 17 14:16:36 2025 +0200

    Merge pull request #1396 from vojtechtrefny/main_spec-sync-2
    
    Sync spec with downstream

commit 6adee4cc77cb783d3a842e1c4df85fc078bb8903
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 17 13:29:50 2025 +0200

    Fix creating tests archive during 'make local'
    
    We want the test files to have the blivet-<version> prefix to
    extract to the same directory as the code. 'make archive' is
    already doing this.

commit 50905e11a8090fd468648f0901671fcd11bf0631
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 17 13:18:24 2025 +0200

    Sync spec with downstream

commit 177504518cf4d727bcbac186882abe5b6e9ff9c0
Merge: 6c81df43 68d4750f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 17 12:51:48 2025 +0200

    Merge pull request #1395 from vojtechtrefny/main_tests-in-rpmbuild-check
    
    tests: Skip test_detect_virt on systems without running DBus

commit 68d4750fdc0cd03a84a9a42e5dcd16b715f089d8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 17 10:33:31 2025 +0200

    tests: Skip test_detect_virt on systems without running DBus
    
    This will allow to run unit tests in %check during RPM build in
    Koji.

commit 6c81df437be297155f3e32afbf791248116ac6f0
Merge: 7b90a440 e231d01e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 10 08:38:23 2025 +0200

    Merge pull request #1394 from vojtechtrefny/main_fix-missing-value-name
    
    Fix getting missing libblockdev technologies with Python 3.14

commit e231d01e62be2914d659df15e5adc78f0aa3ec34
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jun 9 20:59:32 2025 +0200

    Fix getting missing libblockdev technologies with Python 3.14
    
    Hotfix for rhbz#2371256. Technologies in libblockdev are defined
    as enums and we are using 'value_name' to get the technology name/
    description in blivet. For some unknown reason the 'value_name'
    attribute from GLib.GEnumValue is not available with Python 3.14.
    This needs to be investigated more thoroughly, but for now we can
    just not include this information.
    
    Resolves: rhbz#2371256

commit 7b90a440d9ec0863d42e5fdf937a76d192605dd1
Merge: bfdf8e5f 6dd55731
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 4 15:57:01 2025 +0200

    Merge pull request #1393 from vojtechtrefny/main_git-multi-merge-remove
    
    scripts: Remove the git-multi-merge helper script

commit 6dd5573166318b81ffcb2eda7a622a9b244d0bab
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 4 15:13:04 2025 +0200

    README update
    
    Documentation on Read the Docs is not being updated and the
    information from wiki were moved to the Contributor's guideline.

commit f03c7eb36645c07eeffe7fd4d17c360850ce41ba
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 4 15:09:13 2025 +0200

    scripts: Remove the git-multi-merge helper script
    
    We are no longer using the branching model that required this
    script.

commit bfdf8e5faa1ace76d7a49cd94f68b7d71b8628e9
Merge: 7db2698a 1c87ae12
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jun 2 06:49:25 2025 +0200

    Merge pull request #1392 from vojtechtrefny/main_recursive-remove-no-format
    
    Do not try to destroy "None" formats in recursive_remove

commit 7db2698a45a3ad33241c0d2b1a9c2c9606e01931
Merge: 53f74344 d7dddd47
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri May 30 14:38:57 2025 +0200

    Merge pull request #1389 from vojtechtrefny/main_partition-wipe-end
    
    Wipe end partition before creating it as well as the start

commit 1c87ae12241f892fa3965440b47f6469209db038
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri May 30 11:24:42 2025 +0200

    Do not try to destroy "None" formats in recursive_remove
    
    This just runs wipefs on empty devices needlessly. destroy_device
    already has the same check to skip adding the format destroy
    action on devices without formats.

commit d7dddd472da8fa93cb7033a27f4d1dc12ec8fb9e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 28 11:01:14 2025 +0200

    tests: Add tests for wiping stale metadata from new partitions

commit 7bdc5a03aa1c824a1dd02820d7852e8d87cb9480
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 27 14:10:49 2025 +0200

    Wipe end partition before creating it as well as the start
    
    We are currently overwritting start of the newly created partition
    with zeroes to remove any filesystem metadata that might occupy
    the space. This extends this functionality to end of the partition
    to remove 1.0 MD metadata that might be there.

commit 53f743446e4360e13f095a2b4a3dd8972d8bfce6
Merge: 1bdc451b a3e45ebe
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 28 08:20:47 2025 +0200

    Merge pull request #1387 from vojtechtrefny/main_udev-broken-device-protect
    
    Protect against broken devices in udev.device_is_nvme_namespace

commit 1bdc451b6cb21a73bb9485fb20fd069723e6867e
Merge: d4a1037e f6a30d3b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 27 16:44:38 2025 +0200

    Merge pull request #1388 from vojtechtrefny/main_basic-partitioning-tests
    
    Add some basic partitioning storage tests

commit f6a30d3b02be6e97e5054d6f26f4137883a9c78d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 27 15:21:23 2025 +0200

    Add some basic partitioning storage tests
    
    This supplements the existing tests which use sparse files. These
    new test cases actually run do_it() and check the result after
    reset. More test cases will follow.

commit a3e45ebe5d16ef65615d7d24dcecd4947de93728
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 27 10:06:44 2025 +0200

    Protect against broken devices in udev.device_is_nvme_namespace
    
    This function is used to check all disks so a broken disk-like
    device (like a firmware RAID) can crash populate without this.

commit d4a1037e5d5279b582bf6ab6abb1c9d087dec8af
Merge: 23a46258 6d523662
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 21 08:15:10 2025 +0200

    Merge pull request #1383 from vojtechtrefny/main_actions-optional
    
    Make ActionDestroyFormat optional when the device is also scheduled to be removed

commit 23a46258281cf7b1463bc6c7bcb844363a8b9248
Merge: 822745e2 bd74483e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 20 14:07:33 2025 +0200

    Merge pull request #1384 from vojtechtrefny/main_run-tests-fix
    
    tests: Clarify usage of logdir and logging enabling

commit bd74483e535604f62b680a29c2e06c128abeeac8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 20 13:33:19 2025 +0200

    tests: Clarify usage of logdir and logging enabling

commit 6d523662562d9a1e9b651f790f0f88c9d7c9e202
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 20 13:02:00 2025 +0200

    tests: Add test case for removing broken thin pool

commit 4b52c311377aed60c29cc6046c8060eefbd4a72a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon May 19 14:24:06 2025 +0200

    tests: Add a simple test case for optional format destroy action

commit 6db20d6ead8722927ec56d388778ecc42977b6ce
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri May 16 17:28:40 2025 +0200

    Make ActionDestroyFormat optional when device is also removed
    
    In both destroy_device and recursive_remove we try to remove both
    the device and its format. In these cases the format destroy can
    be considered to be optional and we don't need to fail just
    because we failed to remove the format.

commit 77593e01596a0d6c43108f4dafb6dcd780d47069
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri May 16 17:15:17 2025 +0200

    Allow ActionDestroyFormat to be marked as optional
    
    When we are also planning to remove the device, failing to remove
    the format is not critical so we can ignore it in these cases.

commit 822745e2d12aa298bbd2730da7f4fff7f5a4f22b
Merge: b762c674 1de20bca
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 15 15:24:52 2025 +0200

    Merge pull request #1381 from vojtechtrefny/main_stratis-lock-deactivate-support
    
    Stratis 3.8.0 changes adjustment

commit 1de20bca34001cbb1aeb02d791abdd5ce53dc09a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 14 17:10:09 2025 +0200

    Fix removing stopped stratis pools
    
    Stopped pools cannot be removed so for these the destroy action
    is noop and the pool will be removed only after removing the
    underlying stratis block devices (or after activating it).

commit e570dbc273b3414aa4c8d78d0764bf3749c221ba
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 14 16:25:02 2025 +0200

    Add tests for stopping and starting stratis pools

commit 1670f6e3500967cf28f22db9b14d2b69986df3ff
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 14 15:59:38 2025 +0200

    Include stopped stratis pools in devicetree
    
    For backwards compatibility "old-style" encrypted locked pools
    are not added to the tree.

commit 6cc2fa922e6e1facee8e9f98820f69b719020697
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 14 14:07:53 2025 +0200

    Remove stray debug print from devicelibs/stratis

commit 2f2dd6857c66f6cd20f7efa097502c559ef2abe2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 14 14:04:10 2025 +0200

    Add support for starting stopped stratis pools
    
    Also base stratis pool status on the stopped pool information.

commit 0cb953973e24e63ae5556d462faca75718630759
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 14 13:09:03 2025 +0200

    Add list of stopped pools to stratis static data

commit 837fb1dd8a53bd433e0a1ae85b5f8a639943653b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 14 12:38:07 2025 +0200

    Do not stop stratis pools before removal
    
    Stopped pools cannot be removed.

commit f4aea77f4089ff0f7d974306c275bb4afcb69fc8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 14 11:19:03 2025 +0200

    Add support for stopping stratis pools
    
    Newer versions of stratis now support stopping (and starting) of
    pools.

commit e2adfaaea2c6513e3f9cab8aec80e13b6cb455ed
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 14 11:18:02 2025 +0200

    Add status property for stratis pools

commit 9631be5512a8183c90ab6a846c8934a4d4552f54
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 13 14:54:40 2025 +0200

    Fix unlocking pools with Stratis 3.8.0
    
    Locked pools need to be unlocked using the StartPool function with
    latest stratisd.

commit f7699d3e0d60676d5e1244ed8bbc28ec8df7ee1a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 13 14:48:26 2025 +0200

    Fix getting list of locked pools with Stratis 3.8.0
    
    The LockedPools property no longer works with latest stratisd.

commit b762c67486e140a08a67a7fe5887f61007a225cb
Merge: 8d1c17e2 e638236a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 13 09:49:13 2025 +0200

    Merge pull request #1380 from vojtechtrefny/main_udev-fssize-fixes
    
    More fixes for getting FS size from udev

commit e638236af1d592686c4e4ba5c7a802b63a0391da
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 7 12:31:58 2025 +0200

    tests: Add a simple test case for FS size task

commit ee5c577b72d8af5472fcbbc3a04402d69e88b345
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 7 12:31:25 2025 +0200

    Trigger an udev event before getting FS size from udev
    
    Just to make sure udev has up-to-date information.

commit bc55bed6747a563b0085069992ae46d845e3ede8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 7 12:30:25 2025 +0200

    Get FS size from udev only for filesystems known to be supported
    
    Only some filesystems report correctly their size in udev so we
    should not try for all by default.

commit 70b30f515947f8119616012f2f37d5035f98ef8e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 7 12:27:11 2025 +0200

    udev: Add an option "path" argument to trigger
    
    So we can trigger an event using device path, not only the sysfs
    name.

commit 8d1c17e2716806efe557a0a8f7319ee1dea352b3
Merge: 0ee6dd3d caa71342
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 7 09:45:24 2025 +0200

    Merge pull request #1379 from vojtechtrefny/main_fs-size-udev-fix
    
    Fix getting filesystem size from udev

commit caa71342f461fb4c87f0a1421a74bf29b089ef74
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 6 12:32:28 2025 +0200

    Fix getting filesystem size from udev
    
    We cannot use ID_FS_SIZE, for some filesystems (like XFS) this
    doesn't include the filesystem metadata.
    
    See also https://github.com/storaged-project/udisks/pull/1115

commit 0ee6dd3de9c2961737fb0ae03a55ac8e40a0b8be
Merge: 709b3e3a 96e82883
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 30 07:22:08 2025 +0200

    Merge pull request #1378 from vojtechtrefny/main_shared-lv-activate-fail-fix
    
    Fix expected exception type when activating devices in populor

commit 96e8288367b5e2b6de27fbd33b47672131f6b982
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 29 08:09:06 2025 +0200

    Fix expected exception type when activating devices in populor
    
    We are no longer raising libblockdev exceptions in our public API
    calls (see #1014) so when calling setup() ourselves we need to
    catch our exceptions instead of libblockdev ones as well.
    
    Resolves: rhbz#2362743

commit 709b3e3a9b96e03a7b7b233ab4b8939bcf6280c0
Merge: beb95639 3d750e51
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Apr 17 08:33:30 2025 +0200

    Merge pull request #1375 from vojtechtrefny/main_md-test-udev-trigger
    
    tests: Add udev trigger call after creating MD array for tests

commit 3d750e51295853b4a35a74d0d668f3bb80d08546
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 16 18:56:02 2025 +0200

    tests: Add udev trigger call after creating MD array for tests
    
    When manually creating the array using mdadm sometimes one of the
    "legs" doesn't have the linux_raid_memeber format set in udev DB.

commit beb95639d4125e058b76c86bb3d9b02fa06b0e1c
Merge: dce2766b 43ea0829
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 16 11:40:53 2025 +0200

    Merge pull request #1372 from vojtechtrefny/main_resolve-non-existing-subvolume-fix
    
    Fix resolve_device for non-existing btrfs subvolumes

commit 43ea0829a98fc1e3c2c7797aa6f657a0c4df374e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 16 09:44:31 2025 +0200

    Fix resolve_device for non-existing btrfs subvolumes
    
    We don't want to return the parent volume when a non-existing
    subvolume is specified in subvolspec or options.
    
    Fixes: #1134

commit dce2766b0ba795da776e0233483e32a1a28470ba
Merge: 996c0a62 8c6390d8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Apr 14 12:10:58 2025 +0200

    Merge pull request #1366 from vojtechtrefny/main_misc-tests-update
    
    Various small test improvements

commit 8c6390d83a64576fe6dbf15008a9c9a6d862e461
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Apr 14 11:25:03 2025 +0200

    ci: Skip the new RAID tests on CentOS/RHEL 9 too

commit b144607c4c6be2576fd975f8454a1601daeabdeb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 11 15:31:40 2025 +0200

    tests: Remove code duplication in storage tests setup

commit 7b01f2aa471a228e45f7e66076b6eef754b1dadf
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 11 14:25:21 2025 +0200

    tests: Limit number of disks created for tests
    
    Creating the disks with targetcli is an expensive operation so
    lets limit the number of disks created to the minimum required by
    each test case.

commit 4274cbccc639d4abc3eb2a1553012b7c1d42c13f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 11 14:22:17 2025 +0200

    Release notes markup fix

commit 70bf28c8616d5cc01cb96844a4ce1849b2216177
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 11 14:20:12 2025 +0200

    tests: Use pbkdf2 for non-LUKS tests with encryption
    
    We can significantly speed up the tests if we use pbkdf2. We will
    keep testing the defaults in LUKS test cases but we have other
    tests that use encrypted devices but don't need to use the default
    setup.

commit 996c0a62d1c51479db86fba1a85772e6dadf7e3f
Merge: 97be50f0 a5ba698b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Apr 10 10:45:50 2025 +0200

    Merge pull request #1363 from vojtechtrefny/main_exfat-formatting-support
    
    Add support for creating ExFAT filesystem

commit 97be50f07abf6869c8451b2c15125f547f985a2b
Merge: a6bad37e cb16afac
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 9 08:17:33 2025 +0200

    Merge pull request #1365 from vojtechtrefny/main_parted-device-cache-drop
    
    Drop parted device cache during reset v2

commit cb16afac2c041ff68bd5f19a9b38200b5cf9410e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 8 14:15:48 2025 +0200

    Add test case with RAID re-created outside blivet
    
    Related: rhbz#2357214

commit b085c6e3a3ab1068dd2a94e4266b299f7ae9af5f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 8 13:03:54 2025 +0200

    Drop parted device cache during reset
    
    Parted caches information about about devices internally.
    The cache is based on device name so when recreating a device
    using the same name but different size (e.g. when removing RAID0
    array and creating RAID1 array with the same name) the cached
    information, including device size, is used by parted. This means
    that during next reset() call parted will think the device is
    bigger and tries to fix the partition table on the array breaking
    it instead.
    
    Resolves: rhbz#2357214

commit a5ba698bedc78844129faf24d7791a91be623aa8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sun Apr 6 16:54:31 2025 +0200

    ci: Add exfatprogs to test dependencies

commit e61aff6d8e875df3f71968bd4820c9fa48cb3b8c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sun Apr 6 16:28:42 2025 +0200

    Add support for creating ExFAT filesystem

commit a6bad37eb38f60b4216bf3b13472a2930a9b01e9
Merge: e35342b4 b752e792
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 4 07:19:08 2025 +0200

    Merge pull request #1362 from vojtechtrefny/main_udev-no-parents-fix
    
    Fix handling devices with "no" parents in udev

commit e35342b49f0f61de48c7e0c28b3f76eb33a28543
Merge: b3cf5e21 5bae68da
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 4 07:18:57 2025 +0200

    Merge pull request #1361 from vojtechtrefny/main_temp-mount-ro
    
    Make FS temporary mounts read-only

commit b3cf5e2109f9e821eeda9231287e4d160bd496b6
Merge: fda32067 36b8b996
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 4 07:18:48 2025 +0200

    Merge pull request #1360 from vojtechtrefny/main_fix-mount-no-options
    
    Fix calling mount without options

commit b752e792584d38f15960980a85544cd27e93f703
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Apr 3 12:06:53 2025 +0200

    Fix handling devices with "no" parents in udev
    
    Another attempt to make blivet.reset() more stable and not crash
    when encountering broken devices. This is triggered by lingering
    MD device after removing it's parent devices. The MD device itself
    will be "broken" and unusable in blivet, but at least the reset/
    populate call won't end with an error.

commit 5bae68da57ce08abe1e0d8cbd4e8aa58ef6e0680
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Apr 3 11:12:51 2025 +0200

    Make FS temporary mounts read-only
    
    These temporary mount operations are to gather information about
    the filesystem, we don't need read-write mount for these so lets
    be a bit safer and do a read-only mount.

commit 36b8b996bb7444616c8f6e155700d016e7138155
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Apr 3 10:54:43 2025 +0200

    Fix calling mount without options
    
    Make sure we are not adding "-o ''" to the mount call

commit fda32067afb501d2303bdd60ccfda695fe1852ca
Merge: ef1c6ecd d6b27ee6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 2 12:11:35 2025 +0200

    Merge pull request #1359 from vojtechtrefny/main_raid-metadata-tests
    
    New MD RAID storage test case

commit d6b27ee6c0c37d7c3851353e409364f6b9cd78a3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 2 08:51:07 2025 +0200

    tests: Limit number of disks created for MD RAID tests
    
    We don't need 4 disks for all tests.

commit ee887a6953c49527b1a5dc9cce60773091503a68
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 1 15:00:23 2025 +0200

    tests: Remove stray print from md_test

commit c98ea80439194b7659e0308053a8e7dc07a11c85
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 1 14:24:30 2025 +0200

    tests: Add test case for MD RAID on top of disks

commit b9c38597b90a935f89e60383798d1788437de427
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 1 13:00:03 2025 +0200

    tests: Add test cases for MD RAID with metadata ver 1.0 and 1.1

commit ef1c6ecd28df27b6568c591dead72d59d7733ff6
Merge: a0225375 4aa6a18d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 26 07:36:29 2025 +0100

    Merge pull request #1354 from vojtechtrefny/main_luks-context-wip
    
    Allow using multiple "contexts" for LUKS

commit 4aa6a18dabd96ea0d44021ae2baa9eb665724fae
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Mar 21 16:28:53 2025 +0100

    Adjust LUKS static data to the new context/passphrase API

commit 6c0d2107e0506bab86f6be971a3f0c66f7b35cfe
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 19 17:10:08 2025 +0100

    Make "contexts" a property of LUKS format
    
    This way we can protect it from being overwritten and also
    document its usage better.

commit 798c8ba083ce3fdb1ea1b853a4170f17b374330c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 19 16:49:55 2025 +0100

    Add note documenting the LUKS key slot contexts usage

commit 39557e437a409aa71eb883e02af314a0a8898087
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 18 14:28:26 2025 +0100

    Add tests for working with LUKS contexts

commit c56b4d5880a4afcb4f98b83434a18083a93c8f0a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 18 12:43:09 2025 +0100

    Rework adding and removing keys to/from LUKS
    
    add_password and remove_password are kept for backwards
    compatibility, add_key and remove_key which work with contexts
    should be prefered.

commit 408d2932960c1a786a90b3aa591913b1118a7dd9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 6 11:43:36 2025 +0100

    Allow removing contexts by setting passphrase or key file to None
    
    This is for backward compatibility, Anaconda sets passphrase to
    None to remove passphrases that don't work.

commit 397a52579a2b351c4d61c0e4a3c7ae4d036c6387
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 6 10:54:04 2025 +0100

    Add support for using multiple passphrases or key files with LUKS
    
    Currently one passphrase and one key file can be specified when
    creating or managing LUKS devices. This means a second passphrase
    can be added only manually after creating the LUKS format. This
    change add support for specifying multiple "key slot contexts"
    for the LUKS format. This will also allow using some more advanced
    "contexts" for LUKS in the future, like referencing keys saved in
    the kernel keyring or creating LUKS devices protected with TPM.
    
    The original API for setting passphrase and key file will not be
    removed, but it internally uses the new "context" API.

commit a022537502413672be6bad668855a5205e87e686
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 19 09:56:47 2025 +0100

    New version 3.12.1

commit b62c93c26e6deee42afa041d4725e8c3844fb962
Merge: a4c6ffc4 a1c04ad3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 13 07:24:55 2025 +0100

    Merge pull request #1353 from vojtechtrefny/main_fssync-chroot-fix
    
    Fix running filesystem sync in installation environment

commit a4c6ffc4e11f70f62e2ca617f7a4bfed44826642
Merge: 08ba6fbe c8c5723c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 13 07:24:07 2025 +0100

    Merge pull request #1352 from vojtechtrefny/main_luks-persistent-discard-test
    
    Add a simple test for setting the allow-discards flag on LUKS

commit a1c04ad319dbcd7eec4dd61a2833d85108fc02ba
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 12 15:12:56 2025 +0100

    Fix running filesystem sync in installation environment
    
    Originally we had to run the sync operation in chroot so we needed
    to remove the chroot prefix from the mountpoint, but we switched
    to using the ioctl calls directly which don't run in chroot so we
    need to use the "full" mountpoint (including the chroot prefix)
    now.

commit c8c5723ca95098081da1a82e75bcb5357b9dc55a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 12 11:08:00 2025 +0100

    Add a simple test for setting the allow-discards flag on LUKS

commit 08ba6fbe9afc92aeaa2b94c465fca99c4be47fcd
Merge: 85722b05 128f57b8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 12 10:01:17 2025 +0100

    Merge pull request #1349 from vojtechtrefny/main_fstab-fix-options-parsing
    
    Fix reading fstab options in FSTabManager.find_device

commit 128f57b836e94a346aefb7502f0aaf334a80f743
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 11 12:57:17 2025 +0100

    tests: Add tests for FSTabManager.find_device

commit 0e523bf698cfed460fb1264a815de7e27b229b79
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 11 12:56:48 2025 +0100

    Fix reading fstab options in FSTabManager.find_device

commit 85722b05b934dabacad55a719cb40f4b381259e8
Merge: c288fc1f b846a625
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 11 09:06:22 2025 +0100

    Merge pull request #1347 from vojtechtrefny/main_luks-persistent-discard
    
    Set persitent allow-discards flag for newly created LUKS devices

commit b846a625447dedec850cb22313f1af07a82d1b8c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 10 09:52:27 2025 +0100

    Set persitent allow-discards flag for newly created LUKS devices
    
    We are currently using the "allow-discards" in /etc/crypttab to
    set the discards/fstrim feature for LUKS, but that doesn't work
    for Fedora Silverblue so we need to set the persistent flag in the
    LUKS header instead.
    
    Resolves: rhbz#1801539

commit c288fc1f6bebc5ec1010225cd6f2ff58c988dea6
Merge: fd96c0a3 e0803be0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 10 12:04:06 2025 +0100

    Merge pull request #1348 from vojtechtrefny/main_luks-tests-version
    
    tests: Run LUKS test cases with both LUKS 1 and 2

commit e0803be01543aa7e93307d8740782796e361185c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 10 10:06:45 2025 +0100

    tests: Run LUKS test cases with both LUKS 1 and 2

commit fd96c0a3eb5486030ee5cba028c35fa89c5368ac
Merge: f9978272 c58e03c3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 5 13:55:46 2025 +0100

    Merge pull request #1346 from vojtechtrefny/main_iscsi-login-onboot
    
    iscsi: Use node.startup=onboot option for Login

commit c58e03c3a05472ccd1a381a4554ffccbf4568ee0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 3 12:33:34 2025 +0100

    iscsi: Use node.startup=onboot option for Login
    
    Resolves: RHEL-53719

commit f997827284c96e4ed73479b378b9c5bc0d63deaf
Merge: ce03a486 bdeb2ce4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 27 07:46:11 2025 +0100

    Merge pull request #1344 from vojtechtrefny/main_escrow-backup-passphrase-fix
    
    luks/escrow: Only add backup passphrase when asked to

commit bdeb2ce41da13dc204899a8d103bd4d133e1fad7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 26 15:35:59 2025 +0100

    tests: Add a simple test case for generating LUKS escrow packet

commit 08f93d8551c63aeb26756263245bd3a781911240
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 26 14:34:50 2025 +0100

    luks/escrow: Only add backup passphrase when asked to

commit ce03a4869d9ad55349819ff0d6a7557862ec4258
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Feb 14 13:13:55 2025 +0100

    New version: 3.12.0

commit 9ea103842d2aeb3550f344c2abbd45d71bfd9282
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Feb 14 12:51:10 2025 +0100

    makebumpver: Fix generating changelog
    
    We are no longer using release in git tags.

commit a2db15b6fe2cb383e190ad877d2af2605a905f7a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Feb 14 10:44:49 2025 +0100

    spec: Remove old changelog entries from SPEC file

commit 5c7026bd5ce5b508947363dadbdfa777c341d80a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Feb 14 10:41:06 2025 +0100

    spec: Bump required version of libblockdev to 3.3.0

commit dc6da35869330f4e995d819ca2d94c79918c9fe3
Merge: 632a24e7 04986a69
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 13 11:01:22 2025 +0100

    Merge pull request #1343 from vojtechtrefny/main_fstab-fixes-2
    
    Various fstab support fixes, part 2

commit 04986a6944686301cfb330e685a20dd7ad6388ae
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 13 07:21:34 2025 +0100

    fstab: Add a simple test to read fstab using our code

commit 68da0a96151250b1f5f14f015d5d329357c305dc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 13 07:05:58 2025 +0100

    fstab: Rename "mntops" to "mntopts"
    
    We use "opts" for "options" everywhere, calling it "ops" here is
    confusing.

commit 992c4980acd6ca188e55474538e9905a115bd03e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 12 13:28:23 2025 +0100

    tests: Add some more tests for fstab management

commit 2b0813ebb9fa2214c3d3d8f8b23943edc1d0ad8e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 12 13:17:05 2025 +0100

    fstab: Remove the special FSTabOption attribute
    
    We don't need a special property for fstab options, especially not
    for mount options which are already covered by the existing
    "options" property.

commit dc6778ee8ede52966f46491b09bc30ae3f9c1be4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 12 12:39:58 2025 +0100

    Do not mark non-existing btrfs subvolumes format as immutable
    
    The volume format is not marked as immutable so there is no reason
    to mark the subvolumes format as such.

commit 632a24e7aba4718bfd9bb4d3cb8c3469f5650bd6
Merge: b07e2d7c df6a8fb3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 11 07:45:25 2025 +0100

    Merge pull request #1342 from vojtechtrefny/main_yaml-deps
    
    misc: Add python3-yaml to test dependencies

commit df6a8fb3d24cf43eda486b59f8ff08f0b3c348de
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 10 19:36:02 2025 +0100

    misc: Update Vagrantfile

commit 10a0e60451ea05c556775068a92cb6538f2f6b44
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 10 15:57:51 2025 +0100

    misc: Add python3-yaml to test dependencies

commit b07e2d7cfc601c28177f0e5923b591b4c51885f9
Merge: 177f1bbe c42c35e3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 10 14:42:26 2025 +0100

    Merge pull request #1341 from vojtechtrefny/main_fstab-fixes
    
    Various fstab support fixes

commit c42c35e3d2207eaa1c6b1804f88eade6e6e2eed9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Feb 7 12:19:53 2025 +0100

    fstab: Fix appending options to an existing fstab entry
    
    We want to be able to append the options both as a list of options
    and as a simple string.

commit 8a0450065979c74ca9954ac1b9a347b719fbe1de
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 6 14:35:23 2025 +0100

    fstab: Fix setting freq and passno for devices

commit bcd296881ab44e72fb9a60d5654a06995e899e8c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 6 14:24:02 2025 +0100

    fstab: Fix defaults for fs_freq and fs_passno

commit 7ffd10c6261a1b7f5273d17d0ee9d85c2f103ab5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 6 13:55:54 2025 +0100

    fstab: Fix setting default mount options for entry

commit 177f1bbe2e1f7519c69d3151acd5b79463986ff4
Merge: d1357ef8 b1109bd7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 6 12:40:08 2025 +0100

    Merge pull request #1340 from vojtechtrefny/main_lvm-conf-auto-activation
    
    lvm: Add a function to globally disable LVM auto-activation

commit fe7af80869f1914d957fcbb742b87db022614129
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 6 11:36:16 2025 +0100

    fstab: Fix setting mount options for devices

commit 3fefa2bfb38c67ae7bea880e768975e409a82ffc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 6 10:56:34 2025 +0100

    fstab: Accept mount options passed as string
    
    We should be able to set the mount options even when passed as a
    string and not as a list of options.

commit 37f0c25c3106fcb25adc83ecf0bc091b3a9c8bfd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 6 09:20:12 2025 +0100

    fstab: Set target/mountpoint for swaps to "none"
    
    Using "swap" works (basically anything works and it's just ignored
    but the documentation says it should be "none" for swap.

commit b1109bd715d6c513104da078218cba120e29f985
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 4 15:28:03 2025 +0100

    lvm: Add a function to disable and enable LVM auto-activation

commit d1357ef8e6c4e1c7996c465be99956a742529923
Merge: 239fd36c ce94732d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 3 11:52:14 2025 +0100

    Merge pull request #1339 from vojtechtrefny/main_lvm-autoactivation-fix
    
    lvm: Check lvm.conf for auto-activation support

commit 239fd36cad4b8ccedc5be7f3f8155be1d6e20016
Merge: eca4e606 dcd291d1
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 3 11:22:57 2025 +0100

    Merge pull request #1338 from vojtechtrefny/main_md-linear-revert
    
    Revert "Remove support for the MD linear RAID level"

commit ce94732da0c1075f84eb021577aca9d138aaaa62
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 31 12:49:17 2025 +0100

    lvm: Check lvm.conf for auto-activation support
    
    lvmetad is no longer used so we need to check LVM config for the
    auto-activation support.

commit dcd291d1ebeeec9cdac4ee595434e9c9903a9ae6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jan 30 14:24:14 2025 +0100

    Revert "Remove support for the MD linear RAID level"
    
    This reverts commit a21c4fa61f75f6c900f152651308ac9b457a62da.
    
    The removal of the kernel module was reverted and apparently a lot
    of people use it.

commit eca4e6065a312a0600c30bf91e5267ef575e2d68
Merge: 34849f3c bdccfdb2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 28 12:39:05 2025 +0100

    Merge pull request #1335 from vojtechtrefny/main_partitioning-show-better-error
    
    Include additional information in PartitioningError

commit 34849f3c43fd7d6d8282811dab8484221294b353
Merge: 700dd630 51f291fc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 24 13:29:28 2025 +0100

    Merge pull request #1337 from vojtechtrefny/main_ansible-playbook-split
    
    misc: Separate Ansible tasks into a different file

commit 51f291fca4e6bee3ebd67b28f5956bc39b134880
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 24 12:23:05 2025 +0100

    ci: Manually download blivet-gui playbooks for revdeps tests
    
    The playbook is now split into a playbook and separate file with
    tasks. We need both and prepare cannot download two files.

commit a28c6d5ad59f66154996ee60a0f9d90acda06884
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 24 11:40:11 2025 +0100

    misc: Separate Ansible tasks into a different file
    
    This way the tasks can be reused with import/include_tasks from a
    different playbook.

commit bdccfdb22e70e1541198c9da13b17eaa31b84b49
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 22 13:16:43 2025 +0100

    Include additional information in PartitioningError
    
    The generic 'Unable to allocate requested partition scheme' is not
    very helpful, we should try to include additional information if
    possible.

commit 700dd630ab6379c7471b825963e722acd0b57a38
Merge: 0605f940 b0db8fa6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jan 23 09:06:10 2025 +0100

    Merge pull request #1336 from vojtechtrefny/main_bitlk-close-support
    
    Fix BitLocker format status and allow closing active BITLK devices

commit 0605f9408b30b47e79010417aa55133e1ad74afd
Merge: d714035a 9261d00c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jan 23 09:05:58 2025 +0100

    Merge pull request #1334 from vojtechtrefny/main_lvmpv-real-size
    
    LVMPV format size

commit b0db8fa669f399124204d3689f005f2a45e6238e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 22 14:19:49 2025 +0100

    Fix BitLocker format status and allow closing active BITLK devices
    
    Resolves: rhbz#2325038

commit d714035a4d7c04eb94a336908db5a125f2069674
Merge: 8f2fcce2 ef503e52
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 22 09:13:22 2025 +0100

    Merge pull request #1332 from vojtechtrefny/main_lvmdevices-remove-fix
    
    Do not remove PVs from devices file if disabled or doesn't exists

commit 9261d00c9953e3451690f3e7ccd94cf82eb04168
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 21 15:16:29 2025 +0100

    Add a separate test case for LVMPV smaller than the block device

commit 211578ac65d2b985722c1be4bcf1ae4a5a20968e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 21 14:28:56 2025 +0100

    Add more tests for PV and VG size and free space

commit 476a32730921eccdb338b02cd419d79a430aa3f4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 21 14:22:07 2025 +0100

    Use LVMPV format size when calculating VG size and free space
    
    For existing PVs we need to check the format size instead of
    simply expecting the format is fully resized to match the size of
    the underlying block device.

commit 90a658bde78800f77b7f2c9bcb420be9eb88d13b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 21 13:35:38 2025 +0100

    Update PV format size after adding/removing the PV to/from the VG
    
    Unfortunately LVM substracts VG metadata from the reported PV size
    so we need to make sure to update the size after the vgextend and
    vgreduce operation.

commit 6b5da749f0e39efab1680103832d68b36cf25822
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 21 10:05:13 2025 +0100

    Get the actual PV format size for LVMPV format

commit ff0624edd80d448166536a9eed36baddfb8b1640
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 21 10:03:17 2025 +0100

    Use pvs info from static data to get PV size in PVSize
    
    No need for a special code for this, we can reuse the existing
    code from LVM static data.

commit ef503e525dcb6b5a0b43fa604b5eb040cfe775fb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jan 20 13:02:50 2025 +0100

    Do not remove PVs from devices file if disabled or doesn't exists
    
    When the file doesn't exists the 'lvmdevices --deldev' call will
    fail but it will still create the devices file. This means we now
    have an empty devices file and all subsequent LVM calls will fail.
    
    Resolves: rhbz#2283014

commit 8f2fcce23894d2280a02dbe970ae09f2a48186f9
Merge: 28da4a0b 908955ad
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jan 20 08:14:03 2025 +0100

    Merge pull request #1331 from vojtechtrefny/main_udev-unicode-decode-error
    
    Protect against exceptions when getting properties from udev

commit 908955adc845dec0a163d27cb038d12001a44577
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 17 11:32:33 2025 +0100

    Protect against exceptions when getting properties from udev
    
    We've seen online UnicodeDecodeErrors from pyudev, but let's just
    catch all exceptions here and try to process the device anyway.
    
    Fixes: #1330

commit 28da4a0bdbc5f3ff1fee3ec86148c4ff85ac0e16
Merge: f5e5b184 9efea989
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 14 09:04:53 2025 +0100

    Merge pull request #1322 from vojtechtrefny/main_gpt-by-default
    
    Make GPT default label type on all architectures

commit f5e5b1843c102915c83723b113b878f31f551b68
Merge: 1b624e6a 2845b272
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jan 13 08:13:39 2025 +0100

    Merge pull request #1328 from vojtechtrefny/main_bios-raid-device-id
    
    Use name as device ID for BIOS RAID arrays (#2335009)

commit 2845b2722692def512c90340002ed386a090f5b7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 10 12:35:35 2025 +0100

    Use name as device ID for BIOS RAID arrays (#2335009)
    
    These are treated as disks so we should use just the name, the
    same way we do for disks. The names of the BIOS arrays are unique
    enought to hopefuly not cause any issues.

commit 1b624e6a27a5461c9182f0ccdabc72dc097c2a34
Merge: 6b4be0db 92783132
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 10 13:53:35 2025 +0100

    Merge pull request #1329 from vojtechtrefny/main_anaconda-rev-deps-fix
    
    ci: Change branch for Anaconda tests from 'master' to 'main'

commit 927831327f8d47ac63ad9465998722415950e617
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 10 13:24:54 2025 +0100

    ci: Bump Ubuntu version for Anaconda tests to 24.04

commit 41102170d73b3e7625aeae187e7727361f93ad58
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 10 13:13:36 2025 +0100

    ci: Use rpm instead of dnf to remove blivet in Anaconda tests
    
    DNF will also remove blivet-gui which is needed for the Anaconda
    tests.

commit 030ef76a06e10ac5436434bdf110af29f3199e31
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 10 12:38:41 2025 +0100

    ci: Change branch for Anaconda tests from 'master' to 'main'
    
    Anaconda renamed their default branch.

commit 6b4be0dbb744fb4bde9b93786cde007ad72d3906
Merge: 29d9d4d8 143c5ffa
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Dec 16 14:43:37 2024 +0100

    Merge pull request #1327 from vojtechtrefny/main_mpath-device-id
    
    Use just name as device ID for multipath devices (#2327619)

commit 29d9d4d8b6235564080f763c43de468e4ad6d690
Merge: 6488693d ba7eef37
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sat Dec 14 14:14:14 2024 +0100

    Merge pull request #1326 from vojtechtrefny/main_mpath-friendly-names-catch
    
    Ignore errors when setting multipath friendly names

commit 143c5ffaec28b4d073d9ba4acc114c4c06f32791
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Dec 13 13:46:06 2024 +0100

    Use just name as device ID for multipath devices (#2327619)
    
    Anaconda relies on disks using name as device ID because it needs
    to be able to process the disks from kickstart without using
    blivet. For this use case multipath devices are basically disks so
    we should just use name here as well.

commit ba7eef371cf1cf3522b64dc2f9ff25639cf4274c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Dec 13 13:48:31 2024 +0100

    Ignore errors when setting multipath friendly names
    
    There is no reason to crash if we fail to set this. It might
    cause some issues when working when multipath devices, but we
    should be able to continue in general.

commit 6488693dfe88d4ce79b3b5b514f9288f8c7a8b4a
Merge: 4f34ef50 cc46b63c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Dec 9 10:23:55 2024 +0100

    Merge pull request #1324 from vojtechtrefny/main_ppc64-gpt-fix
    
    Fix crash on PPC64LE with GPT

commit cc46b63c2e165fc44af04ff8a04d0f2e277b91d3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Dec 5 14:31:15 2024 +0100

    Do not crash when we fail to get discoverable GPT type UUID
    
    No need to raise an exception if we fail to get the type UUID for
    whatever reason.

commit 3559675967d124143ad8e83ed31621ff18e01d37
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Dec 5 14:28:21 2024 +0100

    Fix ppc64le name in devicelibs/gpt.py

commit 9efea98901c637fdfe98a5d7c8f5fb8aaca021b9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 14 14:53:28 2024 +0100

    Make GPT default label type on all architectures
    
    Exceptions are DASD drives on s390 and 32bit ARM. Everywhere else
    GPT will be default.

commit 4f34ef506e23a11bc7d6108c5e27b08ac0056ef9
Merge: 7f15753d 21c5dfef
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 28 16:14:59 2024 +0100

    Merge pull request #1321 from vojtechtrefny/main_fs-size-udev
    
    Get filesystem size from udev database

commit 21c5dfef165d6e5acdd3f330eb1708f79ed8dbec
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 27 14:17:55 2024 +0100

    Get filesystem size from udev database
    
    We can now get filesystem size for all filesystems supported by
    us directly from udev, no need to run the filesystem specific
    tools.

commit 7f15753d2515d0bf03f6a1070c0375fe2b43d5d1
Merge: 6c9f40c7 d4be59b7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 19 08:56:14 2024 +0100

    Merge pull request #1319 from vojtechtrefny/main_tests-root-fix
    
    Fix running unit tests without root privileges

commit 6c9f40c78897057d4261f50539e5f4ad36983c9e
Merge: d9f03999 58ac1dd8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 15 20:53:54 2024 +0100

    Merge pull request #1318 from vojtechtrefny/main_fix-libblockdev-lvm-dependency
    
    Do not crash when libblockdev LVM plugin is not available

commit d4be59b794e1808f1c936deaf6c4afc0a68bbfa4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 15 14:14:06 2024 +0100

    Fix running unit tests without root privileges
    
    We need to patch some more calls after recent changes to the LVM
    populator helper.

commit 58ac1dd849f2f8b36ea6383964bbdea15b035ecc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 15 12:49:48 2024 +0100

    Do not crash when libblockdev LVM plugin is not available
    
    The check for LVM devices support is executed on import so we need
    to catch the BlockDevNotImplementedError exception as well,
    otherwise blivet will crash even without calling any LVM related
    code.

commit d9f03999001c500761526d67f9dde9d49f96fa13
Merge: 02d26a8c 1299620d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 12 12:57:48 2024 +0100

    Merge pull request #1314 from vojtechtrefny/main_fix-stratis-passphrase-fips
    
    Fix running tests in FIPS mode

commit 1299620d99bfc349073263307f037b4e9cf8e4df
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 8 10:02:47 2024 +0100

    tests: Fix writing key file for LUKS tests

commit 4af05fe4dff6ffc9ba5ba64cd21af4d497389330
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 8 09:19:45 2024 +0100

    Fix "Modified passphrase in stratis test"
    
    Follow up for 68708e347ef7b2f98312c76aa80366091dd4aade, two more
    places where the passphrase is too short for FIPS mode.

commit 02d26a8c4e07c7ea8548fc99bce6c563c973c85a
Merge: 50a96d50 111711a3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 5 10:43:25 2024 +0100

    Merge pull request #1312 from vojtechtrefny/main_parted-flags-configure
    
    Allow setting parted partition flags using ActionConfigureDevice

commit 50a96d506b97bd27664947dd283e3d06ccffd52f
Merge: 5162f0c7 874f8f50
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 4 14:56:24 2024 +0100

    Merge pull request #1313 from vojtechtrefny/main_virtio-description-fix
    
    Translate vendor id 0x1af4 to Virtio Block Device (#1242117)

commit 874f8f50ab870e0c0b1cd4d53839015a232c9332
Author: Brian C. Lane <bcl@redhat.com>
Date:   Tue Jul 14 12:24:03 2015 -0700

    Translate vendor id 0x1af4 to Virtio Block Device (#1242117)
    
    The vendor information used to come from parted which reports virtio blk
    devices as 'Virtio Block Device'. The sysfs vendor entry has always been
    0x1af4 which isn't very descriptive. So in disk.description check for
    the exception and return "Virtio Block Device". disk.vendor is left
    as-is, only the user friendly description is modified.
    
    Resolves: rhbz#1242117

commit 111711a321b9baaa1012993bccac3b4b9fef61b1
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 1 14:49:44 2024 +0100

    Allow setting parted partition flags using ActionConfigureDevice
    
    Fixes: #42

commit 6b6900e8e2b7c40a0915dab3f77e802335e07afa
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 1 14:49:15 2024 +0100

    tests: Allow specifying number of disks needed for StorageTestCase

commit 5162f0c7dd8ce2ce76229f32cf6019ff40ae4633
Merge: cd86ced4 8fa18724
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 29 09:39:23 2024 +0100

    Merge pull request #1309 from vojtechtrefny/main_luks-grow-lvm-fix
    
    Align sizes up for growable LVs

commit cd86ced43eb260ff85414437b14141d3f5be216c
Merge: 1c7c6359 9f142246
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 29 08:59:24 2024 +0100

    Merge pull request #1306 from vojtechtrefny/main_populate-safe
    
    Avoid some tracebacks during populate

commit 8fa1872441b8c01bcfafc058e75b8a77d9f75af7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 24 12:31:01 2024 +0200

    Fix error message in StorageDevice._set_size

commit ead95ba4cdaf0bf2b27c8ce5e9d82780e16b9d12
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 24 12:25:52 2024 +0200

    Add some more verbose logs around LUKS size changes

commit 5c9e3448b406eb742d331c08066d7e14f1a3664b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 24 12:18:58 2024 +0200

    Align sizes up for growable LVs
    
    Growable LVs usually start at minimum size so adjusting it down
    can change the size below allowed minimum.

commit 1c7c6359380c9bcaa642479e8fcd2dfebc721cc9
Merge: 26783f22 74a52a3d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 24 12:16:22 2024 +0200

    Merge pull request #1308 from vojtechtrefny/main_makeupdates-fix
    
    Fix looking for the latests tag in makeupdates script

commit 74a52a3d8cc7702ea9c1babfe32cd8803a4dcae6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 24 11:40:58 2024 +0200

    Fix looking for the latests tag in makeupdates script
    
    We no longer create tags with the -1 release so the script needs
    to be adjusted, see c1d2eee02f390c014a121a5e86481b9ed31c070b

commit 26783f228123d08860a642d699f5930ee2a59b12
Merge: 6b57567a 58bdab9e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 23 08:06:46 2024 +0200

    Merge pull request #1307 from vojtechtrefny/main_fat-resize
    
    VFAT resize support

commit 58bdab9ef997fd861e52d8151ef7026e5fd0e6c2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 21 14:00:57 2024 +0200

    misc: Add libblockdev-tools to test dependencies
    
    The 'vfat-resize' tool is in this package.

commit fcf32279b34bdf2c0f5a8adb786c424fb06bb607
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 21 13:20:15 2024 +0200

    fs: Add support for resizing FAT filesystem

commit c1bba6108f88208f5f0a7c0fda7fd7c4f1c14c62
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 21 12:14:33 2024 +0200

    fs: Add suport for getting VFAT filesystem info and size

commit 9f142246563a154e530cf0383f56029cdbdeda80
Author: David Lehman <dlehman@redhat.com>
Date:   Fri Oct 18 15:55:31 2024 +0200

    Don't crash in populate when blockdev plugins are missing
    
    Co-authored-by: Vojtech Trefny <vtrefny@redhat.com>

commit 6331e7803cfc12d2375bf7a2ef9f807ccbc961eb
Author: David Lehman <dlehman@redhat.com>
Date:   Fri Oct 18 15:02:50 2024 +0200

    Add blockdev dependency guards for populator
    
    Co-authored-by: Vojtech Trefny <vtrefny@redhat.com>

commit 6b57567a1e5acdbe380c77dda68cdfe9c9a46632
Merge: 86b3df33 68708e34
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 15 13:03:59 2024 +0200

    Merge pull request #1305 from japokorn/3.10-devel-fips_fail_stratis
    
    Modified passphrase in stratis test

commit 86b3df33602a65c03b5ea74393baab002ccedab7
Merge: a8c66883 7208a0ac
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 14 09:42:02 2024 +0200

    Merge pull request #1259 from vojtechtrefny/3.10-devel_zdev
    
    consolidated s390 device configuration

commit 68708e347ef7b2f98312c76aa80366091dd4aade
Author: Jan Pokorny <japokorn@redhat.com>
Date:   Fri Oct 11 17:17:41 2024 +0200

    Modified passphrase in stratis test
    
    FIPS requires at least 8 chars long passphrase. Dummy passphrase used
    in stratis test was too short causing encryption
    tests with FIPS enabled to fail.
    
    Changed passphrase.
    
    fixes RHEL-45173, RHEL-8029

commit a8c66883b3484e4c35ebd4ef12a59b3fbd2fe5b5
Merge: 10a69fcd 1724f446
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 11 13:47:08 2024 +0200

    Merge pull request #1304 from vojtechtrefny/main_tests-logging
    
    Allow enabling logging when running tests

commit 10a69fcd663f079ddb1f9765b7575088e53db36d
Merge: dae2f784 23d4cf32
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 11 13:46:59 2024 +0200

    Merge pull request #1303 from vojtechtrefny/main_tests-logging-fix
    
    tests: Do not set logging when loading gpt_test

commit 1724f446b09992148b5c421dbecf3dd60b7fc826
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 11 13:13:59 2024 +0200

    ci: Store blivet logs from the test run

commit e3bc25b208712f3a72c812930172ec8643e4c471
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 11 13:06:53 2024 +0200

    tests: Allow enabling logging when running tests

commit 23d4cf32a5d21ff88c5fb8771a3c73726ab3f4cb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 11 12:50:38 2024 +0200

    tests: Do not set logging when loading gpt_test
    
    We don't want to set logging when skipping the test case so it
    cannot be defined on the module level.

commit feabd81d594bd4265d14d80ed570463bd99513b3
Author: David Lehman <dlehman@redhat.com>
Date:   Wed Jul 3 16:04:29 2019 -0400

    General protection against tracebacks during populate.
    
    The goal here is to absolutely minimize tracebacks that occur when
    populating the devicetree. There are mechanisms in place that will limit
    the supported functionality for managing such devices, but there will be
    no tracebacks until/unless the user tries to manage them in ways that
    are precluded by the detection issues previously encountered.

commit 232ddfab79e906dfcd524880802bb51d8ee80d1b
Author: David Lehman <dlehman@redhat.com>
Date:   Tue Jul 9 13:30:41 2019 -0400

    Base UnusableConfigurationError on DeviceTreeError.

commit c369fffdd7c5b395c0d840a274baba5c5d686b26
Author: David Lehman <dlehman@redhat.com>
Date:   Wed Jul 3 15:52:46 2019 -0400

    Allow duplicate UUIDs until/unless a by-uuid query occurs.
    
    There is a new flag to control this behavior: allow_inconsistent_config.
    When False, DuplicateUUIDError will be raised when trying to add any
    subsequent device whose UUID matches one already in the tree. When True,
    the duplicate UUIDs will be allowed to coexist until/unless a call to
    DeviceTree.get_device_by_uuid is made with the duplicate UUID as its
    argument. In this case, DuplicateUUIDError will be raised.

commit 7208a0ace5e1701336505d3824f3e9a370c2fa4e
Author: Steffen Maier <maier@linux.ibm.com>
Date:   Tue Jul 16 10:22:55 2024 +0200

    DASDDevice: dracut_setup_args() without deprecated dasd.conf (#1802482,#1937049)
    
    Implements the dasd part of referenced bugs.
    
    Depends on
    ibm-s390-linux/s390-tools@689b894
    ("zdev: add helper to convert from zdev config to dasd_mod.dasd").
    The spec file update reflects the new dependency on `zdev-to-dasd_mod.dasd`
    in the new v2.31.0 of the s390 architecture specific sub-package
    s390utils-core.
    
    Delegate the generation of rd.dasd statements to a helper tool from
    s390-tools, which gets its low-level config information from the
    consolidated persistent configuration mechanism using chzdev.
    
    Signed-off-by: Steffen Maier <maier@linux.ibm.com>

commit 9d13f7ed12860abfd77d163bdcd1329435ce4307
Author: Steffen Maier <maier@linux.ibm.com>
Date:   Tue Feb 28 17:48:04 2023 +0100

    respect explicit user choice for full path in zfcp dracut_setup_args
    
    Complements RHBZ#1937030.
    
    Signed-off-by: Steffen Maier <maier@linux.ibm.com>

commit f18c8a8a6c73a92ee5172d52c7bbda29e82660d7
Author: Steffen Maier <maier@linux.ibm.com>
Date:   Tue Jan 31 12:01:31 2023 +0100

    blivet/zfcp: remove no longer used read_config functionality (#1802482,#1937049)
    
    Implements the zfcp part of referenced bugs.
    
    Since
    https://github.com/rhinstaller/anaconda/commit/87ab1ab2a3aa8b95cd75b2f37e0881e5f57656a5
    ("Support cio_ignore functionality for zFCP devices (#533492)"),
    /etc/zfcp.conf replaced /tmp/fcpconfig.
    
    Since
    https://github.com/rhinstaller/anaconda/commit/011ea0a1779459ed20990ddf52166aa75a9c1382
    ("Remove linuxrc.s390"), /etc/zfcp.conf only exists if the user specified
    dracut cmdline parameter rd.zfcp=.
    
    https://github.com/ibm-s390-linux/s390-tools/tree/master/zdev/
    handles parsing of rd.zfcp= without /etc/zfcp.conf as of
    https://github.com/ibm-s390-linux/s390-tools/commit/06a30ae529a5d6ad2369ed81da056bf3a6147bb6
    ("zdev/dracut: add rd.zfcp cmdline option handling").
    
    https://src.fedoraproject.org/rpms/s390utils.git
    no longer writes /etc/zfcp.conf during deprecated parsing of rd.zfcp=
    as of commit
    ("zfcp: migrate to consolidated persistent device config with zdev")
    
    Hence, nothing populates /etc/zfcp.conf during installer boot anymore.
    
    Anaconda imports configuration for all s390 device types as of
    commit ("write persistent config of any (dasd,zfcp,znet) s390 devices to
    sysroot"). The only remaining import source is from dracut boot parameters.
    
    Signed-off-by: Steffen Maier <maier@linux.ibm.com>

commit 97462932c1303685dd4bac9b99d7a06f02e6c5a5
Author: Steffen Maier <maier@linux.ibm.com>
Date:   Tue Jul 16 10:21:00 2024 +0200

    blivet/zfcp: change to consolidated persistent device config by zdev (#1802482,#1937049)
    
    Implements the zfcp part of referenced bugs.
    
    https://github.com/ibm-s390-linux/s390-tools/tree/master/zdev/
    handles everything as of
    ibm-s390-linux/s390-tools@06a30ae
    ("zdev/dracut: add rd.zfcp cmdline option handling").
    
    It is no longer necessary to perform individual pre-req steps, such as
    setting an FCP device online, when we want to attach a LUN. Just call
    chzdev to configure zfcp LUNs and let it do what is necessary, including
    cio_ignore handling and udev settle.
    
    The spec file update reflects the new dependency on `chzdev` from the
    s390 architecture specific sub-package s390utils-core. Actually, this
    commit here only depends on `chzdev` in older versions already packaged
    and shipped, so no version comparison necessary here.
    
    Since chzdev now implicitly sets the FCP device online
    and there is no more preceding explicit FCP device online,
    move the path over-specification warning after the call to chzdev.
    Otherwise, the FCP device could still be offline and its
    port_type unknown, so has_auto_lun_scan() would get wrong information
    regarding the port_type being NPIV.
    
    Anaconda handles the persistent config of all s390 device types as of
    commit ("write persistent config of any (dasd,zfcp,znet) s390 devices to
    sysroot"), so drop the special handling in zfcp.write().
    
    Signed-off-by: Steffen Maier <maier@linux.ibm.com>

commit b66cd117e128f9d45bbaa11155a515058b52907c
Author: Steffen Maier <maier@linux.ibm.com>
Date:   Fri Jan 27 22:17:45 2023 +0100

    blivet/zfcp: drop old zfcp port handling gone from the kernel long ago
    
    Gone since 2008 Linux kernel v2.6.27 commit 235f7f25f492 ("[SCSI] zfcp:
    Remove sysfs attribute port_add").
    
    Signed-off-by: Steffen Maier <maier@linux.ibm.com>

commit 43788c849543b523411479700fd578054526c4c2
Author: Steffen Maier <maier@linux.ibm.com>
Date:   Tue Feb 28 17:23:32 2023 +0100

    blivet/zfcp: remove code broken since zfcp automatic LUN scan
    
    The old existing test preceding the removed code was only designed for the
    old zfcp before it got automatic LUN scan. Hence, the test is incomplete.
    With zfcp auto LUN scan, zfcp can just have SCSI devices without any
    zfcp unit representation in sysfs.
    Do not bother cleaning up an unused FCP device and just remove the code.
    
    Note: Do not confuse zfcp auto port scan with zfcp auto LUN scan.
    
    Signed-off-by: Steffen Maier <maier@linux.ibm.com>

commit 7f032c69c086c41daf2e1a13fcc4129fbbd2f4d8
Author: Steffen Maier <maier@linux.ibm.com>
Date:   Fri Jan 27 22:01:23 2023 +0100

    blivet/zfcp: drop modprobe alias, which is superfluous since udev in RHEL6
    
    Signed-off-by: Steffen Maier <maier@linux.ibm.com>

commit dae2f7842a0459d9581ccb6d3f8b2ded0e83949b
Merge: 705a80ea 648f4f47
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 9 12:53:47 2024 +0200

    Merge pull request #1302 from vojtechtrefny/main_spec-fix-s390-deps
    
    spec: Fix dependency on libblockdev-s390

commit 648f4f474f39072d2cbe0201525b1972cb5aedf8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 8 14:06:55 2024 +0200

    spec: Fix dependency on libblockdev-s390
    
    We are a noarch package so we cannot have architecture-specific
    dependencies. "Recommends" ignores missing packages so we can
    ignore that libblockdev-s390 is available only on s390x.

commit 705a80ea9a7f45435eeca4d7ab1a7ed62fc3d3ad
Merge: 14f04c2f dabec2a3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sat Oct 5 08:02:09 2024 +0200

    Merge pull request #1301 from AdamWill/space-estimate-compression
    
    free_space_estimate: adjust for compression on btrfs

commit dabec2a372742416829b1cdb589d1b9d91846476
Author: Adam Williamson <awilliam@redhat.com>
Date:   Thu Oct 3 11:13:21 2024 -0700

    free_space_estimate: adjust for compression on btrfs
    
    We have a problem with Fedora aarch64 KDE disk images ATM. We
    want to make them 16 power-of-ten gigabytes big, so they will fit
    on "16GB" SD cards / USB sticks. When we set them to this size,
    compose fails because the anaconda free space check fails, saying
    "An additional 436 MiB is needed". That check is ultimately backed
    by this estimate.
    
    In these images, the main system partition is a btrfs volume,
    with compression enabled. If you examine the last successful
    image (which was built at size 18 power-of-two GB), thanks to
    compression, only ~5GB of space is actually occupied on that
    volume. The contents would easily fit if it were slightly smaller.
    
    With this change we adjust the free space estimate by a
    compression factor, as well as a metadata factor, if the class
    defines one. For the btrfs class we set it to 1.4 when the
    compression flag is set. That's a pretty conservative estimate,
    we will usually achieve a much better compression ratio with
    a typical OS payload (as the numbers above show). AFAICT this
    codepath is only actually used by the anaconda size check, so
    the change should be fairly safe.
    
    Signed-off-by: Adam Williamson <awilliam@redhat.com>

commit 14f04c2fe246805639e9f2c1386504106da2c207
Merge: f2d5663f 02e2be8b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 1 11:11:01 2024 +0200

    Merge pull request #1288 from vojtechtrefny/main_ignore-missing-parted-disk
    
    Ignore partitions on disks without parted disk

commit f2d5663f7223293a9966bec2d027603392a0e94c
Merge: 83c7ff85 2c7dc72a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 26 11:53:27 2024 +0200

    Merge pull request #1299 from vojtechtrefny/main_spec-sync
    
    Sync spec with downstream

commit 2c7dc72a97fb28265043b2cf0b9021c2b5dd09a2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 26 11:27:58 2024 +0200

    Sync spec with downstream
    
    We need to make sure our downstream changes are not overwriten by
    packit when doing a new release.

commit 83c7ff85019fcf1220c13535bea72014a8684d57
Merge: 85785ce9 4c03ebd4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 26 09:08:04 2024 +0200

    Merge pull request #1298 from vojtechtrefny/main_fsminsize-check-fix
    
    Do not raise libblockdev errors in FSMinSize tasks (#2314637)

commit 4c03ebd46ea738f713707a9258ed8be21e3322de
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 25 15:00:26 2024 +0200

    Do not raise libblockdev errors in FSMinSize tasks (#2314637)
    
    Follow up for #1255. We need to raise FSError in case of errors
    because libblockdev errors are not caught in FS.update_size_info.

commit 85785ce9fcf8e1111ba5fc63016e14435d3bf894
Merge: 61e21544 303a5bf9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 24 12:41:52 2024 +0200

    Merge pull request #1290 from vojtechtrefny/main_packit-release-fix-2
    
    packit: Switch to latest Fedora for tests

commit 303a5bf9b14de1fd42b63b027105f9aca2e45041
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 24 10:11:32 2024 +0200

    ci: Remove amazon-ec2-utils when running tests in AWS
    
    This package creates symlinks for NVMe drives that breaks our
    tests.

commit 594b960a3583abfe4a6b77b9863c4c7ce2c48a15
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 18 09:44:04 2024 +0200

    ci: Install 'python3-libdnf5' for TMT test plans

commit b1ee74177c841fa79417fef47c3b110017194a30
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 18 08:45:25 2024 +0200

    packit: Switch tests to the latest branched Fedor (now Fedora 41)

commit 61e215442a58eece0ea5f729e0f76946432c57f4
Merge: 04a1fe59 2021181b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Sep 23 20:35:37 2024 +0200

    Merge pull request #1295 from vojtechtrefny/main_ignore-deprecated-getopt
    
    makeupdates: Ignore that getopt is deprecated

commit 2021181b073c0ebeafa87d43f7473bb29a6e5c13
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Sep 23 15:29:52 2024 +0200

    makeupdates: Ignore that getopt is deprecated
    
    getopt is "soft deprecated" starting with Python 3.13. Pylint
    warns about this but getopt is not going to be removed, it's just
    not being actively developed any more. We should switch to argopt
    in the future, but for now we can just ignore the warning.

commit 04a1fe59d6968e23227e4fc45eeab8f18ba7a8dd
Merge: c8e5450b 0fcab532
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sat Sep 21 07:55:04 2024 +0200

    Merge pull request #1294 from vojtechtrefny/main_setuppy-urls
    
    setup.py: Add some project URLs

commit 0fcab532efaecddf5333bf7e4dfe67d716bb014d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 20 17:37:26 2024 +0200

    release_notes: Fix links

commit 7cf5cefb31ec121739b5f35f1156f14f36b4d6dd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 20 17:35:48 2024 +0200

    setup.py: Add some project URLs

commit c8e5450bfb0510269e00fac14ee386ba376561d5
Merge: 10cf7dcb 2ef6e5bc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 20 13:47:25 2024 +0200

    Merge pull request #1292 from vojtechtrefny/main_spec-source-url-update
    
    spec: Update sources URL

commit 2ef6e5bcaa3a6cd92f4929d867fba6bcb32ad21c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 20 13:36:19 2024 +0200

    spec: Update sources URL
    
    These are the URLs of the tarballs uploaded by us to every
    release.

commit 10cf7dcb3b94de3a02fc4a75f72ac84b51e71b04
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 20 13:19:29 2024 +0200

    New version: 3.11.0

commit 48d7f58a032696484139080171022824c1d226e2
Merge: 312d4da5 66105c05
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 19 15:47:12 2024 +0200

    Merge pull request #1291 from vojtechtrefny/main_fix-nvme-availability-check
    
    Fix checking for NVMe plugin availability

commit 66105c05d4a78cc6a7cfbb52af560389a8c52f05
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 18 15:30:05 2024 +0200

    Fix checking for NVMe plugin availability

commit 312d4da5d25752c67d8f01fbd48a16929805892f
Merge: 98e0e113 f30cb984
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 18 10:51:23 2024 +0200

    Merge pull request #1289 from vojtechtrefny/main_packit-release-fix
    
    Release process fixes in Makefile and packit

commit f30cb984db49de3a07ddfd1611653ef803bd7072
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 17 15:13:01 2024 +0200

    packit: Add upstream_tag_template

commit 8f9635718bd4cecc29c0e31437de49ba7acb0417
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 17 15:12:18 2024 +0200

    packit: Bump release only for daily builds not for regular builds
    
    We don't want the -99 release in the downstream builds.

commit c1d2eee02f390c014a121a5e86481b9ed31c070b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 17 15:11:41 2024 +0200

    Makefile: Create just one tag for the release
    
    We don't need the "-1" in the tag and it confuses packit.

commit 02e2be8b7fc6e43daadbd3cb94778448276b25d0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 12 17:42:09 2024 +0200

    Ignore partitions on disks without parted disk
    
    If we don't have the parted disk object we cannot really construct
    a working PartitionDevice so adding partitions on these disks
    usually end with an exception. This change should make blivet
    a little bit more resilient in those situations.

commit 98e0e1133bd155cf0457f1f78f085b75587d4c29
Merge: 8ca6e1b4 c243672d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 17 09:45:08 2024 +0200

    Merge pull request #1277 from vojtechtrefny/main_libblockdev-bump
    
    spec: Bump required version of libblockdev to 3.2.0

commit 8ca6e1b477f5bbd586cd267c911012b919abf9ef
Merge: 0899cfe0 1406b3ad
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 6 15:40:42 2024 +0200

    Merge pull request #1286 from vojtechtrefny/main_contributing-rhel
    
    CONTRIBUTING: Add a short note about RHEL branches and development

commit 1406b3ad12728002fb87029e16967d1db090eb42
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 6 14:20:43 2024 +0200

    CONTRIBUTING: Add a short note about RHEL branches and development

commit 0899cfe074e69a1d6ebb8beb0f09ca15f693ee10
Merge: 163e77b0 6830f29d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 6 14:15:21 2024 +0200

    Merge pull request #1285 from vojtechtrefny/main_spelling-fixes
    
    Fix spelling issues found by codespell and spellintian

commit 6830f29dae14683c59b109cb8919b4bbadc3a59b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 6 10:05:16 2024 +0200

    Fix spelling issues found by codespell and spellintian

commit 163e77b0b0dfe2dc9f095f23fd9b16eb41b81da5
Merge: e2a3ed9f a577b11e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 5 16:01:22 2024 +0200

    Merge pull request #1284 from vojtechtrefny/main_rhel-ci
    
    RHEL 10 branch CI -- sync with the main branch

commit a577b11e2ea01d1d6c129458f2a2899322249eb6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 5 15:18:00 2024 +0200

    ci: Fix some copy-paste errors in CI job descriptions

commit aba7f0aa47bcbed2e1672df313b73a3e07295a99
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 5 13:52:42 2024 +0200

    packit: Add tmt tests for rhel10-branch running on C10S

commit 2bbdb1a27240c7a9897951519a85e29e0290bc0e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 5 10:33:08 2024 +0200

    packit: Add RPM build for pull requests against the rhel10-branch
    
    For 'rhel10-branch' we want to run builds just for the CentOS 10
    Stream target.

commit a6684b8c0280999c8e911fe2048c746855a2dad3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 5 10:19:23 2024 +0200

    ci: Limit running Anaconda tests to 'main' branch only

commit 416085daca11c262d903f948c89203c5c6d7595e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 5 10:08:09 2024 +0200

    packit: Limit Fedora builds and tests to the 'main' branch

commit 6b334925efd359bf74f227d01b52e8f11a338821
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 5 09:59:03 2024 +0200

    ci: Add a GH action to run static analysis on CentOS 10 Stream
    
    This runs 'make check' in the latest CentOS 10 Stream container.

commit e2a3ed9f730764521d2f3910e8f4470bc6b1344d
Merge: 67c3b2c1 938e0cf6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 5 09:10:55 2024 +0200

    Merge pull request #1280 from vojtechtrefny/main_stratis-metadata-size-expected-fix
    
    tests: Change expected Stratis metadata size for stratisd 3.7.0

commit 67c3b2c18986d72ed855a5ac79657996d735fa94
Merge: 4a6791d3 b98399db
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 5 09:10:43 2024 +0200

    Merge pull request #1281 from vojtechtrefny/main_centos-10-deps
    
    misc: Add support for installing dependencies on CentOS 1O Stream

commit 4a6791d38cb713fdebf160fcc21bab60991d64e4
Merge: 8e7ebd96 9f47175a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 5 09:10:33 2024 +0200

    Merge pull request #1282 from vojtechtrefny/main_dm-remove-unused-code
    
    dm: Remove unused code

commit 9f47175a928ccdaa2a48283f69014242048a672d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 4 15:25:41 2024 +0200

    dm: Remove unused code

commit b98399db55c6573070d5b4373d5ee5b1ccb3145a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 4 15:04:35 2024 +0200

    misc: Add support for installing dependencies on CentOS 1O Stream

commit 8e7ebd9692389beac2a0bf5b8a75108e997f39b2
Merge: 92a44279 d8360a99
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 4 10:30:37 2024 +0200

    Merge pull request #1279 from vojtechtrefny/main_testdata-log-disable
    
    Disable the "testdata" logging

commit 938e0cf672fb3e6589dc05cb3c6338c279aa6d98
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Sep 3 10:40:27 2024 +0200

    tests: Change expected Stratis metadata size for stratisd 3.7.0
    
    Stratis changes its metadata and the way "stratis-predict-usage"
    predicts its size so we need to change our expectations too.

commit d8360a99e3f94f14d450917d88548ea3ec80e448
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Sep 2 16:29:33 2024 +0200

    Disable the "testdata" logging
    
    This was originally designed to gather data for the EDD tests but
    we are not using this and with Anaconda now merging all storage
    logs to one file this makes the storage.log harder to read and
    doesn't bring any useful human readable information.

commit 92a44279bc66c25ec0d6f0145f78d258295f802a
Merge: 709884aa 6920687b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Aug 28 08:59:10 2024 +0200

    Merge pull request #1278 from vojtechtrefny/main_factory-disk-ignore-log
    
    Log reason for ignoring disks in devicefactory

commit 6920687b29c093e170c1d5b5ae2b37ee93a7f368
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Aug 27 14:50:53 2024 +0200

    Log reason for ignoring disks in devicefactory
    
    Related: RHEL-8025

commit 709884aa6d943b1ecb46e9649a4797449ccadcf3
Merge: 1f53cb4a 55540b11
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Aug 27 09:04:09 2024 +0200

    Merge pull request #1276 from vojtechtrefny/main_partition-type-name
    
    Add partition type human-readable string to PartitionDevice

commit 55540b11f8e0017d3d23f7cf02202877a6d38ffe
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Aug 26 10:12:46 2024 +0200

    Add partition type human-readable string to PartitionDevice
    
    Unfortunately parted doesn't have the human readable strings so
    if we don't want to simply copy the table from libfdisk, we need
    to start using libblockdev part plugin to get it.
    
    Fixes: #1258

commit c243672dcae3561d11593b3000928c7c8b419696
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Aug 26 10:14:58 2024 +0200

    spec: Bump required version of libblockdev to 3.2.0

commit 1f53cb4a33e41d0a5c91844384dabee3c17585e4
Merge: 15660e30 b7ae0ec8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Aug 26 06:58:40 2024 +0200

    Merge pull request #1275 from vojtechtrefny/main_gh-actions-update
    
    ci: Update branches in GitHub actions

commit b7ae0ec81e14bb7cc25be20b553bb40f79b72aa5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sun Aug 25 16:08:35 2024 +0200

    ci: Bump Ubuntu in GitHub actions to 24.04

commit 2a164139ac5bc2839ded0772e711f0466eec680e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sun Aug 25 16:07:07 2024 +0200

    ci: Update branches in GitHub actions
    
    'main' is the only development branch now.

commit 15660e30f18f0f211fd8a2c7c967c5873b214031
Merge: 56fcfce2 75b09605
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Aug 23 17:11:06 2024 +0200

    Merge pull request #1274 from vojtechtrefny/main_contributing-update
    
    CONTRIBUTING update

commit 75b096050b434b5dc7ac17cc8f95571f7fb06bf0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 22 13:39:30 2024 +0200

    Remove TODO list from the repository
    
    The TODO list is not up-to-date and we are mostly tracking new
    features in the GitHub issues now.

commit 1934fab25d6e7be8eb08985c3e5d62175fc16512
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 22 13:35:15 2024 +0200

    Update CONTRIBUTING with the new branching and release model
    
    Default branch is now 'main' and we no longer have separate
    'release' branches. Also switch the document to markdown.

commit f9f71454949320952e85f89a784a7c0e3430762e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 22 13:02:07 2024 +0200

    ci: Add Packit configuration for downstream builds on release

commit 56fcfce26171e5f3ea7b9996ec3bd543977d2d7a
Merge: 3612354e bb2d0e9f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 22 12:26:43 2024 +0200

    Merge pull request #1272 from vojtechtrefny/main_main-default-branch
    
    packit: Set branch for Copr builds to "main"

commit bb2d0e9ff2a846ba74c727bcf17d12a5176eaf86
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 22 10:59:08 2024 +0200

    packit: Set branch for Copr builds to "main"

commit 3612354e19afe17b6cc20125759db1f3f283b3aa
Merge: 8cbb1516 eb7d146c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 22 10:49:53 2024 +0200

    Merge branch '3.10-release'

commit 8cbb1516406cca2cb50fc1b50f6cbc9f3cc7b5e8
Merge: 48de615b 2baeab47
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 22 10:46:23 2024 +0200

    Merge branch '3.10-devel'

commit 2baeab47913395b5b0fe403b367747fb25f19599
Merge: a62892bb 9d7d0428
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Aug 21 13:30:15 2024 +0200

    Merge pull request #1271 from Yurri-huang/3.10-devel
    
    Fix intel biosraid can't get device name causing crashed

commit 9d7d0428c81ce592c807f2cefcf7228a1b3d8789
Author: Yurii.Huang <yurii.huang@dbappsecurity.com.cn>
Date:   Wed Aug 21 18:31:04 2024 +0800

    Fix intel biosraid can't get device name causing crashed
    
      crashed with DiskDevice get members property
      trace: 'DiskDevice' object has no attribute 'members'
      changed: when ID_FS_TYPE is isw_raid_member use SYS_NAME to device name

commit a62892bb564be5e91157752e59272fe3436918c0
Merge: 2f3e69d6 55eb8449
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 15 18:01:55 2024 +0200

    Merge pull request #1269 from vojtechtrefny/3.10-devel_luks-subsystem
    
    Fix getting LUKS subsystem for existing LUKS formats

commit 55eb8449d4aa5bc532fef71849369b530b0e20b9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 15 16:56:59 2024 +0200

    Fix getting LUKS subsystem for existing LUKS formats
    
    Accidentally removed in 319e6a6ede8f9468f56458ed8d14110536cf88d8

commit 2f3e69d616af6d91146b7c5040bd0cfbe3041fea
Merge: 4c2839c8 c0fe6c72
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 15 11:12:07 2024 +0200

    Merge pull request #1266 from vojtechtrefny/3.10-devel_hw-opal-support
    
    LUKS HW-OPAL support

commit c0fe6c72f9b9c3457c4d6bc7f7f1d04e258f6220
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Aug 14 09:14:42 2024 +0200

    ci: Remove priority from Testing farm repositories
    
    Testing farm sets priority of their repositories to 9 which means
    the repo is prioritized over all other repositories including our
    Copr repo with daily builds preventing the latest libblockdev from
    being installed.

commit bf401c7f7252994c61eaace005f71a850a680477
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Aug 9 18:24:01 2024 +0200

    Rename "opal_passphrase" to "opal_admin_passphrase"
    
    To make the naming consistent with the other projects.

commit 319e6a6ede8f9468f56458ed8d14110536cf88d8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 8 15:44:38 2024 +0200

    Add support for creating LUKS HW-OPAL devices
    
    Needs the latest libblockdev and cryptsetup 2.7. Creating the
    LUKS HW-OPAL format is controlled by specifying LUKS version to
    either "luks-hw-opal" (combination of hardware and software
    encryption layer) or "luks-hw-opal-only" (hardware encryption
    only).

commit 56ce28a5deda6bf6139971ab37b4fdcf914ba931
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Aug 5 10:14:15 2024 +0200

    Mark existing LUKS HW-OPAL formats as protected
    
    This might change in the future, but for now we cannot allow
    removing these formats -- HW-OPAL needs to be removed using
    cryptsetup and removal requires the admin password to remove the
    associated locking range. Removing the LUKS header with wipefs
    won't remove the locking range.

commit 4c2839c850d7fc565af193f7cc75fc64f039353c
Merge: d9ae9fff c50e7a54
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Aug 9 11:44:08 2024 +0200

    Merge pull request #1267 from KKoukiou/type-uuid-safe
    
    devices: catch exceptions where invalid access happens first

commit c50e7a54c78dca853c27b116f8eee903be758652
Author: Katerina Koukiou <kkoukiou@redhat.com>
Date:   Fri Aug 9 10:05:01 2024 +0200

    devices: catch exceptions where invalid access happens first
    
    Fix up for 9fc508fe3.

commit 7aaf65984775575da725b74dde9cf32b3a05ffbb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Aug 5 10:13:31 2024 +0200

    Allow marking formats as protected
    
    Similar to protected devices, a format can also be protected.
    Device with protected formats are also protected.

commit fc1d70a8648b638e296ed6006161516e556adbe4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Aug 5 10:09:04 2024 +0200

    Add support for recognizing LUKS HW-OPAL devices
    
    Just a simple check based on the LUKS subsystem. We cannot remove
    an HW-OPAL LUKS format without admin password so just disable
    removing the format for now.

commit d9ae9fff78f305ba49cd968338a7108fa4994c81
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sun Aug 4 15:38:30 2024 +0200

    README: Remove mentions about supported Ubuntu and Debian versions
    
    The OBS repository is now available for all supported versions of
    Ubuntu and Debian so we don't need to explicitly mention versions
    that are supported.

commit 48de615be0d656bf68b31a3ba983431a84b5e9b7
Merge: c643233b d41a0ce9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 30 14:16:13 2024 +0200

    Merge branch '3.10-devel'

commit d41a0ce906a76182cf9f0d81b040cd5631ad94ee
Merge: 4fdf560a f62e0c93
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 30 14:12:59 2024 +0200

    Merge pull request #1263 from japokorn/3.10-devel-fstab_devicetree_fix
    
    blivet fstab method change

commit 4fdf560a0760cb7f0650d0138a7d1d92b6caaa62
Merge: 3d601eab 637207df
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 30 14:06:03 2024 +0200

    Merge pull request #1262 from vojtechtrefny/3.10-devel_luks-header-size
    
    Use correct LUKS metadata size for LUKS 2

commit 637207df2d6d436d6ed7134135f0a303848c44aa
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 24 10:40:42 2024 +0200

    Use correct LUKS metadata size for LUKS 2
    
    When creating or resizing LUKS 2 devices we need to take the
    bigger metadata into account (16 MiB for LUKS2 but just 2 MiB for
    LUKS1).

commit 3d601eabd0583ee19ee499f5fecaf3cc68e25813
Merge: 7de4334e 9fc508fe
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sun Jul 28 15:24:11 2024 +0200

    Merge pull request #1265 from AdamWill/type-uuid-not-none
    
    part_type_uuid: guard against pyparted type_uuid being None

commit 9fc508fe315c994c9f65ce85d50df6a0cbb17577
Author: Adam Williamson <awilliam@redhat.com>
Date:   Fri Jul 26 08:45:14 2024 -0700

    part_type_uuid: guard against pyparted type_uuid being None
    
    It's possible for the pyparted partition's `type_uuid` to be None
    in several ways: see all the NULL returns in
    https://github.com/dcantrell/pyparted/blob/d5870bb7a5d512c17c92a4e4fe7e9a8e7c8c3528/src/pydisk.c#L1481
    In the specific case we hit, anaconda since 41.26 will try to get
    the `part_type_uuid` of a partition on an msdos-labeled disk when
    looking for Windows installations; as msdos-labeled disks do not
    support partition type UUIDs, pyparted's call to
    ped_partition_get_type_uuid gets a "msdos disk labels do not
    support partition type-uuids" error from parted and returns NULL,
    so pyparted tries to forward that error somehow then return
    NULL itself (though the error gets swallowed somewhere along the
    line, I had to patch pyparted to find out what was going on).
    
    That means we try to do `UUID(bytes=None)`, which blows up:
    
    TypeError: one of the hex, bytes, bytes_le, fields, or int arguments must be given
    
    due to a check at the start of `UUID.__init__` that the value of
    exactly one of those args is not `None`.
    
    To avoid this, let's check both that our pyparted supports
    `type_uuid` (which I think is the point of the existing condition
    here) *and* that the current pyparted partition's `type_uuid` is
    truth-y before trying to get a `UUID`.
    
    Let's also catch TypeError and ValueError here, as we do in the
    other two cases where we get a `UUID`. I'm not sure why this one
    also catches AttributeError, but it can't hurt anything, so let's
    keep it.
    
    Arguably anaconda shouldn't even try to get a type UUID for a
    device on an msdos-labeled disk, but it seems reasonable to make
    blivet not blow up if it or something else does.
    
    Signed-off-by: Adam Williamson <awilliam@redhat.com>

commit 7de4334e2c0f4444c939f3b31ec998e4c5691b37
Merge: 167cb76b f3a6b654
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 25 17:16:41 2024 +0200

    Merge pull request #1264 from vojtechtrefny/3.10-devel_fix-get-min-size-ext
    
    Fix checking for FS min size application availability

commit f3a6b654290c1bcb3486e2c58068aaffaccf137d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 25 15:54:18 2024 +0200

    Fix checking for FS min size application availability
    
    Copy-paste error, we were checking for ntfsresize for Ext.

commit f62e0c93dc0bb10d3b34865c92ff200d173d5713
Author: Jan Pokorny <japokorn@redhat.com>
Date:   Wed Jul 24 16:23:58 2024 +0200

    blivet fstab method change
    
    Blivet fstab methods get_device() and find_device() took Blivet object as a
    first parameter. However, for anaconda (primary customer for
    the blivet change) usecase the Blivet object does not always exist, only the Devicetree.
    Mentioned methods do not need anything else besides Devicetree from blivet object.
    
    This changes those methods interfaces to accept Devicetree insted of
    Blivet as the first parameter.
    
    Unit tests modified accordingly.
    Storage role should not be affected by this change.

commit 167cb76bd6337ad957e9ff60f10ed45b5d67d64f
Merge: 7663b15c 6cd7e05a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 23 10:40:36 2024 +0200

    Merge pull request #1261 from vojtechtrefny/3.10-devel_btrfs-mountopts-rename-fix
    
    Preserve mount options when renaming btrfs factory device (#1952764)

commit 6cd7e05a9ebc6dca969b02de2507f2da3f96c85f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 22 13:48:34 2024 +0200

    tests: Add a test case for BTRFS device factory

commit 3c7c819d25071a4e34b438c10bd9ff31c52b3410
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 22 13:48:14 2024 +0200

    Preserve mount options when renaming btrfs factory device
    
    Resolves: rhbz#1952764

commit 20fa08ac651b1c0a69590d495fd753fd02b8397d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 22 13:47:49 2024 +0200

    Fix device factory example
    
    Size must be passed as a keyword not as a positional argument.

commit 7663b15cedb583db96d3d4ebb67950a837c6349b
Merge: 2bcd4631 d26e192f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sat Jul 20 13:18:02 2024 +0200

    Merge pull request #1260 from vojtechtrefny/3.10-devel_btrfs-create-options
    
    Fix passing extra mkfs options for btrfs volumes (#2036976)

commit d26e192fa0c8ed9d56d0341f3abcbdddf2135f61
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 16 15:50:25 2024 +0200

    Fix passing extra mkfs options for btrfs volumes (#2036976)

commit 2bcd46318946e3e8f53b65f8b93268735ab0f7a9
Merge: d1747d59 a45c5886
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 11 15:50:08 2024 +0200

    Merge pull request #1257 from vojtechtrefny/3.10-devel_lvm-test-logging
    
    tests: Remove logging from LVMTestCase

commit a45c5886d82120f07a1b59f77f21c80ebc6e466c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 11 14:44:13 2024 +0200

    tests: Remove logging from LVMTestCase
    
    Forgotten logging initialization from debugging.

commit d1747d595dd6896e56c8427de2c6f9fa1c529ba7
Merge: 3d9d07f1 581379c8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 10 16:21:23 2024 +0200

    Merge pull request #1256 from KKoukiou/puuid-resolve-dev
    
    devicetree: resolve devices also with the PARTUUID=.. naming

commit 581379c8ac19460c60e650d331013f07a4c5ba1f
Author: Katerina Koukiou <kkoukiou@redhat.com>
Date:   Wed Jul 10 12:04:27 2024 +0200

    devicetree: resolve devices also with the PARTUUID=.. naming
    
    This identifier should be handled as well. It's met in debian fstab.

commit 3d9d07f15d54379ce36522bdf8f82358166b615b
Merge: 23e9654a 0da22f17
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 9 08:38:01 2024 +0200

    Merge pull request #1254 from vojtechtrefny/3.10-devel_exlusive-disks-fix-device_id
    
    Make sure ignored and exclusive disks work with device IDs too

commit 23e9654ad91e75e25a4e27552fd906f3eee30f0b
Merge: a5f1f65f f4df4046
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 9 08:37:52 2024 +0200

    Merge pull request #1255 from vojtechtrefny/3.10-devel_fsminsize-libblockdev
    
    Use libblockdev FS plugin for fsminsize

commit f4df4046258241a815f8444e53ce84df51ce0510
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 8 14:06:09 2024 +0200

    spec: Bump required version of libblockdev to 3.1.0

commit 693da197c02c0f30b5054123743f51eb9fad905d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 8 14:05:29 2024 +0200

    tasks: Use libblockdev for the fsminsize task
    
    We can now use libblockdev to gather filesystem min size instead
    of running the cmdline tools ourselves.

commit 0da22f17eaf7b308d988b4ae460617ec7dd412cc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 8 12:32:40 2024 +0200

    Make sure ignored and exclusive disks work with device IDs too
    
    This will allow easier filtering for Anaconda when using the
    device IDs as unique device identifiers.

commit a5f1f65f7597738a0366c38feba295d6d2a3acab
Merge: 43ec9c71 f0497170
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 4 15:20:56 2024 +0200

    Merge pull request #1253 from vojtechtrefny/3.10-devel_fix-selinux-unit-test
    
    tests: Make sure selinux_test doesn't try to create mountpoints

commit f0497170b0e0ec87de78d946316de2e30371b002
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 3 15:49:34 2024 +0200

    tests: Make sure selinux_test doesn't try to create mountpoints
    
    This is a unit test so it shouldn't try to create directories
    anywhere.

commit 43ec9c71c7622b8ec636c2595cd240332dcfcb42
Merge: 5788d2a9 01663f9f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 3 09:28:28 2024 +0200

    Merge pull request #1252 from storaged-project/dependabot/github_actions/actions/upload-artifact-4
    
    infra: bump actions/upload-artifact from 2 to 4

commit 01663f9f9954de43b8fcf71665f8e486a30ebf65
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Wed Jul 3 07:06:12 2024 +0000

    infra: bump actions/upload-artifact from 2 to 4
    
    Bumps [actions/upload-artifact](https://github.com/actions/upload-artifact) from 2 to 4.
    - [Release notes](https://github.com/actions/upload-artifact/releases)
    - [Commits](https://github.com/actions/upload-artifact/compare/v2...v4)
    
    ---
    updated-dependencies:
    - dependency-name: actions/upload-artifact
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 5788d2a9b7f85d158b2cdf8bf0ade0e91f85bc41
Merge: 095d8825 cb25282a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 3 09:05:51 2024 +0200

    Merge pull request #1251 from vojtechtrefny/3.10-devel_dependabot
    
    infra: Add dependabot to automatically update GH actions

commit cb25282a6d5fd93330d1bd064dc4a2f6e15ea619
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 3 08:51:16 2024 +0200

    infra: Add dependabot to automatically update GH actions

commit c643233b6f03e1b5aff8f18b1f418ecd55ace69e
Merge: 6fb591a9 095d8825
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jun 24 12:33:29 2024 +0200

    Merge branch '3.10-devel'

commit 095d88254d2e384611932b9a6dda81a4483f51af
Merge: 2f658abf 5fdca52c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jun 24 12:32:53 2024 +0200

    Merge pull request #1250 from vojtechtrefny/3.10-devel_md-tests-skip-fix
    
    Fix skipping MD tests on CentOS 9

commit 5fdca52c05b3f42f1206ed386d6de81293ce5e99
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jun 24 11:07:24 2024 +0200

    Fix skipping MD tests on CentOS 9
    
    We added new test cases that also need to be skipped.

commit 6fb591a9ab987e4bbbe501b875a25cd54da305e0
Merge: efb75f55 2f658abf
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 19 06:20:00 2024 +0200

    Merge branch '3.10-devel'

commit 2f658abfca71f9dda14e5d235775b977a46011ed
Merge: 5614bbfe 00b5c988
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 19 06:15:46 2024 +0200

    Merge pull request #1249 from vojtechtrefny/3.10-devel_remove-blivet-gui-tests
    
    ci: Remove GH action to run blivet-gui tests

commit 5614bbfe5622e2d46758fb0817a3bb01264ae207
Merge: c822caf6 b7940496
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 19 06:15:37 2024 +0200

    Merge pull request #1248 from vojtechtrefny/3.10-devel_xfs-resize-settle
    
    tests: Try waiting after partition creation for XFS resize test

commit 00b5c9886379a7f2bf269ae3cd94527d0c62bd03
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 18 15:17:12 2024 +0200

    ci: Remove GH action to run blivet-gui tests
    
    This is now covered by the Packit reverse dependency tests.

commit b7940496b4f8efdccb9b4097b496b0d9b2af1eea
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 18 14:47:39 2024 +0200

    tests: Try waiting after partition creation for XFS resize test
    
    The test randomly fails to find the newly created partition so
    lets try waiting a bit with udev settle.

commit c822caf6fff651b3f305ce4180e897e984072c89
Merge: 81815ea4 52c9699e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 18 10:15:15 2024 +0200

    Merge pull request #1246 from vojtechtrefny/3.10-devel_mkfs-xfs-force
    
    Run mkfs.xfs with the force (-f) option by default

commit 81815ea4252779a63020cf9b445af620e8e38a75
Merge: 113eb117 814bc9e9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 18 09:51:22 2024 +0200

    Merge pull request #1247 from vojtechtrefny/3.10-devel_set-log-level
    
    Set log level to INFO for libblockdev

commit 814bc9e9a004f52d9f282f8a33797b00baf07373
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jun 17 14:27:37 2024 +0200

    Set log level to INFO for libblockdev
    
    Default log level is WARNING and we want to log even INFO messages
    for libblockdev. INFO level contains for example also all commands
    and their output that we want to log to program.log.

commit 52c9699ecad592e35e0cd3841744f8cb8e2b2364
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 12 16:51:43 2024 +0200

    Run mkfs.xfs with the force (-f) option by default
    
    We stopped adding the force option when switching to libblockdev
    in fa3add214ba8edf1965bc851b85f2f2a6a3ea107. This was not
    intentional and the missing force option is already causing issues
    when running mkfs.xfs on misaligned devices.

commit efb75f55fa9447e9d05f40c39e0a9c442d7a862b
Merge: bb3b3ddc 113eb117
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 12 15:24:23 2024 +0200

    Merge branch '3.10-devel'

commit 113eb117efd41479f5007a1c5eeb318326042d81
Merge: 63004ace 5fe5acc0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 12 14:59:35 2024 +0200

    Merge pull request #1245 from vojtechtrefny/3.10-devel_packit-tests
    
    ci: Add a simple tmt test and run it via packit

commit 5fe5acc074d02669a3f32cde0c768930f5751061
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 12 14:35:25 2024 +0200

    ci: Disable the Blivet-GUI test case by default
    
    We do not want to run it outside the revdeps context.

commit fecb5906313f3202e0654d90e74bfd424d111885
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 12 13:36:33 2024 +0200

    ci: Add a simple tmt test and run it via packit

commit bb3b3ddc4f2af1624596e9f656982edaf0c2a62b
Merge: cc466154 63004ace
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 12 14:01:11 2024 +0200

    Merge branch '3.10-devel'

commit 63004ace313476493bb05cc61f9d55fb3c771917
Merge: cccac963 7bfa6361
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 12 12:21:02 2024 +0200

    Merge pull request #1214 from vojtechtrefny/3.10-devel_blivet-gui-revdeps-tests
    
    ci: Run Blivet-GUI reverse dependency tests on pull requests

commit 7bfa636107bc0e24c741aa7a9c1eb7e6c48fd948
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 21 12:59:02 2024 +0100

    ci: Run Blivet-GUI reverse dependency tests on pull requests

commit eb7d146c7878b2ffc93343401e52732949361ecd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jun 7 14:03:41 2024 +0200

    New version: 3.10.1

commit a0132905f44ee4f94d46d7a9d71909de36476141
Merge: 0bfe9e53 cccac963
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jun 7 14:03:06 2024 +0200

    Merge remote-tracking branch 'origin/3.10-devel' into 3.10-release

commit cccac9639a7b43de8df8478d635f56a2ac9e468f
Merge: 896b03cb 6bad4e00
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jun 6 17:00:57 2024 +0200

    Merge pull request #1244 from vojtechtrefny/3.10-devel_raid-on-luks-test
    
    tests: Add a test case with MD array on LUKS

commit 6bad4e007ff6a5131ad0e41b47b5dd4cb731e396
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jun 6 16:04:02 2024 +0200

    tests: Add a test case with MD array on LUKS
    
    Fixes: #1200

commit 896b03cbf39b1f6447b27bf6c41e979fbb2c620a
Merge: e23d354b 8ecb48f3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 4 09:17:08 2024 +0200

    Merge pull request #1190 from vojtechtrefny/3.9-devel_gfs2-label
    
    Add support for setting label when creating GFS2 format

commit 8ecb48f363eba0616394290b4ccebbed411d1d6e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 24 17:00:50 2024 +0100

    Add support for setting label when creating GFS2 format
    
    Related: https://github.com/linux-system-roles/storage/pull/418

commit e23d354b63c88fdced96de9239d187f61d09f265
Merge: d6314208 f85412f3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jun 3 15:04:04 2024 +0200

    Merge pull request #1243 from vojtechtrefny/3.10-devel_dbus-example
    
    tests: add dbus example to traverse the devices and call test the fac…

commit f85412f33222145d576576f7763a20ba5e3a25f5
Author: Todd Gill <tgill@redhat.com>
Date:   Fri Apr 28 15:46:08 2023 -0400

    tests: add dbus example to traverse the devices and call test the factory()
    
    Added block device list as "--blockdevs" parameter.  It accepts
    block devices in the format "/dev/xxx,/dev/xxx".
    
    Call the Factory() to test DEVICE_TYPE_LVM, DEVICE_TYPE_BTRFS,
    DEVICE_TYPE_MD and DEVICE_TYPE_STRATIS.
    
    Signed-off-by: Todd Gill <tgill@redhat.com>

commit d6314208efc0d087305a05a0e10366135f263dcc
Merge: 0c7d00ec a21c4fa6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 30 13:04:46 2024 +0200

    Merge pull request #1236 from vojtechtrefny/3.10-devel_md-linear-remove
    
    Remove support for the MD linear RAID level

commit 0c7d00ec098491b56638b01217560507053a81ae
Merge: f42809a1 02686e79
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 29 16:29:10 2024 +0200

    Merge pull request #1241 from koitococo/3.10-devel
    
    fix issue #1239

commit 02686e797828a9eb47331d8ebebc1213ce01c379
Author: Koi to Coco <koito_coco@outlook.com>
Date:   Wed May 29 13:36:45 2024 +0000

    fix issue #1239

commit f42809a187b30ddee4c3b5c2348326f436ccc6d4
Merge: d1fcf791 e19d8109
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sat May 25 17:21:52 2024 +0200

    Merge pull request #1237 from iasunsea/3.10-devel
    
    fix compare uuid fail

commit e19d8109a70625e815f9d1428629a41d6c4d7f06
Author: iasunsea <iasunsea@sina.com>
Date:   Sat May 25 16:00:27 2024 +0800

    fix compare uuid fail

commit a21c4fa61f75f6c900f152651308ac9b457a62da
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 23 15:31:47 2024 +0200

    Remove support for the MD linear RAID level
    
    The md-linear kernel module is deprecated and will be removed in
    the future.

commit d1fcf7919cc3ebf05ca264ca3d42da6257b4d430
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 23 09:58:24 2024 +0200

    ci: Fix repository name in job name in check.yml

commit cc4661547ff856ce9338b13fa0788bfd1ec832f5
Merge: cebc30e6 24f647e0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 23 09:27:07 2024 +0200

    Merge branch '3.10-devel'

commit 24f647e0d4212e537103ab7cb150f9386fa7fe8d
Merge: bde1c87b 402a92f4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 21 13:03:48 2024 +0200

    Merge pull request #1235 from vojtechtrefny/3.10-devel_pylint-fixes
    
    Fix pylint 'possibly-used-before-assignment' warnings

commit 402a92f44fbfcdfd445e77a35833e8234a2e04c9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon May 20 10:55:22 2024 +0200

    Fix pylint 'possibly-used-before-assignment' warnings
    
    The latest pylint introduced a new warning for values possibly
    used before assignment.

commit bde1c87b5a35683a6017328745df421ecbcf42cd
Merge: 144c3e72 95f565d5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 15 11:38:51 2024 +0200

    Merge pull request #1234 from vojtechtrefny/3.10-devel_fix-btrfs-mount-skip
    
    Fix skipping btrfs calls when libblockdev btrfs plugin is missing

commit 95f565d56d21dd7e0d9033236a20be735665e0af
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 14 12:35:12 2024 +0200

    Fix skipping btrfs calls when libblockdev btrfs plugin is missing
    
    We need to check for the btrfs plugin in the set of available
    plugins, not in the missing plugins, because on RHEL the plugin is
    not missing, it's not even requested.

commit 0bfe9e5347443029bb23e63f771c8fd836936641
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri May 10 12:27:22 2024 +0200

    New version: 3.10.0

commit c087ceaf5bd8678b239b6b45eb66c1592f7770d3
Merge: 0fbc1d43 144c3e72
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri May 10 11:38:29 2024 +0200

    Merge remote-tracking branch 'origin/3.10-devel' into 3.10-release

commit cebc30e6932c0a722c6b1b37cbdf174224b593d6
Merge: f872baa3 144c3e72
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 9 12:53:32 2024 +0200

    Merge branch '3.10-devel'

commit 144c3e725a53f0960845a89acc8f15602ad47876
Merge: 0674fe7b 2593087b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 9 08:47:36 2024 +0200

    Merge pull request #1233 from vojtechtrefny/3.10-devel_stratis-test-fix
    
    tests: Add a base class for stratis tests

commit 0674fe7b98f6d6fcdbe62de6e7563e50ef8483c0
Merge: 20dfa732 9290cdf0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 7 15:43:12 2024 +0200

    Merge pull request #1229 from japokorn/3.9-devel-sr_pv_resize_support
    
    Added support for PV grow

commit 9290cdf046e8f10cbe77a0d306dfacaa56cd8cc7
Author: Jan Pokorny <japokorn@redhat.com>
Date:   Thu Apr 25 14:06:13 2024 +0200

    Added support for PV grow
    
    Storage role requires support for a case when PV has to be resized to
    fill all available space when its device's size changes (usually on VM).
    
    A new flag 'grow_to_fill' was added, which marks the device for size
    expansion (all available space it taken).
    Proper size is determined by LVM, avoiding inaccurate size
    calculations in blivet.

commit 2593087ba9188fb874b54b36c0d71f23f0bc3d1b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 7 13:09:24 2024 +0200

    misc: Add stratis-cli and stratisd to test dependencies

commit 7cf265aa478e815e0e20839cc560b982b6ba3db5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 7 09:55:43 2024 +0200

    tests: Add a base class for stratis tests
    
    To avoid re-running all the test cases from StratisTestCase in
    StratisTestCaseClevis.

commit 20dfa732b9e42a54d55ef0d2f72282c1fe1e17b3
Merge: f92f32cb b92c2dd8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 7 09:53:06 2024 +0200

    Merge pull request #1232 from vojtechtrefny/3.10-devel_stratis-clevis-tang-example
    
    Add a Stratis example with pool encryption using Clevis/Tang

commit b92c2dd8c74cef9764c23844441b83d1067f4d3d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon May 6 13:44:39 2024 +0200

    Add a Stratis example with pool encryption using Clevis/Tang

commit f92f32cbd3a20efa9c083c0f48d896d810e03b3a
Merge: db86dc16 5b358f0c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon May 6 08:25:37 2024 +0200

    Merge pull request #1230 from vojtechtrefny/3.10-devel_vg-remove-pv-uuid
    
    Clear VG UUID from PVs after removing the PV (#2278058)

commit 5b358f0c662cffbfece7e6aa61e10bffa14c95d9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri May 3 14:03:02 2024 +0200

    Clear VG UUID from PVs after removing the PV (#2278058)

commit db86dc16dcd768a45441da00b5b4d5bae78bf158
Merge: a30f4beb e0071a76
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 26 15:03:27 2024 +0200

    Merge pull request #1228 from vojtechtrefny/3.10-devel_stratis-clevis-tang
    
    Support for encrypted Stratis pools with Clevis/Tang/TPM

commit e0071a76e1effd00fc91ad2ccdf583614eb9b0a4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 26 13:46:56 2024 +0200

    Use longer timeout for Stratis DBus calls
    
    We've seen some timeouts for some Stratis calls (especially with
    larger disks and encryption) so we need a longer timeouts for the
    calls. This uses 120 seconds which is the same value which stratis
    CLI uses.

commit 95c60b7816967225017c27ffe5d2946119eff504
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 26 13:45:36 2024 +0200

    safe-dbus: Allow using custom timeouts for the DBus calls

commit 95996edc6027855ff511336bd63b2f9f66b7727b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 24 09:38:02 2024 +0200

    Catch JSONDecodeError when parsing Stratis Clevis info

commit a549e7e4e90e70c0cac98a1098dda06870d4659c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 23 14:57:01 2024 +0200

    Add support for unlocking locked Stratis pools with Clevis

commit ad37fb659b87ee328b202d4d83c178ca5c9671fd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 19 13:33:00 2024 +0200

    Add support for creating encrypted Stratis pool with Clevis
    
    Both Clevis/Tang and TPM2 is supported by this implementation.

commit a30f4bebdd1a79fd0ddcacdc2eca8fd4e34517ca
Merge: 44e70e2e 068ac170
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Apr 22 13:34:56 2024 +0200

    Merge pull request #1227 from vojtechtrefny/3.10-devel_stratis-fs-round-size
    
    Round Stratis Filesystem size down to the nearest sector

commit 068ac1704125b6cf071fc7e97a6695db884b6e9f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 19 12:44:19 2024 +0200

    Round Stratis Filesystem size down to the nearest sector
    
    Stratis requires sizes to be rounded for the filesystems.

commit 44e70e2e0c8cbeb0551b730561f9dec41f20d573
Merge: 954b7f10 7563fbe9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 19 09:13:51 2024 +0200

    Merge pull request #1226 from vojtechtrefny/3.10-devel_stratis-cmd-include-stderr
    
    Make sure to include stderr when gathering output of stratis tools

commit 7563fbe923eb1b07e26ece8563d12638311b46b3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Apr 18 16:14:07 2024 +0200

    Make sure to include stderr when gathering output of stratis tools
    
    Without this we won't get any error message when the call fails.

commit 954b7f1037f373c4b8eba1d63834eb8888158a52
Merge: 6ab86cbe 8d50582d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Apr 15 14:38:59 2024 +0200

    Merge pull request #1224 from vojtechtrefny/3.10-devel_stratis-add-member
    
    Add support for adding new members to existing Stratis pool

commit f872baa39d778fc6e1a84927a0e6874a35281ef5
Merge: 7ca177d9 6ab86cbe
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Apr 15 14:30:37 2024 +0200

    Merge branch '3.10-devel'

commit 6ab86cbe7313a5581af569a321dcfba1250c4071
Merge: a333af90 a91c7750
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Apr 15 14:30:35 2024 +0200

    Merge branch '3.9-devel' into 3.10-devel

commit 8d50582d44dfdd037fa17ad2b376852117fc36f2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 12 15:53:15 2024 +0200

    Add support for adding new members to existing Stratis pool
    
    Currently only new devices can be added to a pool, removing devices
    is not supported by Stratis.

commit 5dbf47108c76cfab175a9ec55fd3a2701431855c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 12 15:52:02 2024 +0200

    Base StratisPoolDevice on ContainerDevice instead of StorageDevice
    
    Stratis pool is a container and we need to base it on
    ContainerDevice to support some features like member management.

commit a91c7750d4eb376ab58e5f693ed9a8dd73cd688b
Merge: 7b55d540 8f61c9ba
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 12 14:35:34 2024 +0200

    Merge pull request #1223 from vojtechtrefny/3.9-devel_nvme-uuid-fix
    
    Ignore invalid/empty UUIDs for NVMe namespaces

commit a333af90ce14e7956c289baea46cc10b1ece4c7b
Merge: 7e195993 f0ef8e61
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Apr 11 10:42:05 2024 +0200

    Merge pull request #1222 from vojtechtrefny/3.10-devel_stratis-inconsistent-sector
    
    Do not allow creating stratis pools with different sector sizes

commit 8f61c9ba7241daa6b068355eafb39b1711b12371
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 10 13:41:35 2024 +0200

    Ignore invalid/empty UUIDs for NVMe namespaces
    
    Fixes: #1221

commit f0ef8e61bab4715f793c107e06d65a53828e9cb9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 10 11:10:25 2024 +0200

    lvm: Use more generic exception for inconsistent PV sector sizes
    
    We now have two technologies that are sensitive to sector sizes so
    we should use something more generic than InconsistentPVSectorSize

commit b2842decb8cbecbcfcb3b2a18904f6631d0a22c3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 10 10:54:46 2024 +0200

    Do not allow creating stratis pools with different sector sizes
    
    Similarly to LVM Stratis alos doesn't allow mixing different
    sector sizes in one pool.

commit 7ca177d95a2bbe940de5b3a74326ee6a2dab886f
Merge: fb39329e 7e195993
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 9 11:11:48 2024 +0200

    Merge branch '3.10-devel'

commit 7e195993892fe91090edc40f4cac3e7ccdc5d173
Merge: 95c8155e 7b55d540
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 9 11:10:18 2024 +0200

    Merge branch '3.9-devel' into 3.10-devel

commit 7b55d540c8b8bd30af7f8aed4a736f68981b5895
Merge: d0670249 9bece1f0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 9 11:07:22 2024 +0200

    Merge pull request #1219 from vojtechtrefny/3.9-devel_fstab-stratis-fix
    
    fstab: Use 'mount_type' when writing filesystem type to fstab

commit d06702495a24fe85bf73149bb95e5241c7749cd0
Merge: 39931945 62e7fe7a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 9 11:07:09 2024 +0200

    Merge pull request #1220 from vojtechtrefny/3.9-devel_fix-dbus-starting
    
    availability: Fix starting DBus services

commit 62e7fe7acee5af9f8e7fe2f2551d4de15e54fb66
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Apr 5 13:07:29 2024 +0200

    availability: Fix starting DBus services
    
    We don't want to try to start services that are already running.

commit 9bece1f0ce0bfe53934173d1d19c6de320e699ea
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 3 13:59:52 2024 +0200

    fstab: Use 'mount_type' when writing filesystem type to fstab
    
    FOr some formats the 'type' value is not valid for mounting/fstab,
    for example for Stratis devices we internally use 'stratis xfs'
    but we need to use 'xfs' for mounting and fstab.

commit 0fbc1d43e0931802eb952de038756c2e2ed28021
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 28 13:13:07 2024 +0100

    New version: 3.9.2

commit c69120059544eb6d4eada3d891d49db06490d20c
Merge: e5dd270a 39931945
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 28 13:07:19 2024 +0100

    Merge remote-tracking branch 'origin/3.9-devel' into 3.9-release

commit fb39329e4bdff8b70f98242c33ae055e1c44d1ce
Merge: 7054a980 95c8155e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 28 12:26:29 2024 +0100

    Merge branch '3.10-devel'

commit 95c8155eca14bb1bce096c65b9361d70994d612a
Merge: 6a9ab46a 39931945
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 28 12:26:02 2024 +0100

    Merge branch '3.9-devel' into 3.10-devel

commit 39931945a355c2e61bd6c6a99124de5864978166
Merge: 69faaf30 edb23194
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 28 12:24:19 2024 +0100

    Merge pull request #1217 from vojtechtrefny/3.9-devel_btrfs-list-subvolumes-fix
    
    Misc fixes related to btrfs subvolume listing

commit edb231949908a4e89b3321646f5b1c7276265bf0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 27 13:50:59 2024 +0100

    tests: Add a simple unit test for listing btrfs subvolumes

commit 2698bad1211a666a67c30a11873e75cd0a6ce7f1
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 27 13:33:58 2024 +0100

    Fix getting default subvolume ID for mounted btrfs volumes
    
    We already have the mountpoint from the previous list subvolumes
    operations so we can just use it here too.

commit 012d28c1523c9fca0d3452a67f505f6225da1347
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 27 13:32:41 2024 +0100

    Do not try to get btrfs subvolumes without libblockdev
    
    We have the libblockdev call in try-except but it still creates an
    unnecessary call and mount operation for something that must fail
    when the plugin is not loaded.

commit 7054a9805f36096ae1445176700f458674c81f79
Merge: aad50e72 6a9ab46a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 27 08:11:33 2024 +0100

    Merge branch '3.10-devel'

commit 6a9ab46a1939eb3b653fbb0f401351eff38cb7a5
Merge: baa51de7 69faaf30
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 27 08:11:31 2024 +0100

    Merge branch '3.9-devel' into 3.10-devel

commit 69faaf3068835c44bdadc12feca81e78c961e69c
Merge: f25199d4 038799f7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 27 08:10:32 2024 +0100

    Merge pull request #1216 from vojtechtrefny/3.9-devel_btrfs-is-empty-subvolumes-fix
    
    Do not raise not implemented exception when checking if btrfs is empty

commit 038799f79b9d4cd5184a4a8367b3e3963aa7ed2f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 26 13:51:48 2024 +0100

    Do not raise not implemented exception when checking if btrfs is empty
    
    If we don't have libblockdev btrfs plugin we cannot check if the
    btrfs filesystem is empty.

commit baa51de7d9e4dd32c72aba9a7fa93c7ff2f392e7
Merge: 8b9c2c17 05d7e1c4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 26 07:01:50 2024 +0100

    Merge pull request #1215 from vojtechtrefny/3.10-devel_bitlk-support
    
    Add basic support for BitLocker devices

commit 05d7e1c44894dd3cada5e6ec4ffdc34f6a65eb19
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Mar 22 12:01:21 2024 +0100

    Add basic support for BitLocker devices
    
    Just a basic support so we are able to recognize BitLocker format
    and devices unlocked with cryptsetup.

commit 8b9c2c1711f58bb2643756b34cfa61bb185bbe89
Merge: 84d59c66 c8fd7490
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 20 15:26:16 2024 +0100

    Merge pull request #1211 from vojtechtrefny/3.10-devel_nvme-startup-skip
    
    nvme: Skip startup/write when NVMe plugin isn't available

commit aad50e7280145db6aa3c72388cc1a0d6ee9786d1
Merge: 220c52f2 84d59c66
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 20 13:59:21 2024 +0100

    Merge branch '3.10-devel'

commit 84d59c6623440f67cef6ed3ec88291fd5acd43a2
Merge: 3f28f59f f25199d4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 20 13:59:19 2024 +0100

    Merge branch '3.9-devel' into 3.10-devel

commit f25199d491956fd908eaecdee45f5174d192b5e6
Merge: fa0c6853 2a8f0028
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 20 13:58:31 2024 +0100

    Merge pull request #1210 from vojtechtrefny/3.9-devel_type-uuid-print-fix
    
    Fix printing the partition type UUID

commit fa0c68531467be088fc8f6a8a8d79cdfcfbce112
Merge: 66914f0e 4e2c9e89
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 20 13:58:14 2024 +0100

    Merge pull request #1213 from vojtechtrefny/3.9-devel_stratis-service-start
    
    Try to start stratisd before checking its availability

commit 220c52f2dd5bd2b0317ed1b9545c2607d2415c09
Merge: 53f823df 3f28f59f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 19 13:24:55 2024 +0100

    Merge branch '3.10-devel'

commit 3f28f59fec92f8cf31f0983ecbd55d7f76a2c352
Merge: 2b0f02be 66914f0e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 19 13:24:53 2024 +0100

    Merge branch '3.9-devel' into 3.10-devel

commit 66914f0ee20bd6af61835547b1ce3ee3dd24833e
Merge: dcee26b0 4680e447
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 19 13:24:07 2024 +0100

    Merge pull request #1212 from vojtechtrefny/3.9-devel_stratis-no-size-fix
    
    Fix creating Stratis filesystem without size specified

commit 4e2c9e89bdb41688786a50244d40a3dd71f8ce10
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 19 13:20:31 2024 +0100

    Try to start stratisd before checking its availability
    
    stratisd is neither autostarted after installing the package nor
    DBus activated so we need to try to start it first.

commit 4680e44709b328c7f75004b26670ebf431c6b161
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 18 14:35:04 2024 +0100

    Fix creating Stratis filesystem without size specified
    
    We do allow creating Stratis FS without specifying its size which
    simply means creating the default 1 TiB filesystem.

commit c8fd749056bcee7f5df97c95372021473b28c4e2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 14 15:10:27 2024 +0100

    nvme: Skip startup/write when NVMe plugin isn't available
    
    This is similar to other modules like iSCSI where these methods
    are silently skipped if the technology isn't supported or
    available.

commit 2a8f0028420233d6efc4307a30a0df14538b2116
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 14 09:37:49 2024 +0100

    Fix printing the partition type UUID
    
    We want to print the human-readable string if possible, not the
    binary data.

commit 2b0f02be1ce288ad4847c43e0bb6833f7ce28cf4
Merge: 84ecb272 b54c59f6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 13 12:48:37 2024 +0100

    Merge pull request #1209 from vojtechtrefny/3.9-devel_bios-raid-partition-fix
    
    Fix scanning partitions on RAID arrays (#2269133)

commit b54c59f6cfb6f48748d0b2c110d7bffc9105803e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 12 14:22:22 2024 +0100

    Fix scanning partitions on RAID arrays (#2269133)
    
    We cannot use get_device_by_device_id here because we get name
    from udev.

commit 6efaca6b6489f72f261a5fa29d017233d35c078c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 12 14:21:46 2024 +0100

    Add a test case with DDF BIOS RAID array

commit 53f823df0b2d704df3fb1f6a178f74e6b7b061d5
Merge: 96ae80b5 84ecb272
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 12 10:28:12 2024 +0100

    Merge branch '3.10-devel'

commit 84ecb272464843058b88727ac5964d8508dd2d27
Merge: 86d5dd2d dcee26b0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 12 10:28:10 2024 +0100

    Merge branch '3.9-devel' into 3.10-devel

commit dcee26b0a84546aa7db93272101d55e6346884e7
Merge: 7fa3d195 f70c8fc6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 12 10:27:20 2024 +0100

    Merge pull request #1208 from vojtechtrefny/3.9-devel_fix-btrfs-is-empty
    
    Adjust check for btrfs filesystem being empty

commit f70c8fc68db656171a92ccc83b201837ed1e5aa7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 11 14:42:46 2024 +0100

    Adjust check for btrfs filesystem being empty
    
    There are some changes planned in libblockdev that will affect how
    subvolumes are listed so we need to adjust our check to work with
    both the old and new version of libblockdev.

commit 96ae80b5550762b9d4cee266bec4141d363f899d
Merge: 0bef192d 86d5dd2d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 7 13:14:20 2024 +0100

    Merge branch '3.10-devel'

commit 86d5dd2d9eab848dae19bb328e36cd3cd45dd41a
Merge: 96c95c4e 7fa3d195
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 7 13:14:18 2024 +0100

    Merge branch '3.9-devel' into 3.10-devel

commit 7fa3d195c644396c3fabacc0c6ea38074f00d24c
Merge: 9d9cd86d dca4de17
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 7 13:13:06 2024 +0100

    Merge pull request #1204 from vojtechtrefny/3.9-devel_missing-fstab
    
    Fixes for latest Ubuntu/Debian support

commit 0bef192d208888283cb5564cb9c2fbb9495741c4
Merge: 0acd93f0 96c95c4e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 7 10:07:08 2024 +0100

    Merge branch '3.10-devel'

commit 96c95c4e868d52e83d4dbf237ee078d7619c9741
Merge: d26b7579 9d9cd86d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 7 10:07:06 2024 +0100

    Merge branch '3.9-devel' into 3.10-devel

commit 9d9cd86d70edb5ab4538de6eeddb9e7fc6eebe5f
Merge: 8341d80b 2917d8f9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 7 10:06:11 2024 +0100

    Merge pull request #1207 from vojtechtrefny/3.9-devel_detect-virt-amazon
    
    Fix util.detect_virt on Amazon

commit 2917d8f99978206b3d1fbf9842ae708db02dfbd3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 7 09:45:28 2024 +0100

    Fix util.detect_virt on Amazon

commit dca4de17e39f3032cfeb658dcdc7eebc5e30469f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 4 15:34:38 2024 +0100

    misc: Vagrantfile update

commit 55e0893ab296863449a6f9ca687e38ea6dabec27
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 4 15:09:39 2024 +0100

    misc: Run pip with --break-system-packages
    
    We are installing packages using pip system-wide so we need to add
    --break-system-packages to make it work.

commit ddcc0be893c0064126579d0fa5979d57c5ddfb4b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 4 15:09:10 2024 +0100

    misc: Add missing libmount build dependencies

commit 8c2c1559b71bfe2d3f7657f1483afcc8aced005f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 4 15:08:00 2024 +0100

    availability: Check for mpath friendly names availability
    
    We set the friendly names feature during populate so we need to
    check for its support (which requires mpathconf) too.

commit ab90f792462bd2a3410ab528fd5452054e1fb656
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 4 15:07:02 2024 +0100

    Allow running blivet without libmount Python bindings
    
    The libmount bindings are not available everywhere so we should
    make sure blivet still can be used without it if fstab management
    is not required.

commit 0acd93f0d789df8c548fe4b5f5a7694c7e817a04
Merge: 55213f89 d26b7579
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 6 15:31:19 2024 +0100

    Merge branch '3.10-devel'

commit d26b7579d624f6685e125376db19580a02d83c12
Merge: b9a24d7f 8341d80b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 6 15:31:17 2024 +0100

    Merge branch '3.9-devel' into 3.10-devel

commit b9a24d7f213ad8914d168829ed92a0eec61e1ed7
Merge: edaa5f8a 7cff387f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 6 15:30:21 2024 +0100

    Merge pull request #1206 from vojtechtrefny/3.10-devel_run-tests-os-release
    
    tests: Try to get distro and version from /etc/os-release

commit 8341d80bb4313725e764820cd51b826bfa12f009
Merge: e0b33c92 ef65defc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 6 15:30:09 2024 +0100

    Merge pull request #1197 from japokorn/3.9-devel-fstab_cleanup_fix
    
    Fstab cleanup fix

commit e0b33c923d47ca646d9dff0b209994c86a93dc5a
Merge: 94adfec2 afa91842
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 6 15:29:25 2024 +0100

    Merge pull request #1205 from vojtechtrefny/3.9-devel_fix-btrfs-mountpoint-check
    
    Fix getting subvolumes for mounted btrfs volumes

commit 7cff387fed895103bbe52354e4174ee150a5d302
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 6 14:10:51 2024 +0100

    tests: Try to get distro and version from /etc/os-release
    
    If we can't get the information from DBus, we should try the
    /etc/os-release file.

commit ef65defc14e3cfc849bad2110339deb7924d4b64
Author: Jan Pokorny <japokorn@redhat.com>
Date:   Thu Feb 8 15:13:02 2024 +0100

    Fstab cleanup fix
    
    Formats with multiple layers (e.g. LUKS) were not handled properly in
    fstab. This resulted in fstab entries not being properly cleaned from
    fstab when destroy actions were executed. This fixes the issue by using
    different variables with correct values based on action type.

commit e1814b99427f38dda9b46a9997f312c35a14bd99
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 6 14:10:17 2024 +0100

    availability: Fix checking for DBus service availability

commit afa91842ff01982823d891d57650a387fd69ad31
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 5 14:42:23 2024 +0100

    Fix getting subvolumes for mounted btrfs volumes
    
    When looking for a mountpoint we're trying to compare device name
    with the device node base name which doesn't work for DM devices
    like LUKS (we're trying to compare "dm-0" to "luks-..."), we need
    to make sure to resolve the name first.

commit edaa5f8af9e887d6a04649144c9c9679e081726b
Merge: 7cff2716 f42df71c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 28 11:30:00 2024 +0100

    Merge pull request #1203 from vojtechtrefny/3.10-devel_packit-config-update
    
    ci: Update packit configuration for 3.10-devel

commit f42df71c331e69f3bf5c8a8a53369ccf960279e8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 28 11:03:59 2024 +0100

    ci: Update packit configuration for 3.10-devel

commit 55213f89a008d2dc5de99c9bf083c19316c2480e
Merge: 9f446eda 7cff2716
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 28 11:00:08 2024 +0100

    Merge branch '3.10-devel'

commit 7cff2716a684f96c1ec4fabd2b19b657e0971349
Merge: f7db1eac 94adfec2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 28 11:00:06 2024 +0100

    Merge branch '3.9-devel' into 3.10-devel

commit e5dd270af952460007ed0b517a489849179d45f4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 27 10:42:46 2024 +0100

    New version: 3.9.1

commit c8fa34f30cea83d61d90203b47e6fdc78214cd17
Merge: fbbcfe91 94adfec2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 27 10:41:44 2024 +0100

    Merge remote-tracking branch 'origin/3.9-devel' into 3.9-release

commit 9f446eda6ae11752b819b6ada5fca2978f5059a6
Merge: 16b3738c 94adfec2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 27 10:41:04 2024 +0100

    Merge branch '3.9-devel'

commit 94adfec2ac51f2ca4b829a78217b207cf4d9e185
Merge: 715c1861 bcf49c2c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Feb 23 15:22:21 2024 +0100

    Merge pull request #1202 from vojtechtrefny/3.9-devel_raid-populate-assemble
    
    Try to assemble MD arrays during populate (#2236356)

commit bcf49c2ce654d57714fa98b54b2f06c3dc041583
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 21 09:35:06 2024 +0100

    Try to assemble MD arrays during populate (#2236356)
    
    We want to be able to gather information about the array including
    size and filesystem type on it which is possible only when the
    array is active. By default this is disabled, auto_dev_updates
    flag needs to be set to enable this behaviour.

commit 715c1861db252fc1a1ee47ae040af9c846e3515e
Merge: c19c2baa c141179b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 12 18:30:40 2024 +0100

    Merge pull request #1198 from vojtechtrefny/3.9-devel_md-populator-fix
    
    Fix UnboundLocalError in MD populator

commit c141179b18984c5a96cd605c29df9716c714afe8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 12 14:49:23 2024 +0100

    Fix UnboundLocalError in MD populator
    
    Follow-up for a73bb08255a97cf4f16c764ef09341a2421318d6

commit f7db1eacb3fa8a130b373b8a0b08911efe5da13c
Merge: e5dc397d d212b7bc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 8 11:37:30 2024 +0100

    Merge pull request #1195 from vojtechtrefny/3.10-devel_python2-support-remove
    
    Various code cleanup

commit d212b7bc99fb1c5f9fb52ffe17c6d028deb2e526
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 1 17:15:33 2024 +0100

    Remove vim formatting comments

commit b4975176558dffea334bcc63c752a1643e968c3a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 1 15:23:20 2024 +0100

    tests: Do not ignore entire test files in pylint

commit e5dc397dd067cab1bae47330d2aaa797cfd3fd0b
Merge: 53dfc314 6a369c64
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 5 13:55:19 2024 +0100

    Merge pull request #1194 from vojtechtrefny/3.9-devel_flags-update
    
    Remove unused flags and do not read flags from boot command line

commit c19c2baaf9d80aecda548ebf644674900e286974
Merge: 53dfc314 a73bb082
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 5 13:55:04 2024 +0100

    Merge pull request #1196 from vojtechtrefny/3.9-devel_mdraid-degraded-scan-fix
    
    Fix crash when scanning degraded/not fully assembled MD arrays

commit a73bb08255a97cf4f16c764ef09341a2421318d6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Feb 2 12:05:15 2024 +0100

    Fix crash when scanning degraded/not fully assembled MD arrays
    
    When we don't have the array name we cannot construct device ID
    for the devicetree lookup, we need to let the code fallback to
    other means like UUID.

commit ad73c8748e9eec3d721afba5c8d631aedb2605d6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 1 15:17:25 2024 +0100

    tests: Do not try to import mock and patch from mock
    
    We no longer support older versions of Python so we can import
    everything only from the unittest module.

commit 4581964640d6f55c47435cac1a8f391b9e12d431
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 1 17:30:40 2024 +0100

    Remove util.stringize and unicodeize functions
    
    These are needed only for the Pytho 2/3 compatibility and we no
    longer support Python 2. unicodeize can be removed without
    replacement and the default str constructor can replace stringize.

commit 9d64c01b57352e44d11a9fee113d39727169ade5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 1 17:30:07 2024 +0100

    Remove Python SIX usage
    
    We stopped caring about Python 2 support long time ago and with
    libblockdev 3.0 which is Python 3 only it wouldn't even be
    possible to support Python 2 so we should finally remove it.

commit 6a369c64cf238868da4f18dda9bdeffa45e2b6af
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 1 13:10:38 2024 +0100

    Remove unused flags and do not read flags from boot command line
    
    These flags are not used by Anaconda anymore or not used in our
    code at all.
    Blivet is now also used outside Anaconda so we should not try to
    parse kernel command line for flags and let Anaconda do it when it
    makes sense.

commit 16b3738c2e670a2f36f7da8c427c76d5c00fa518
Merge: 74444c68 53dfc314
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 1 07:56:00 2024 +0100

    Merge branch '3.9-devel'

commit 53dfc314b1183db9cf661777faec229cdedaa6dc
Merge: 1f97a007 4c3dfd72
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 31 15:59:27 2024 +0100

    Merge pull request #1193 from vojtechtrefny/3.9-devel_misc-fixes
    
    Various post-release fixes

commit 4c3dfd722a484b476d521282ebb3995e6a286b66
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 31 14:31:37 2024 +0100

    pylint: Remove some old false positives

commit 4db5737a1487bb205c84df67650b9aef1d667eea
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 31 14:27:47 2024 +0100

    tests: Skip MD storage tests on RHEL/CentOS 9
    
    The tests are randomly failing on CentOS 9 -- the newly created
    array is not assembled after reset.

commit fe17ad97613bee4864f0aac144eff5f3964584c7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 31 14:25:35 2024 +0100

    misc: Bump libblockdev version for Debian

commit d8c50a06908d42dfc3c6710c741017aee5a0ffd2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 31 14:20:41 2024 +0100

    Fix typos

commit 8b401183f4aa2c59554a545b53f36d0acc6b0c78
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 31 14:20:15 2024 +0100

    Remove unused import

commit fbbcfe91a073fe0da856107eb85626a45c7f03f3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 31 13:16:07 2024 +0100

    New version: 3.9.0

commit 65de968d5cc59108d2054efbfd8714964fb1f10a
Merge: aef3316c 1f97a007
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 31 12:52:37 2024 +0100

    Merge remote-tracking branch 'origin/3.9-devel' into 3.9-release

commit 74444c68a999b230eec8bd0a3f0b8f707091c340
Merge: fd815ab4 1f97a007
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 31 12:51:43 2024 +0100

    Merge branch '3.9-devel'

commit 1f97a0079e71483444aac327d2c12e61ea667b2f
Merge: 2c8acae4 6238c91d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 30 12:48:13 2024 +0100

    Merge pull request #1192 from vojtechtrefny/3.9-devel_cache-pool-segtype-fix
    
    Fix checking for segment type for cache pools

commit 6238c91d5652e9b341c9a7d20e8c7c5ae7a3dce7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jan 29 15:09:47 2024 +0100

    Fix getting default LVM cache metadata size from libblockdev
    
    Blivet expects all these sizes to be instance of blivet.size.Size
    and not an integer.

commit 108a44c557d94ba8eb999d30849adc13e660d875
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sun Jan 28 09:21:46 2024 +0100

    Fix checking for segment type for cache pools
    
    The segtype is "cache-pool", not "cache_pool".

commit 2c8acae4d8a57ff77e0d0b5c43379c33c88d137a
Merge: 8934f91f 4093381d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 26 08:59:28 2024 +0100

    Merge pull request #1191 from vojtechtrefny/3.9-devel_misc-fs-tests-fixes
    
    Two small formats tests changes

commit 4093381de1fa65b12afcb6ef63e8356a36fa479b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jan 25 10:29:35 2024 +0100

    tests: Enable GFS2 tests

commit 808a65f47d7724b9f551def1c909a3f88f529e44
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jan 25 10:27:59 2024 +0100

    tests: Move 'test_labels' to unit tests
    
    We don't need to run these tests as root.

commit 8934f91f8e048df762ad3f2759b77f77d0a0870c
Merge: 38f4b48e bb8c8c82
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 24 15:48:42 2024 +0100

    Merge pull request #1188 from vojtechtrefny/3.9-devel_is-fs-empty
    
    Add a new function to check if a filesystem is empty

commit bb8c8c820534e2ef60b3f3a7da89d66c5e9158d3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 19 15:41:10 2024 +0100

    Add a new function to check if a filesystem is empty
    
    This will be used by Anaconda to determine whether a given
    filesystem can be used for / without reformating.

commit fd815ab439348430ea85dd75efc9bc5d61ef04fb
Merge: 9ed960a1 38f4b48e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 19 09:45:23 2024 +0100

    Merge branch '3.9-devel'

commit 38f4b48edbd6543aefbb8be057bede204a862be9
Merge: 931108aa 3e23729c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 19 09:44:29 2024 +0100

    Merge pull request #1182 from vojtechtrefny/3.9-devel_unique-device-id
    
    Add a unique device identifier

commit 931108aab5f82d69afccff1bceee6229f45b3f8e
Merge: c55b3cc0 87520a1a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jan 8 08:38:14 2024 +0100

    Merge pull request #1185 from vojtechtrefny/3.9-devel_md-test-wait-for-resync
    
    tests: Wait for array resync in MD tests

commit 9ed960a108c19569630a4bbad58cd52fdae9c42e
Merge: e521a7e5 c55b3cc0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Dec 12 08:13:36 2023 +0100

    Merge branch '3.9-devel'

commit c55b3cc0defbf1ca7085770cd32b75258c6df86e
Merge: e82653ec 1e2cdcb8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Dec 12 08:13:33 2023 +0100

    Merge branch '3.8-devel' into 3.9-devel

commit 1e2cdcb80767712a5b696cfde317924383dd5749
Merge: 57f1382f 9a4beb61
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Dec 12 08:12:59 2023 +0100

    Merge pull request #1161 from steffen-maier/zfcp-path-id
    
    add udev-builtin-path_id property to zfcp-attached SCSI disks

commit e82653ec1d130967da0b3dfd730a360a7c89e7e8
Merge: 851b5bba 27e2cb33
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Dec 6 14:29:46 2023 +0100

    Merge pull request #1184 from vojtechtrefny/3.9-devel_vagrantfile-update
    
    misc: Vagrantfile update

commit 87520a1a36e4131b72b8c2216470a57fff33716e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Dec 6 14:19:17 2023 +0100

    tests: Wait for array resync in MD tests

commit 27e2cb33b86e9d8cf8768c26fc9533b55658451f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Dec 6 13:47:30 2023 +0100

    misc: Vagrantfile update

commit 851b5bba17aae3159b9f092a33173d744a2f85bd
Merge: 4957d847 c807e234
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Dec 6 13:11:48 2023 +0100

    Merge pull request #1183 from vojtechtrefny/3.9-devel_nvme-test
    
    tests: Add a simple unit test for the NVMe module

commit c807e234dfd07f3d0005c71501f0300284cd580b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Dec 6 11:47:31 2023 +0100

    tests: Add a simple unit test for the NVMe module

commit 3e23729cf7250fa98220264331911c4269f72562
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Dec 5 12:12:40 2023 +0100

    tests: Add a test case with multiple devices with the same name

commit 4170889170b9ca8412f17abcda618f14db65989e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Dec 4 14:36:50 2023 +0100

    tests: Add basic unit tests for device_id

commit 6a615d5d7952ba1f2ae322302c71e92ca78c0a3f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Dec 4 14:18:14 2023 +0100

    tests: Add a simple test for DeviceTree.get_device_by_device_id

commit d9350fc719f17b891fd6f643a688e0dced30fc2c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 29 15:46:51 2023 +0100

    Use get_device_by_device_id instead of _by_name in populator
    
    We can now internally use the device_id instead of name when
    getting device to be sure we will get the expected device a not a
    different device with the same name.

commit 7f9601c0320a34027d877df8b6fd6c3805589e6d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 29 15:46:33 2023 +0100

    Add a function to get a device by device ID

commit 4c6743851dcf1e399a785482ac78ffa3df40cc7f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 22 13:19:13 2023 +0100

    Add "device ID" that could be used as a unique device identifier
    
    Currently device name is commonly used as a unique device
    identifier both in blivet internally and in Anaconda. The problem
    with this is that duplicate names are allowed in the system in
    some cases -- btrfs names doesn't need to be unique and we can
    also have two different devices with the same name if they use
    different technologies (e.g. an LVM VG and MD array can share the
    same name). The new "device_ID" parameter is designed to be usable
    as a unique identifier and to be different for devices that share
    the same name.
    
    The device ID looks as follows:
    - name for disks, partitions and loop devices
    - LVM-<name> for LVM VGs and LVs
    - BTRFS-<uuid>-<name> for btrfs volumes and subvolumes
    - STRATIS-<name> for Stratis devices
    - LUKS-<name> for LUKS mapped devices
    - MDRAID-<name> for MD arrays
    - DM-<name> for generic DM devices

commit 4957d8473b6da74d1edb9f5599426fe2982277fc
Merge: 9889ff7b 51e10c07
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Dec 4 11:44:58 2023 +0100

    Merge pull request #1172 from vojtechtrefny/3.9-devel_nvdimm-remove
    
    Remove support for NVDIMM namespaces

commit 9889ff7bd56dbb7ba0d280db521f3126b6561650
Merge: 58b701c7 b1e39400
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Dec 1 09:59:43 2023 +0100

    Merge pull request #1181 from vojtechtrefny/3.9-devel_md-tests
    
    tests: Add storage test case for MD RAID

commit b1e39400d0723ebaf397b0c1773829d3c2793098
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 30 14:49:31 2023 +0100

    Fix adding new members to array with redundancy
    
    'None' is not a valid value for the raid_devs parameter in
    bd_md_add, but we can pass 0 for arrays with redundancy.

commit 63bec03b09ec4f492e9aa1e2f6626252258729bd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 30 14:49:07 2023 +0100

    Correctly set md_uuid when adding/removing member to/from array

commit 4692a2716fc59c3b188f4d8ccd4f088025dacd35
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 30 14:48:45 2023 +0100

    tests: Add storage test case for MD RAID

commit 58b701c780eb622dcc30e5d3696f30661e8d4cca
Merge: cecb5790 c7d01a94
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 29 09:14:42 2023 +0100

    Merge pull request #1180 from vojtechtrefny/3.9-devel_remove-unused-script
    
    Remove unused pylintcodediff helper script

commit cecb57901d17200d82e776ddd895d77f1e8b3b26
Merge: 7eba337f 6aca6bf0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 29 09:14:33 2023 +0100

    Merge pull request #1179 from vojtechtrefny/3.9-devel_btrfs-stable-uuid
    
    Generate UUID for newly created btrfs volumes

commit 7eba337f5cff242320c6b13672640818da6e3ebc
Merge: dc99f351 63da3cb8
Author: Tomáš Bžatek <tbzatek@redhat.com>
Date:   Tue Nov 28 14:46:12 2023 +0100

    Merge pull request #1178 from tbzatek/nvme-hostnqn-fabrics
    
    nvme: Retrieve HostNQN from a first active fabrics connection

commit c7d01a943ee6ce6115af4d91ef713d7e5a9c3d16
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 28 13:55:18 2023 +0100

    Remove unused pylintcodediff helper script

commit 6aca6bf0349d18fcb1affffe562f3aa5508511b4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 28 13:17:24 2023 +0100

    tests: Add a simple unit test for Btrfs

commit bc25a484f0d638d18e8b379b9dca8a1a0383a929
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 28 12:03:10 2023 +0100

    Generate UUID for newly created btrfs volumes
    
    We want to have a predictable UUID when creating btrfs volumes so
    we can have a unique identifier that is same for the volume before
    and after it is created.

commit e521a7e5b23cf06062f59d01c9b9ae9b0b93a2e6
Merge: 548285fd dc99f351
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 28 08:53:09 2023 +0100

    Merge branch '3.9-devel'

commit 63da3cb8a40500c889c8faa4326f81d16997a3c8
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   Mon Nov 27 18:55:55 2023 +0100

    nvme: Retrieve HostNQN from a first active fabrics connection
    
    When no /etc/hostnqn exists, look for any active NVMe over Fabrics
    connections and take the values from a first one, rather than
    generating new ones.

commit dc99f3512911b1fa45052a649daa8893baa6221b
Merge: ee6a8093 b39e390c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 27 12:56:18 2023 +0100

    Merge pull request #1174 from poncovka/3.9-devel-bootloader_devices_weight
    
    Support partitioning of hybrid boot disks

commit ee6a80935734ad9bdfa8ffd6e627bc63279ae0af
Merge: 9ae0d189 53c3b6d5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 27 12:54:54 2023 +0100

    Merge pull request #1176 from vojtechtrefny/3.9-devel_fix-pvremove
    
    Fix checking PV free space when removing it from a VG (#2232328)

commit 9ae0d18907add2b4348ba357a03cf77a585668e6
Merge: 828caa37 acc27cee
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 27 07:04:29 2023 +0100

    Merge pull request #1177 from vojtechtrefny/3.9-devel_packit-release-bump
    
    ci: Set custom release number for Packit

commit acc27ceedc3f52bb667a491495d381a5b64abefc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sat Nov 25 14:35:42 2023 +0100

    ci: Set custom release number for Packit
    
    We want a high release number (99) for the daily builds done by
    Packit to make sure the Copr daily builds are always newer than
    the version in Fedora. We can do this in Packit config instead of
    bumping the release in the spec everytime.

commit b39e390cd8efb20300004182e82550a5b6248079
Author: Vendula Poncova <vponcova@redhat.com>
Date:   Thu Nov 23 16:24:36 2023 +0100

    Support partitioning of hybrid boot disks
    
    Anaconda needs to be able to create hybrid boot disks. For example:
    
      clearpart --all --initlabel --disklabel=gpt
      part prepboot  --size=4    --fstype=prepboot
      part biosboot  --size=1    --fstype=biosboot
      part /boot/efi --size=100  --fstype=efi
      part /boot     --size=1000 --fstype=ext4 --label=boot
      part /         --grow      --fstype xfs
    
    However, this kickstart snippet is not working with two or more disks.
    The bootloader-related partitions should be all created on the disk
    the computer will boot from, but Blivet does that only for platform
    -specific partitions. The rest of them are created on any disk with
    enough space.
    
    It looks like this can be easily fixed by setting the same weight
    to all of these partitions regardless of the current platform.
    
    See: https://github.com/rhinstaller/anaconda/pull/5298

commit 53c3b6d53b420ca126076a457ed3cb1f6b150129
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 24 13:37:48 2023 +0100

    Fix checking PV free space when removing it from a VG (#2232328)

commit 828caa371d965048bcd3ccf48f33cf03cabd03c0
Merge: 793ec72c 8897dd89
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 24 10:20:13 2023 +0100

    Merge pull request #1173 from vojtechtrefny/3.9-devel_btrfs-tests
    
    Add a btrfs storage test and example

commit 8897dd896669349b7de2c407486585ba47428efd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 23 15:23:49 2023 +0100

    tests: run_tests script enhancements
    
    Two new arguments added:
     -p/--pdb to start debugger on failed test cases
     -s/--stop to stop execution after the first failed test case

commit 137bb91f03997038567abb86eb657f43da635947
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 23 14:07:44 2023 +0100

    Add a BTRFS example

commit adc2d4abad617491ab88075550e7d2e6a41636fe
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 23 11:33:55 2023 +0100

    tests: Add a storage test case for BTRFS

commit 51e10c0746cc367a5221bc05d0a2c5546977a269
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 22 14:43:25 2023 +0100

    Remove support for NVDIMM namespaces
    
    NVDIMM drives never really became a thing and are no longer
    produced. Anaconda will remove support for NVDIMM devices and
    the libblockdev NVDIMM plugin is now deprecated. NVDIMM namespaces
    that are configured in the block/storage mode will still be usable
    as generic DiskDevices, we are removing the NVDIMM specific code
    and ability to reconfigure the namespaces.

commit 548285fde45d7ce49554dfa4ae10b8e98f4696f3
Merge: 6f7a76c4 793ec72c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 22 13:19:58 2023 +0100

    Merge branch '3.9-devel'

commit 793ec72cc1375f4beb4224c7df02e2e5006ec27c
Merge: 238c2c99 59e132bc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 22 10:04:05 2023 +0100

    Merge pull request #1169 from vojtechtrefny/3.9-devel_lvmdevices-flag
    
    Add flag to control LVM devices file support

commit 238c2c99739b0d35f695a432f34fb07b888e5d7f
Merge: 0dad8f8f 6c282c27
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 16 09:06:32 2023 +0100

    Merge pull request #1171 from vojtechtrefny/3.9-devel_fsoptions-fix
    
    Fix passing extra mkfs arguments to libblockdev

commit 6c282c2781cdeef1eb17052e974051ec2fde262d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 15 09:03:12 2023 +0100

    Fix passing extra mkfs arguments to libblockdev
    
    Resolves: https://github.com/rhinstaller/kickstart-tests/issues/1028

commit 0dad8f8fe0bb4141985933206b0e53de44e45460
Merge: 4205a289 ef7f24bd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 15 07:42:23 2023 +0100

    Merge pull request #1170 from vojtechtrefny/3.9-devel_blivet-gui-reverse-test
    
    Blivet-GUI reverse dependency testing in GH actions

commit ef7f24bd0a72c90c15dc2f041b071b16efb1b46c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 14 08:44:29 2023 +0100

    ci: Add a GH action to run blivet-gui test suite on PRs
    
    Reverse dependency testing for blivet-gui.

commit 4ea77c3f1f0dd93b35eecb556b6a0dde4360333a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 14 08:44:04 2023 +0100

    ci: Add a Dockerfile for building a CI container

commit f09da70796ad74dbdd98ffd2fc71d14e09c4f85c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 14 08:43:33 2023 +0100

    ci: Allow installing only build dependencies without test deps

commit 59e132bcd2970a1d1755caccc8689aa6b709d37e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 13 12:33:17 2023 +0100

    Fix failing tests when running as a non-root user
    
    Just one more LVM call we need to mock to be able to run the unit
    tests as a normal user.

commit bd25fe519dc3fd797f4f402bc20e71ac87737399
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 13 12:32:04 2023 +0100

    Add flag to control LVM devices file support
    
    We want to be able to control whether the devices are added to the
    LVM devices file. For example Anaconda doesn't want to create the
    file when running an image installation.

commit 6f7a76c4c0feb0da542c74a0507f9455513fbbfd
Merge: be6244e8 4205a289
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 10 09:15:38 2023 +0100

    Merge branch '3.9-devel'

commit 4205a28943c6390802bf0e3deccc6d08ae46f70f
Merge: 43a3e424 2ef441fe
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 10 06:53:20 2023 +0100

    Merge pull request #1168 from vojtechtrefny/3.9-devel_makebumpver-simplify
    
    misc: makebumpver and test dependencies playbook update

commit 43a3e424356af626f631e242aa0dae5040cd882d
Merge: 357f6a08 c2afd77c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 10 06:53:07 2023 +0100

    Merge pull request #1163 from vojtechtrefny/3.9-devel_libblockdev-fs-plugin
    
    Use libblockdev FS plugin for filesystem operations

commit c2afd77c49c5fcee352435e0f211148a638a6e2c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 2 15:21:28 2023 +0100

    Use libblockdev to check for kernel modules availability
    
    We can use the libblockdev utils instead of calling `modprobe`.

commit 463043b744162b8fa48cb7c31cb93d465624c339
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 2 15:06:39 2023 +0100

    Use libblockdev to remove filesystems instead of calling wipefs

commit 9dab24f26825c2c9c0422016a7d33a75f2301fef
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 27 14:41:17 2023 +0200

    swap: Use libblockdev to check label and UUID format

commit afe88a3daa0f0e3663117df361975f1ee25b1afd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 27 11:17:50 2023 +0200

    fs_test: Enable NTFS test case
    
    NTFS is now fully support, we no longer need to skip this test.

commit 657f177712266470e7b6dc0ac497f0a71da2b6cf
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 27 10:08:59 2023 +0200

    availability: Remove the unused "lvmdevices" application
    
    This is no longer needed since the full LVM devices file support
    introduced in #972.

commit 258dd95465236f2cfe721ca28631f2036e60c378
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 27 10:06:23 2023 +0200

    availability: Cleanup applications
    
    Removing now unused applications replaced by libblockdev.

commit 0961800a7026477a2b9078fd6bc6b13ccaad9514
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 27 09:59:46 2023 +0200

    Remove support for Apple HFS format
    
    HFS was replaced by HFS+ more than 20 years ago and is needed only
    for the old PowerPC Macs and PPC is not supported by Fedora.

commit f3d70d8cd9f693d80e271790d2ff730083524a33
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 27 09:21:28 2023 +0200

    Fix raising FormatCreateError in FS._create
    
    FormatCreateError doesn't accept the extra device name parameter.

commit 0f279a625ec4aae430e67cad66c98ef85134ee07
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 26 14:47:33 2023 +0200

    Use libblockdev for filesystem mount operation

commit 94182aec3eed3700a24b0e7d5229a3bdc2e3019c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 26 14:29:36 2023 +0200

    Use os.statvfs instead of df to get tmpfs size

commit fa3add214ba8edf1965bc851b85f2f2a6a3ea107
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 26 14:08:28 2023 +0200

    Use libblockdev to create supported filesystems
    
    We still need to manually spawn mkfs for HFS and GFS2 which are
    not supported by libblockdev.

commit ffa9d7bb20da14b1ea960afe167d30f15231f6c2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 26 11:14:21 2023 +0200

    Use libblockdev for reading filesystem label
    
    We can now use the FSInfo task to get the filesystem label too.

commit 7fee5e0638831331a017f0fbcc19e900077d4918
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 26 11:01:11 2023 +0200

    Use libblockdev for getting filesystem info and size

commit fbd2e6296bbb981925a9d31936814a37b064552c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 25 14:39:34 2023 +0200

    Use libblockdev for filesystem resizing

commit affcc5169e6ed564cb477747b2ba73a3ee0d1584
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 25 09:41:49 2023 +0200

    Use libblockdev for setting and checking filesystem label and UUID

commit 7bf0c4dcd27db86b3bdaf2253b4c45b31f676163
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 25 08:51:05 2023 +0200

    swap: Simplify creating swap with UUID
    
    BlockDev.swap.mkswap supports the UUID parameter directly since
    3.0.

commit 7dcdbc911ee24b3142bbadfd1783f14727b4583d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 24 15:34:17 2023 +0200

    Use libblockdev for the filesystem sync operation
    
    libblockdev uses the FIFREEZE and FITHAW ioctls directly so we no
    longer need to require the command line tool.

commit 8333ede2af109f5069df20e0c4c43eef6df48be8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 24 15:32:44 2023 +0200

    Add libblockdev filesystem plugin to the list of required plugins

commit a188402579a15e2d68020975db066a63dd081840
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 24 15:02:43 2023 +0200

    availability: Remove unused "mlabel" application

commit 9cb3b73f060be5bfb8a0ae8bbc737b0b711609f5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 24 14:54:20 2023 +0200

    availability: Simplify checks for LVM VDO and shared LVM support
    
    We now require libblockdev >= 3.0 which will always have these
    technologies.

commit 7a2c5c22e27228e32d430546b652e8f5e62891d5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 24 14:49:41 2023 +0200

    availability: Do not check e2fsprogs version
    
    The minimum required version 1.41 was released 8 years ago, we can
    now safely assume it is available everywhere.

commit 9353fedf807aae0a3aa33ec1f9f5a4eeec830c15
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 24 14:16:30 2023 +0200

    Remove JFS support
    
    JFS is still supported but isn't really used or actively developed
    anymore. It also isn't packaged for CentOS/RHEL and not supported
    by libblockdev.

commit 8ca3d5545a353f054d4e1d22491a182c48f30f9d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 24 11:40:45 2023 +0200

    Remove support for ReiserFS
    
    ReiserFs support is scheluded to be removed from the kernel and
    the userspace tools were removed in Fedora 35. This removes only
    support for creating and managing ReiserFS, we will still
    recognize the filesystem.

commit ec8e187f67d436881cdc794804f93e09beac1bcf
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 27 13:28:50 2023 +0200

    ci: Update default branch for Packit to 3.9-devel/release

commit 357f6a086ea7e175dc0656bbc66392a664fc0307
Merge: b9c683ab d0501193
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 6 20:28:47 2023 +0100

    Merge pull request #1167 from vojtechtrefny/3.9-devel_modprobe-libblockdev
    
    fcoe/iscsi: Use libblockdev to laod modules instead of modprobe

commit d050119351ad94c7b559a84c82509e40a5af1df4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 3 13:17:37 2023 +0100

    fcoe/iscsi: Use libblockdev to load modules instead of modprobe

commit b9c683abcdfc9f49e7174ff620dd329970dd46d3
Merge: a40a3ad7 179381cb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 6 15:06:31 2023 +0100

    Merge pull request #1166 from japokorn/3.9-devel-fstab_swap_fix
    
     Added missing fstab object to SwapSpace

commit 179381cb87aa1ee9f394ef836cd686fa5124ddb5
Author: Jan Pokorny <japokorn@redhat.com>
Date:   Thu Nov 2 11:55:41 2023 +0100

     Added missing fstab object to SwapSpace
    
    Anaconda tests revealed missing FSTabOptions object in SwapSpace class.
    This issue is related to the recent merge of fstab rework PR #1119 which
    added this object to FS class. SwapSpace does not inherit from FS and
    was overlooked. This change adds the missing object.
    
    It also adds logic that skips all fstab related operations if fstab file
    is not to be written (i.e. fstab.dest_file is None). The reason for this is to
    eliminate the risk of potential issues caused by unused component.
    
    The test for above has been added as well.

commit 2ef441fe69500c70437db8743b76f1f5cd04fff4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 6 14:01:35 2023 +0100

    misc: Update test dependencies ansible playbook
    
    We no longer need python3-mock, pykickstart and python3-bugzilla.
    Also NTFS is now fully supported so we need ntfsprogs/ntfs-3g for
    testing.

commit 1ac5b5385bfaa6ef274a1d197ef30f30a68d7b61
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 6 14:00:23 2023 +0100

    misc: Simplify the makebumpver script
    
    We no longer need the code for checking bugs and acks ecpecially
    after RHEL migration to Jira.

commit a40a3ad7b272677a438f1deac4d3bcfd2db54cbf
Merge: e02a6b88 2778634e
Author: japokorn <japokorn@redhat.com>
Date:   Wed Nov 1 15:04:22 2023 +0100

    Merge pull request #1119 from japokorn/3.8-devel-fstab
    
    Fstab support (rebased to 3.9)

commit be6244e856c3bc4a74102bfaca49aaa52cbe0f1b
Merge: 342efc7d e02a6b88
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 1 13:49:05 2023 +0100

    Merge branch '3.9-devel'

commit e02a6b884cbcde9334c9228b790fed9a8ba185d1
Merge: 6c5fdbc2 46ac2a4c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 1 13:47:19 2023 +0100

    Merge pull request #1165 from vojtechtrefny/3.8-devel_kpartx-dependency
    
    Fix DMDevice hard dependency on kpartx

commit 46ac2a4c1fb22d96e73c2f0baca0bc230d36b0b6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 31 11:16:28 2023 +0100

    Do not fail when kpartx is not available
    
    We don't need to fail just because kpartx is missing, we can just
    log warning and not activate the partitions.

commit b75fdddd7f3e54822d1231ca58de374fdedb8464
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 31 11:15:16 2023 +0100

    Move kpartx dependency from DMDevice to MultipathDevice
    
    We don't need kpartx for all DM devices (and devices that are
    based on it like LUKS or LVM) so we are moving the dependency to
    the MultipathDevice where we can expect partitions to be present
    on a device mapper device.

commit 6c5fdbc24f63664e5b2807bc02fde5b7ec32b825
Merge: e975a2e3 69fd01db
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 27 13:57:01 2023 +0200

    Merge pull request #1164 from vojtechtrefny/3.9-devel_packit-branch-update
    
    ci: Update default branch for Packit to 3.9-devel/release

commit 69fd01db4a8a66c2230bb6ef4a2a1814d03170b5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 27 13:28:50 2023 +0200

    ci: Update default branch for Packit to 3.9-devel/release

commit e975a2e313dc4372357b5c86ac9c537d9afea51c
Merge: 57f1382f 12357888
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 27 13:25:56 2023 +0200

    Merge pull request #1153 from vojtechtrefny/3.8-devel_btrfs-volumes-names
    
    Include btrfs volumes names/labels in DeviceTreeBase.names

commit 12357888e5195bb249fe169eb252ba70df1eafad
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 8 16:29:31 2023 +0200

    Include btrfs volumes names/labels in DeviceTreeBase.names
    
    Btrfs Volumes use label of the filesystem as name in blivet, which
    isn't really a name, so it doesn't have to be unique, but not
    having it unique causes problems in both Blivet and Anaconda where
    we assume device name is a unique identifier. Not having the name
    in the list of names means newly created devices can get the same
    name as an already existing (or scheduled to be created) device.

commit 2778634e23eabb462287b7b5ff1432b3eae69f21
Author: Jan Pokorny <japokorn@redhat.com>
Date:   Mon Oct 16 14:00:56 2023 +0200

    fixed fstab.read issue
    
    (to be squashed)

commit 6fa01700578d13f6c8a630a0d1cb0ef3f2d727b2
Author: Jan Pokorny <japokorn@redhat.com>
Date:   Mon Jun 26 13:32:17 2023 +0200

    Added support for user defined values in fstab
    
    - Allows to set prefered spec type in fstab by either setting
    blivet.fstab.spec_type for 'global' effect or device.format.fstab.spec_type for individual device.
    Allowed values are "UUID", "PARTUUID", "LABEL", "PARTLABEL" or "PATH".
    When selected value is not available, it uses other one (defaults to
    UUID).
    
    - Allows to set freq, passno and mntops for individual devices to be
      written in fstab. Done by setting device.format.fstab.freq/passno/mntops values respectively.

commit 0514047feed649aa049c04388f29496f94860709
Author: Jan Pokorny <japokorn@redhat.com>
Date:   Wed Mar 22 12:09:46 2023 +0100

    Incorporated review comments
    
    - changed API
    - other fixes

commit 32583342976b41e095079cb08956e8f061ff9c28
Author: Jan Pokorny <japokorn@redhat.com>
Date:   Wed Nov 2 14:37:45 2022 +0100

    Fstab support
    
     - added support for blivet to directly modify fstab based
    on blivet actions
     - added tests and unit tests

commit 9a4beb611f7c8db5ebd599bef9a6f020f0a31d19
Author: Steffen Maier <maier@linux.ibm.com>
Date:   Thu Feb 23 13:28:50 2023 +0100

    add udev-builtin-path_id property to zfcp-attached SCSI disks
    
    so anaconda can use it to display path_id information for multipath
    members
    
    Signed-off-by: Steffen Maier <maier@linux.ibm.com>

commit aef3316cd932117a272526e0c370d5c9897c9854
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 12 13:04:21 2023 +0200

    New version: 3.8.2

commit f73781eccfaf45361e7013e6cf59e694b1366446
Merge: 81e033bc 57f1382f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 12 13:03:46 2023 +0200

    Merge remote-tracking branch 'origin/3.8-devel' into 3.8-release

commit 342efc7de465e3a8de746890a003ea9920e33ab7
Merge: 062f372d 57f1382f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 12 13:03:07 2023 +0200

    Merge branch '3.8-devel'

commit 57f1382f19a1390dd2176e4f4772bab89380cfdf
Merge: 410ebf02 40a36401
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 10 12:53:00 2023 +0200

    Merge pull request #1159 from vojtechtrefny/3.8-devel_revert-sharedvg-sanlock-support
    
    Revert unneeded changes for shared LVM support

commit 410ebf028cedfcfbbea8b2d392959dd356fa6270
Merge: f6d866d6 c342e465
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 4 12:26:52 2023 +0200

    Merge pull request #1160 from vojtechtrefny/3.8-devel_pylint-exit
    
    pylint: Use 'exit' instead of 'do_exit' for pylint.lint.Run

commit c342e465fa04287f59c5877cc3229fa041fdd7f8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 3 12:04:47 2023 +0200

    tests: Ignore new pylint false positive with pylint 3.0

commit fd6ecec1d273c418f15fca7f6765bf8f6b9cbff5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 3 11:43:28 2023 +0200

    pylint: Use 'exit' instead of 'do_exit' for pylint.lint.Run
    
    The 'do_exit' keyword argument has been deprecated for a while
    and finally removed in pylinr 3.0.

commit 40a36401abc1f6f28778f1199824c72462a3ba09
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 3 11:24:37 2023 +0200

    Revert "When creating a shared LVM VG skip pvcreate"
    
    This reverts commit 8447b5033f74a3a543aead9e9199d25f032ffbe9.

commit 75b38b3686aa56a97c22ff7da646d7d83c590c05
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 3 11:24:24 2023 +0200

    Revert "Force command line based libblockdev LVM plugin"
    
    This reverts commit 29d412f90a0f5ef2567f90d497f3ef3b4b7b6564.

commit f6d866d67e27920f503f1006dd817886a2867c2a
Merge: 58a33117 b58e1510
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 3 08:36:31 2023 +0200

    Merge pull request #1158 from vojtechtrefny/3.8-devel_gh-actions-checkout-4
    
    ci: Bump actions/checkout from v2/3 to v4

commit b58e1510f49879f61362de65cfa1beed7e83079b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 2 15:31:36 2023 +0200

    ci: Bump actions/checkout from v2/3 to v4

commit 58a3311728a7036b38da4d7bd87dccb8c18205bc
Merge: e3e8661f 3cfa025a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 2 13:43:39 2023 +0200

    Merge pull request #1157 from vojtechtrefny/3.8-devel_nvme-plugin-dep
    
    Add dependency on libblockdev NVMe plugin

commit e3e8661fa5021adfc65fc111d449df2a8b2fb1bf
Merge: 5b1fcb11 3b2b5887
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 2 09:36:59 2023 +0200

    Merge pull request #1156 from vojtechtrefny/3.8-devel_lvm-log-debug
    
    Enable LVM logging only in debug mode

commit 3cfa025a2d28d1264ead736accd74eb9786fc752
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 2 09:35:12 2023 +0200

    spec: Add libblockdev-nvme as weak dependency
    
    We now use the NVMe plugin so we should add it here too.

commit 65f9f8cae01801052f01ab2f9b34bd7ef137149f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 2 09:33:31 2023 +0200

    Always require NVMe plugin
    
    The plugin used to be available only on some versions of Fedora,
    but we now require libblockdev 3.0 everywhere so we don't need a
    special treatment for the NVMe plugin.

commit 3b2b58877871b92732037e58f1db728ccbb6316f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sun Sep 24 21:00:26 2023 +0200

    Enable LVM logging only in debug mode
    
    This was changed to always enabled by accident in #972.
    
    Fixes: #1155

commit 062f372d79bab1190069a8110fc5d2a0cf2d81b5
Merge: cac8f316 5b1fcb11
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 21 13:54:45 2023 +0200

    Merge branch '3.8-devel'

commit 5b1fcb11e89424974121a81613b6a6759d5ee8e1
Merge: 77b9e4c3 9dcd32dd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Sep 21 13:53:46 2023 +0200

    Merge pull request #1154 from tbzatek/nvme-nbft-dracut
    
    nvme: Require additional rpms for dracut

commit 9dcd32dd85f7f45c3fe6c8d7b1de3b4c322c6807
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   Mon Sep 11 13:50:24 2023 +0200

    nvme: Require additional rpms for dracut
    
    The '95nvmf' dracut module needs a couple more packages
    for the NBFT (NVMe over TCP) to work - such as networking.
    Local PCIe NVMe devices have no special needs.

commit 77b9e4c3b200486e8852a9de9f2462c431046849
Merge: 7507965d 29d412f9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Sep 13 15:56:21 2023 +0200

    Merge pull request #1123 from vojtechtrefny/3.8-devel_shared-vg
    
    Add support for creating shared LVM setups

commit 7507965ddf40e69e146ffc44c8893e3fe122a475
Merge: ceaa233e 06597099
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Sep 1 11:37:05 2023 +0200

    Merge pull request #1152 from tbzatek/nvme-tp4126
    
    nvme: Align HostNQN and HostID format to TP4126

commit 29d412f90a0f5ef2567f90d497f3ef3b4b7b6564
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 31 10:57:43 2023 +0200

    Force command line based libblockdev LVM plugin
    
    We need to be able to skip pvcreate when creating a shared VG and
    that is not possible with LVM DBusD.

commit 8447b5033f74a3a543aead9e9199d25f032ffbe9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 31 10:51:59 2023 +0200

    When creating a shared LVM VG skip pvcreate
    
    When creating the first shared VG (and using sanlock lock manager)
    vgcreate has to be given non-PV device otherwise VG creation will
    fail.

commit c2ffce46b9283e0ef4ede61ee6f0eb5f66f00ec6
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Apr 20 12:35:30 2023 +0200

    Add support for creating shared LVM setups
    
    This feature is requested by GFS2 for the storage role. This adds
    support for creating shared VGs and activating LVs in shared mode.

commit 06597099906be55b106c234b3bf0c87ec7d90a07
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   Thu Aug 17 14:45:18 2023 +0200

    nvme: Align HostNQN and HostID format to TP4126
    
    Also don't overwrite existing files during startup() since they
    might have been supplied by early boot stages.

commit ceaa233e64b34aad6984f13f0f4adc13a77a8d2c
Merge: ebc94a63 c990c456
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 3 13:41:21 2023 +0200

    Merge pull request #1151 from vojtechtrefny/3.8-devel_readme-update
    
    README: Update Debian dependencies for libblockdev 3.0

commit c990c456c2095bcf162c04e1ac33847d89f69efa
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 3 13:25:36 2023 +0200

    README: Fix typo

commit 1726ad5802f593affc32028c87cf51e84683aa69
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 3 11:28:28 2023 +0200

    README: Update Debian dependencies for libblockdev 3.0

commit 81e033bc1a2da21093b5c7fc3148a585cbfca4f7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 3 10:47:24 2023 +0200

    New version: 3.8.1

commit b5ba2d1cc61b29489a5c6c4dc7755c943a8558d3
Merge: 09d60993 ebc94a63
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 3 10:46:21 2023 +0200

    Merge remote-tracking branch 'origin/3.8-devel' into 3.8-release

commit cac8f316437852e3bb20c230a69a28d64e9d24dc
Merge: b9a16466 ebc94a63
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 3 10:04:48 2023 +0200

    Merge branch '3.8-devel'

commit ebc94a63d191ec835e09d8d600129fe727597cff
Merge: 8e0514e7 1575cb0b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Aug 3 09:47:28 2023 +0200

    Merge pull request #1150 from vojtechtrefny/3.8-devel_pylint-fixes
    
    Ignore new false positives with the latest pylint

commit 1575cb0b5001e130e369349815701c68b0587177
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Aug 2 09:24:43 2023 +0200

    Ignore new false positives with the latest pylint

commit b9a164663e54230e7b4d026d38a5defa87af015c
Merge: ece1db80 8e0514e7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Aug 2 09:13:38 2023 +0200

    Merge branch '3.8-devel'

commit 8e0514e7f8a5ea56b9687a5ee0bf20769705f672
Merge: ecbc4b44 3d38f70d
Author: Tomáš Bžatek <tbzatek@redhat.com>
Date:   Tue Aug 1 17:10:14 2023 +0200

    Merge pull request #1149 from tbzatek/udisks-iscsi-3
    
    iscsi: the 'UDisks' terminology + cleanup

commit 3d38f70d36da5585be648e19b0a6903478dfcd9e
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   Tue Aug 1 15:39:54 2023 +0200

    iscsi: Rename storaged to udisks
    
    Legacy naming, storaged was a temporary fork before it got
    merged back to udisks.

commit f35e349035fb7f418db0832d5052b51546aef2a5
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   Tue Aug 1 15:35:06 2023 +0200

    iscsi: Rework UDisks iscsi module activation
    
    Avoid using the deprecated EnableModules() call, the new
    EnableModule() now properly reports specific errors related
    to a particular module.
    
    Requires udisks >= 2.9

commit ecbc4b446dc12e3c8f675063553ba021ef0b39a5
Merge: 616b058f f66778c5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Aug 1 09:29:56 2023 +0200

    Merge pull request #1148 from tbzatek/udisks-iscsi-2
    
    iscsi ibft and auth algs fixes

commit f66778c554f0f339c5e5ec5c642a72d8e2ca88ce
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   Fri Jul 28 17:31:33 2023 +0200

    iscsi: Make sure to modprobe iscsi_ibft
    
    This module often doesn't get autoloaded even by iscsid or iscsiadm.

commit fc2a67a5097e19ed39f81a3f35b8607675046276
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   Fri Jul 28 17:23:47 2023 +0200

    iscsi: Downgrade default CHAP auth algs to SHA1,MD5
    
    While the full 'SHA3-256,SHA256,SHA1,MD5' seems to be open-iscsi defaults,
    turned out that legacy tgtd only accepts 'SHA1,MD5'. For some reason
    automatic fallback to other algorithms in the list doesn't really work
    in the downstream libiscsi, returning failure right away.

commit 616b058f71df698134e161f017a7647ee8a20d12
Merge: 5eac14a5 f0d6c482
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 24 15:23:36 2023 +0200

    Merge pull request #1144 from vojtechtrefny/3.8-devel_iscsi-test-fix
    
    tests: Improve iscsi_test.ISCSITestCase

commit 5eac14a5f2015e50991fc2a403ddde4add1c5b23
Merge: 1428b2ec 4d2618fd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 19 16:24:08 2023 +0200

    Merge pull request #1145 from vojtechtrefny/3.8-devel_iscsi-set-firmware-initiator
    
    iscsi: Save firmware initiator name to /etc/iscsi/initiatorname.iscsi

commit 4d2618fd78c1c712c7559a0950f4985c0fe14e58
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 19 13:57:39 2023 +0200

    iscsi: Save firmware initiator name to /etc/iscsi/initiatorname.iscsi
    
    Resolves: rhbz#2221932

commit 09d60993895671b78a3e39b9118e1cfee8b2705c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 19 11:51:44 2023 +0200

    spec: Bump release to 99 to be always ahead of Fedora in nightly

commit f0d6c4821ef4c405e3e3d5637dc2e8665422a469
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 19 10:38:45 2023 +0200

    tests: Improve iscsi_test.ISCSITestCase
    
    Changed how we create the initiator name ACLs based on RTT test
    case for rhbz#2084043 and also improved the test case itself.

commit 1428b2ec92d1233cc513795b3ef0afaa620fa41c
Merge: e760c427 86a28484
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jul 13 11:06:47 2023 +0200

    Merge pull request #1142 from vojtechtrefny/3.8-devel_has-key-bool
    
    Make sure that LUKS.has_key always returns a boolean value

commit 86a2848401bdcd1f4953501fec6d96065ae2d289
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 12 13:41:14 2023 +0200

    Make sure that LUKS.has_key always returns a boolean value
    
    We don't want to return 'None' here.
    
    Related: https://github.com/rhinstaller/anaconda/pull/4873

commit e760c427f5816fcba73b8e052d23257f00d7446a
Merge: 60ac8a42 02671af9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jul 12 13:49:06 2023 +0200

    Merge pull request #1141 from vojtechtrefny/3.8-devel_resolve-devspec-subvolspec
    
    Add btrfs subvolume specification to devicetree.resolve_device

commit 60ac8a422d1e206f172018f5d0f181e40ec867f4
Merge: d7de19e6 533636c9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 11 12:53:17 2023 +0200

    Merge commit '533636c96aefdb75e44bc559570b187ceb6345fa' into 3.8-devel

commit 533636c96aefdb75e44bc559570b187ceb6345fa
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jul 11 12:53:17 2023 +0200

    Squashed 'translation-canary/' changes from d6a40985..5bb81253
    
    5bb81253 Merge pull request #8 from VladimirSlavik/master-readme-subtree
    b8491107 Add subtree usage to readme
    3a5b84bc Merge pull request #7 from VladimirSlavik/master-python-3.12
    f80a7809 Update translation canary test loader for python 3.12
    
    git-subtree-dir: translation-canary
    git-subtree-split: 5bb81253b44b1facfacfe649067401c91cd08d9f

commit d7de19e635fab7a9da38714287834a235f3a262f
Merge: 747c667e d6e540c4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 10 10:20:21 2023 +0200

    Merge pull request #1140 from vojtechtrefny/3.8-devel_revert-makefile-cleanup
    
    Revert "Makefile cleanup"

commit 02671af96fb89d665fdc93ba538d6013f17906da
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jul 3 13:37:11 2023 +0200

    Add btrfs subvolume specification to devicetree.resolve_device
    
    Related: https://github.com/rhinstaller/anaconda/pull/4835

commit d6e540c4a19564b3c6e8112194e89291db33e67f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jun 29 14:36:41 2023 +0200

    Revert "Makefile cleanup"
    
    This reverts commit 642a69814e4b80c80c5110760adc1a0a347d2b9e.

commit b9125c7722b837b32567e6b7902437e183fe5a04
Author: Blivet CI <blivet-ci@example.com>
Date:   Thu Jun 29 12:50:19 2023 +0200

    New version: 3.8.0

commit 7328b0ce48274174a9a7b8500d42bba18717a40d
Author: Blivet CI <blivet-ci@example.com>
Date:   Thu Jun 29 12:47:36 2023 +0200

    Revert "Makefile cleanup"
    
    This reverts commit 642a69814e4b80c80c5110760adc1a0a347d2b9e.

commit 5eecced9ce99f82bd242cbd3bc5eb9e9354923a3
Merge: 18c86319 747c667e
Author: Blivet CI <blivet-ci@example.com>
Date:   Thu Jun 29 12:32:30 2023 +0200

    Merge remote-tracking branch 'origin/3.8-devel' into 3.8-release

commit ece1db80766e6c79ccfc2b039304430ebcde986c
Merge: 6458c745 747c667e
Author: Blivet CI <blivet-ci@example.com>
Date:   Wed Jun 28 08:13:58 2023 +0200

    Merge branch '3.8-devel'

commit 747c667e367790d9dd947b29081afcf3fa2d8ebc
Merge: 7c08057d 80d5a08d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jun 27 14:47:53 2023 +0200

    Merge pull request #1137 from vojtechtrefny/3.8-devel_libblockdev-30-bump
    
    Bump required version of libblockdev to 3.0

commit 80d5a08d9b5ef7357a3af6d36032ed43c89f23d5
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jun 8 14:41:10 2023 +0200

    Require libblockdev 3.0 when importing from GI
    
    We unfortunately cannot require "2.0 or newer" so we need to
    require 3.0 and synchronize our releases.

commit bb1ca42208a167c1eccb0ffd9c13bfcbd6497e30
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jun 8 14:31:16 2023 +0200

    spec: Bump required version of libblockdev to 3.0

commit 7c08057dd1b0523b637dd5b3a4ddf7869d5638a7
Merge: 78e1d6a1 50b1bb7a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jun 26 08:59:29 2023 +0200

    Merge pull request #1138 from tbzatek/libblockdev-3.0-mdraid
    
    md: Adapt libblockdev 3.0 mdraid bitmap arg changes

commit 50b1bb7a9340227400ccdb4aa7c8510043267245
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   Fri Jun 23 16:16:08 2023 +0200

    md: Adapt libblockdev 3.0 mdraid bitmap arg changes

commit 18c863190ee53f230cca9a6fdb08ff1028c72a51
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jun 23 10:00:59 2023 +0200

    spec: Bump release to 99 to be always ahead of Fedora in nightly

commit 6458c745bf9a45a5df1f6964bd8a6b05a11956ba
Merge: 78a2aa0f 78e1d6a1
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jun 22 14:58:38 2023 +0200

    Merge branch '3.8-devel'

commit 78e1d6a17d437ce812367d753ad04df804ccb48e
Merge: e8a78edd fbbdc7de
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jun 22 14:22:43 2023 +0200

    Merge pull request #1135 from vojtechtrefny/3.8-devel_libblockdev-30
    
    Prepare for libblockdev 3.0 release

commit fbbdc7dee49b23b54dadeb8c2dd17b38d2991c95
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jun 22 12:05:44 2023 +0200

    ci: Run GH actions tests in a Fedora container
    
    We need latest libblockdev for the tests.

commit fa553be416afa9913889fbfed249e473f5599d79
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 21 16:13:39 2023 +0200

    Add new LUKS tests for add/remove key and key file usage

commit e58b7291e542a07b5318df627dc0a1f0c8b69689
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 21 16:12:21 2023 +0200

    Adjust to the new libblockdev 3.0 crypto API
    
    Changes are mostly related to the new keyslot context that needs
    to be used instead of passphrase and key file.

commit 0791f28f3d717f2281f4eb540b9d381affae2f4a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jun 8 15:17:42 2023 +0200

    Adjust to libblockdev 3.0 API changes
    
    Most API changes in libblockdev 3.0 are backward compatible but
    there are few changes we need to adjust to.

commit e8a78edd09effcc1ac439821a918bdd0eaffee58
Merge: 013de985 19f85b20
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jun 21 10:47:46 2023 +0200

    Merge pull request #1136 from ZVNexus/3.8-devel
    
    blivet: Enable the extended node bitmap for F2FS

commit 19f85b2088aed54010eae47ed11511fb76d71ca6
Author: Alexander Koskovich <akoskovich@pm.me>
Date:   Sat Jun 17 20:59:35 2023 -0400

    blivet: Enable the extended node bitmap for F2FS
    
     * With the default I was running out of inodes, disk reported
       no additional space after only using about 20%.

commit 013de985a39c1cfee1491032b113c508a5cbdfc3
Merge: 2d5c88d8 f549dacf
Author: David Lehman <dlehman@redhat.com>
Date:   Tue Jun 6 16:24:20 2023 -0500

    Merge pull request #1133 from dwlehman/dbus-transient-and-pruning
    
    DBus: reset fix and accounting for pruned actions

commit 2d5c88d8d4eace904192b84e4de7c30badd2cc15
Merge: 19c53fd2 21e398af
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jun 5 15:37:00 2023 +0200

    Merge pull request #1131 from vojtechtrefny/3.8-devel_devices-fix-adding
    
    Do not add new PVs to the LVM devices file if it doesn't exist and VG…

commit f549dacf6ff994bb3535eea231df6e0f78a5377f
Author: David Lehman <dlehman@redhat.com>
Date:   Fri May 26 11:41:15 2023 -0500

    Remove all state-dependent objects when resetting Blivet DBus object.

commit 046e82853ad06bb88938a8b0c2b1ba2acda52b31
Author: David Lehman <dlehman@redhat.com>
Date:   Fri May 26 11:40:03 2023 -0500

    Run callbacks when pruning actions.

commit 19c53fd2bd420fc04618970944ddecbeeed2fd1d
Merge: 71f2037e 844d9d0c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 31 09:03:51 2023 +0200

    Merge pull request #1132 from AdamWill/prefer-gpt-x86_64
    
    Always prefer GPT disk labels on x86_64 (and clean up the logic)

commit 844d9d0ceb9e8238b1ac4089c4062866c1e9fa8d
Author: Adam Williamson <awilliam@redhat.com>
Date:   Fri May 26 15:09:49 2023 -0700

    Always prefer GPT disk labels on x86_64 (and clean up the logic)
    
    See: https://bugzilla.redhat.com/show_bug.cgi?id=2092091#c6
    There was a Fedora 37 Change to prefer GPT disk labels on x86_64
    BIOS installs, but for some reason, this was implemented in
    anaconda by having it ignore blivet's ordering of the disk label
    types and just universally prefer GPT if it's in the list at all,
    which resulted in a preference for GPT in more cases than just
    x86_64 BIOS. This is one step towards fixing that, by putting the
    'always prefer GPT on x86_64' logic here in the blivet ordering
    code where it belongs. Step 2 will be to drop the anaconda code
    that overrides blivet's preference order.
    
    This also simplifies the logic a bit; it had gotten rather a lot
    of conditions piled on top of each other and was rather hard to
    read. This should achieve the same effect as before in a clearer
    and more concise way.
    
    Signed-off-by: Adam Williamson <awilliam@redhat.com>

commit 21e398af3f642f12b1716e166bcfcd4947771830
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 25 17:02:39 2023 +0200

    Do not add new PVs to the LVM devices file if it doesn't exist and VGs are present
    
    If there is a preexisting VG on the system when we create a new PV
    and the LVM devices file doesn't exist we will create it and add
    only the new PV to it which means the preexisting VG will now be
    ignored by LVM tools. This change skips adding newly created PVs
    to the devices file in the same way 'pvcreate' and 'vgcreate' do.

commit 71f2037e07f10ed89885216d0cac5f8969a459cb
Merge: 5451aee0 f2437139
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon May 22 15:13:26 2023 +0200

    Merge pull request #1130 from nirousseau/3.8-devel-riscv64
    
    Add RISCV64 architecture helper [is_riscv64()] for arch module.

commit f2437139efb7f8c7d452f75d4ce7937e1804e8e1
Author: Nikita ROUSSEAU <48907457+nirousseau@users.noreply.github.com>
Date:   Thu May 18 20:11:25 2023 +0000

    Add RISCV64 architecture helper [is_riscv64()] for arch module.
    
    This merge request is required to keep the pyAnaconda code clean at https://github.com/rhinstaller/anaconda/blob/master/pyanaconda/modules/storage/platform.py#L493
    The idea is to explicty call the blivet.arch.is_riscv64() helper in the switch/case in order to correctly determine riscv64 architecture for pyAnaconda.

commit 5451aee0954ce12bac3c88863335215636ce8e01
Merge: 112c1534 6d219726
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 18 14:19:07 2023 +0200

    Merge pull request #1129 from tbzatek/udisks-iscsi-fips
    
    iscsi: Extend allowed CHAP auth algorithms

commit 6d219726978b15e904ca7012d68fa8b7a5bd3f26
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   Wed May 17 17:35:19 2023 +0200

    iscsi: Extend allowed CHAP auth algorithms
    
    The downstream libiscsi uses MD5 as the only default CHAP
    auth algorithm. With MD5 not available in FIPS mode, this
    leaves an empty set of algorithms available.

commit 112c15346d184952239731877b1aea98c471afb8
Merge: 6885bc6a ccfc063a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 16 09:48:02 2023 +0200

    Merge pull request #1124 from vojtechtrefny/3.8-devel_luks1-sector-size-fix
    
    Fix creating LUKS1 on disks with mixed sector size (#2188785)

commit ccfc063a58177589f1b040b0e3f100b2dacdf4fb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 16 09:27:30 2023 +0200

    Fix checking FIPS mode when /proc/sys/crypto/fips_enabled doesn't exist
    
    The file doesn't exist in some special environments in our CI.

commit 97aee867fecca3640f69843d90324e2450a7f29b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Apr 27 13:26:44 2023 +0200

    Fix creating LUKS1 on disks with mixed sector size (#2188785)
    
    For disks with mixed sector size (4096 physical and 512 logical)
    we were wrongly adding the sector_size extra option which is not
    supported on LUKS1 only LUKS2.

commit 6885bc6a4e0cf874da8c4287c66213238e83ef9b
Merge: f2c08ced d42027e1
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue May 16 08:55:25 2023 +0200

    Merge pull request #1128 from vojtechtrefny/3.8-devel_fips-memory
    
    Do not set memory limit for LUKS2 when running in FIPS mode

commit d42027e107720525946da76f18adbac88919cc40
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 4 11:35:44 2023 +0200

    Do not set memory limit for LUKS2 when running in FIPS mode
    
    With FIPS enabled LUKS uses pbkdf and not argon so the memory
    limit is not a valid parameter.

commit f2c08cedb3d463e624fbdb5e74b6027c5ab1104d
Merge: aacb029b 271ebad2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 4 09:49:11 2023 +0200

    Merge pull request #1126 from vojtechtrefny/3.8-devel_c9s-lvmraid-skip-remove
    
    Revert "tests: Skip test_lvcreate_type on CentOS/RHEL 9"

commit aacb029b9b6d73e7832c9dc9dd956e381f6f2009
Merge: 22be40ca cc332d49
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu May 4 09:48:40 2023 +0200

    Merge pull request #1125 from dwlehman/extra-callbacks
    
    DBus: remove extra callback invocations

commit 271ebad2bcfe61849084f957442196d2561fa75b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed May 3 08:55:31 2023 +0200

    Revert "tests: Skip test_lvcreate_type on CentOS/RHEL 9"
    
    This reverts commit 16b90071145d2d0f19a38f3003561a0cc9d6e281.
    
    The kernel issue was resolved, we no longer need to skip the test.

commit cc332d49babefc80f5a7dae5909ae99d15b9d289
Author: David Lehman <dlehman@redhat.com>
Date:   Thu Apr 27 11:42:11 2023 -0500

    DBus: remove extra callback invocations
    
    The device_added/device_removed/format_added/format_removed
    callbacks are for changes to blivet's model -- not when
    changes are written to disk.

commit 78a2aa0f91f082958dd82ab392e5a706d257221b
Merge: 8a9802ff 22be40ca
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Apr 19 13:01:54 2023 +0200

    Merge branch '3.8-devel'

commit 22be40ca192f8d3d78233c693880daa893122e93
Merge: c0788b73 52cf947e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Apr 17 13:51:18 2023 +0200

    Merge pull request #1120 from vojtechtrefny/3.8-devel_fs-online-resize
    
    Add support for filesystem online resize

commit 52cf947e223dd06c29f8b509fe24b643e6f7ca0e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Apr 6 14:02:11 2023 +0200

    Add a test case for filesystem online resize

commit b69072968df7154f06cfada471c057e00ec5932c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Apr 4 13:31:40 2023 +0200

    Add support for filesystem online resize

commit 8a9802ffa65618d7c22d12d07d9572adbfce59e7
Merge: f87a0640 c0788b73
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 28 11:51:19 2023 +0200

    Merge branch '3.8-devel'

commit c0788b739df4757967d6e67bd45ce628aebb786a
Merge: 1ea8de6e 94e8e25d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 23 07:01:40 2023 +0100

    Merge pull request #1118 from vojtechtrefny/3.8-devel_iscsi-fix-test-skip
    
    iscsi: Use UDisks instead of storaged in the availability message

commit f87a0640c7867a1225c43fac078ac18aa13af0df
Merge: 412504e3 1ea8de6e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 22 09:45:15 2023 +0100

    Merge branch '3.8-devel'

commit 94e8e25dfe4d8fbad76ae9c8d2c2ab4d8b85e9f9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 22 09:24:11 2023 +0100

    iscsi: Use UDisks instead of storaged in the availability message
    
    Storaged was renamed to UDisks years ago so we shouldn't tell
    users that they are missing storaged.

commit 1ea8de6e0f059995650653ab7ba6179441cdbce1
Merge: 9b93553f cd19e52b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 22 09:22:01 2023 +0100

    Merge pull request #1117 from vojtechtrefny/3.8-devel_makefile-cleanup
    
    Makefile cleanup

commit ab8b724e72fe275d096effaf50c6c0a310609e4f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 22 09:19:44 2023 +0100

    tests: Fix skipping iSCSI tests if UDisks iSCSI isn't available
    
    The 'has_iscsi' function only checks for the iscsid availability,
    not the UDisks plugin we also need.

commit 9b93553fb424b8a8828d54e80434d3eb8835c15d
Merge: 46de3604 f92a828e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 22 09:17:32 2023 +0100

    Merge pull request #1116 from vojtechtrefny/3.8-devel_packit-copr-builds
    
    ci: Fix Packit configuration

commit cd19e52b3d51ba4c61bde058143688284f471ae3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 21 13:55:07 2023 +0100

    Add ChangeLog to .gitignore

commit 642a69814e4b80c80c5110760adc1a0a347d2b9e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 21 13:53:53 2023 +0100

    Makefile cleanup
    
    Removed old/unused targets. 'make tag' now creates only one tag
    without the RPM release number.

commit 412504e35ad9343db499361abd568bd474aa5995
Merge: 03391f34 46de3604
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 21 13:42:53 2023 +0100

    Merge branch '3.8-devel'

commit f92a828ee3aaea34172086d87a6de13e47e67e39
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 21 13:39:42 2023 +0100

    ci: Use Packit for daily builds in Copr

commit 46de360425d5b680760c890bf0e5b1d56da5a90e
Merge: e6f6704c e43e0d81
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 21 13:33:27 2023 +0100

    Merge pull request #1115 from vojtechtrefny/3.8-devel_libblockdev-exceptions
    
    Avoid raising libblockdev exceptions from our code

commit e43e0d8170894255a6626e9af48406eed4572cd4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 16 17:40:56 2023 +0100

    Avoid raising libblockdev exceptions from our code
    
    We shouldn't force our users to import libblockdev just to be able
    to catch storage exceptions. This commit makes sure all libblockdev
    calls are protected with try-except and we raise our own exceptions
    like StorageError.
    
    Fixes: #1014

commit be895a91a01e5d98fdf38b9b8c80f8cc3e4cacb7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Mar 17 13:29:41 2023 +0100

    ci: Fix Packit configuration
    
    We need to set the sources manually (Packit doesn't support
    multiple sources) and we also need to merge the release branch
    to get the correct version.

commit 524db6cdcbb5dc1190068c0a4ca432e109435530
Merge: d42519c6 e6f6704c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Mar 17 11:25:21 2023 +0100

    Merge remote-tracking branch 'origin/3.8-devel' into 3.8-release

commit e6f6704c2417e3be259d0c33cc23c05fa43f4e07
Merge: f33e8e4a ce21086c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Mar 17 10:17:53 2023 +0100

    Merge pull request #1113 from vojtechtrefny/3.8-devel_lvm-raid-stripe-size
    
    Add support for specifying stripe size for RAID LVs

commit f33e8e4a69670369a60e178a553d47eb0fd5d4e9
Merge: d5cc5ba0 07cb4186
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Mar 17 10:17:31 2023 +0100

    Merge pull request #1112 from vojtechtrefny/3.8-devel_iscsi-initiatorname-change
    
    Allow changing iSCSI initiator name after setting it

commit d42519c6d4abe9056ac1eacd7414e52fd63dd2e2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 16 10:34:17 2023 +0100

    New version: 3.7.1

commit 99e485a5dcd0a7d573e65ed9c5ca2c3ecb73a991
Merge: 44c70c82 ae17316e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 16 10:33:33 2023 +0100

    Merge remote-tracking branch 'origin/3.7-devel' into 3.7-release

commit 03391f34239071da560c65e6ee8ef90829d5c29c
Merge: 9a772237 d5cc5ba0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 16 10:31:50 2023 +0100

    Merge branch '3.8-devel'

commit d5cc5ba00c4706f4cc55ff161e2a17f2c77ac646
Merge: e467816c ae17316e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 16 10:31:48 2023 +0100

    Merge branch '3.7-devel' into 3.8-devel

commit e467816cb60f74c04a363006c31219649ee1ae05
Merge: 38b22c0b 7aa07083
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 15 13:24:58 2023 +0100

    Merge pull request #1109 from vojtechtrefny/3.8-devel_dm-fstab-uuid
    
    Prefer UUID for fstab spec for DM devices too

commit ae17316e2a6da0ae6be58d2e4e2c9eb61a0e1976
Merge: 899386d3 33c0190d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 15 06:37:32 2023 +0100

    Merge pull request #1114 from poncovka/3.7-devel-get_mount_device
    
    Fix the get_mount_device function

commit 33c0190de492a5e407d4a5b60e2175b639619fc5
Author: Vendula Poncova <vponcova@redhat.com>
Date:   Tue Mar 14 15:43:12 2023 +0100

    Fix the get_mount_device function
    
    Iterate over lines of the /proc/mounts file instead of characters of the first
    line. This bug was introduced in the commit 12ba6cb.

commit ce21086cfce21faacdb29adb8e28ede24c2bfa50
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 9 13:18:42 2023 +0100

    Add support for specifying stripe size for RAID LVs

commit 9a772237c1dd0f357442e3072781c386ff31c492
Merge: d409c4ac 38b22c0b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 8 14:54:17 2023 +0100

    Merge branch '3.8-devel'

commit 38b22c0bd17586a105bb7da7dbabad2dde351004
Merge: 8e9b8006 899386d3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Mar 8 14:54:15 2023 +0100

    Merge branch '3.7-devel' into 3.8-devel

commit 899386d3db6213193d07e337afba92693a9a1cbb
Merge: 3af34324 a1e56759
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Mar 7 09:31:23 2023 +0100

    Merge pull request #1111 from vojtechtrefny/3.7-devel_ksdata-fix
    
    Kickstart data fixes

commit 07cb4186bfe2552a286c210d82a93ef2e1c5f3f0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 6 15:14:40 2023 +0100

    tests: Use blivet-specific prefix for targetcli backing files
    
    The code is originally from libblockdev hence the "bd" prefix, we
    should use a different prefix for blivet to be able to identify
    which test suite failed to clean the files.

commit 21f53ee73e0fb0d23ca5f3efd891229eb60d7fa2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 6 15:10:28 2023 +0100

    Add a basic test case for the iscsi module

commit daa4558c32cd9c88a11626968c913c8bc72403ef
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Mar 6 10:51:42 2023 +0100

    Allow changing iSCSI initiator name after setting it

commit a1e5675925a966308ddeeeae80a8565aed48c1eb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 2 12:41:17 2023 +0100

    Prefer using UUID for the kickstart --onpart argument

commit 8a860841489f02be33630e8d48911c5441891f0e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 2 12:34:42 2023 +0100

    Fix setting kickstart data
    
    When changing our code to PEP8 compliant we also changed some
    pykickstart properties like onPart by accident. This PR fixes this.

commit d409c4ac953f8a01c808f14a0ab1b8e5ad3cb262
Merge: d8fad7ca 8e9b8006
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 2 06:14:17 2023 +0100

    Merge branch '3.8-devel'

commit 8e9b800605f379fe6acc3f6dffcf9e266bbc8df0
Merge: b215ad2e 3af34324
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Mar 2 06:14:14 2023 +0100

    Merge branch '3.7-devel' into 3.8-devel

commit 3af343240e0db6d2f3056a2da52b6597002b58ac
Merge: b51d4230 3ffdf7ef
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 21 09:13:32 2023 +0100

    Merge pull request #1105 from vojtechtrefny/3.7-devel_unit-tests-gh-actions
    
    Unit test fixes -- run as normal user and GH action

commit 7aa07083dbc90b0fabea063ca5a19ee3d154b1b2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 21 09:05:13 2023 +0100

    Prefer UUID for fstab spec for DM devices too
    
    We now have multiple use cases that require using UUID in fstab
    for all devices so we should remove the exception for LVM and
    other DM devices.

commit b51d42306c8aaa2937af148ad63b47bcbfa7e212
Merge: b3f66d50 bb1d1093
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 16 09:10:46 2023 +0100

    Merge pull request #1107 from vojtechtrefny/3.7-devel_pylintrc-update
    
    pylint: Remove the "EXCEPTIONS" section from pylintrc

commit b215ad2ecb8b11a5aeeb2fbcdde45b0b02b3d467
Merge: b3f66d50 5e0192b7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 16 09:10:33 2023 +0100

    Merge pull request #1106 from vojtechtrefny/3.8-devel_python2-remove
    
    Remove support for Python 2 from spec and Makefile

commit bb1d1093ad0b1fc28f27328fa811f4d90b3037c3
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 15 14:42:00 2023 +0100

    pylint: Remove the "EXCEPTIONS" section from pylintrc
    
    Latest pylint changed the required format of this section and we
    want the default configuration for this anyway.

commit 5e0192b7881f3c831dcc79f34996fdaec1f13bc2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 15 14:16:17 2023 +0100

    Remove support for Python 2 from spec and Makefile
    
    Python 2 EOL was 3 years ago so we can stop supporting it now.

commit 3ffdf7efb3b66f4f64bd0d083b3950e6c0115fdb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 14 17:28:13 2023 +0100

    Add "microsoft" to list of recognized VM environments
    
    In GH actions environment we get the VM type "microsoft" and since
    systemd recognizes this as running in a VM, we should too.

commit 291cb8d2536b09eb9be54afeca1b45887ef03d1a
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 14 17:17:12 2023 +0100

    ci: Add action to run unit tests in GH actions

commit 35bf87d25eae5b734369f9552a797486135a41fd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 14 17:16:20 2023 +0100

    tests: Make sure that unit tests can run without root privileges
    
    These fixes mostly apply to Debian based distributions where
    /sbin is not in PATH for nonprivileged users.

commit b3f66d50517b6fcab0062dd5af8250cd00154502
Merge: a5568ae6 240d8a3d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 13 10:09:01 2023 +0100

    Merge pull request #1103 from vojtechtrefny/3.7-devel_none-parted-disk-workaround
    
    Ignore missing parted disk in ActionList._post_process (#2102960)

commit a5568ae69a844299e321922bec0bcaea3986a152
Merge: ff34c64c bf616052
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Feb 13 10:08:42 2023 +0100

    Merge pull request #1104 from vojtechtrefny/3.7-devel_lvmvdo-doc-link
    
    doc: Link to the LVM VDO documentation from the index page

commit bf6160521fa06338bda1316bd5bf4bbbfa30271d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 8 13:19:20 2023 +0100

    doc: Link to the LVM VDO documentation from the index page
    
    Without a link the documentation is not accessible.

commit 44c70c8287e75f7816b1d9eec91455186e4288e7
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 8 13:05:17 2023 +0100

    New version: 3.7.0

commit 64a7d6d1e2d3d8732af2a500bef5b89eb7ed0605
Merge: d86511b6 ff34c64c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 8 12:52:54 2023 +0100

    Merge remote-tracking branch 'origin/3.7-devel' into 3.7-release

commit d8fad7ca1c5211d3b8c8b58e79201be625701571
Merge: 39de8ead ff34c64c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Feb 8 12:52:13 2023 +0100

    Merge branch '3.7-devel'

commit 240d8a3d93c2e5074d5a512c01c2d23ae4f0657f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 7 14:06:19 2023 +0100

    Ignore missing parted disk in ActionList._post_process (#2102960)
    
    If we don't have a parted disk instance here, we should just
    ignore it some of the devices we are trying to update here are not
    even used.

commit ff34c64cc18bb348379171484899bd3d7d960a07
Merge: a2770d75 87038751
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Feb 7 11:01:34 2023 +0100

    Merge pull request #1100 from vojtechtrefny/3.7-devel_luks-integrity-deps
    
    Ignore parent dependencies during action execute

commit 39de8eada7d663a9d0bec2888e7d1912e8ffadeb
Merge: 279aee67 a2770d75
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Feb 3 12:14:46 2023 +0100

    Merge branch '3.7-devel'

commit a2770d75223282c55f6b868a1d9aadafbe25f71e
Merge: 8199612f 0c20202d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Feb 3 12:13:31 2023 +0100

    Merge pull request #1101 from vojtechtrefny/3.7-devel_lvm-tests-force-cleanup
    
    tests: Force remove LVM VG /dev/ entry not removed by vgremove

commit 8199612fd066a80f3f8c5cf307d5ca9935c2fe48
Merge: f01ab14a 47ed15cf
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Feb 3 12:12:58 2023 +0100

    Merge pull request #1102 from vojtechtrefny/3.7-devel_remove-unused-dmraid-tech
    
    Remove unused BLOCKDEV_DM_RAID technology from tasks

commit 47ed15cf1de87075a4164aa3f4e6ff2f6c610d07
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 2 11:47:53 2023 +0100

    Remove unused BLOCKDEV_DM_RAID technology from tasks
    
    Should've been removed together with the dmraid support.

commit 0c20202d0e988106e9c9c71ed768ee0c50df24ae
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Feb 2 09:20:28 2023 +0100

    tests: Force remove LVM VG /dev/ entry not removed by vgremove
    
    The directory is sometimes not removed. This is a known bug that
    causes subsequent test cases to fail.

commit 870387513ca7cdac6bee9d3f2a8c8094c05318ac
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 31 15:15:23 2023 +0100

    Mark LUKS2 integrity devices as always controllable
    
    We don't need the libblockdev integrity support to control the
    LUKS2 integrity devices, these are "controlled" together with the
    LUKS2 device, the separate integrity support is needed only for
    the standalone integrity devices.

commit f01ab14a471e22d9e62014edb74c43767da7c409
Merge: 3253906c fddf1d5b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 31 14:14:39 2023 +0100

    Merge pull request #1097 from vojtechtrefny/3.7-devel_sector-size-luks-fix
    
    Check physical and logical block size when creating a LUKS format

commit 279aee670cbb0c36f408bfe2698132583eb05bed
Merge: 69c3b4ea 3253906c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 31 13:09:44 2023 +0100

    Merge branch '3.7-devel'

commit 3253906c00508496535ed44ea6fd3af95fbd7089
Merge: b52a1f26 3894207f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 31 12:57:47 2023 +0100

    Merge pull request #1098 from vojtechtrefny/3.7-devel_dmraid-remove
    
    Remove support for DMRAID devices

commit fac158abfac409cf02cb16b2a1c474e40e4e4ed8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jan 26 15:29:24 2023 +0100

    Ignore parent dependencies during action execute
    
    We don't need full support for the entire stack when creating a
    device, having dependencies just for the device the action is
    working with should be enough.
    
    Resolves: rhbz#2144812

commit 69c3b4ea0566c89ab71331753ff46bbde3919c15
Merge: 3d933325 b52a1f26
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 24 10:00:14 2023 +0100

    Merge branch '3.7-devel'

commit b52a1f265c2ca6a42ba6e406bcb941d94ab9056f
Merge: 7ebd451b af2efed8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Jan 24 09:59:18 2023 +0100

    Merge pull request #1099 from vojtechtrefny/3.6-devel_stratis-test-fix-pool-size
    
    tests: Patch checking stratis pool metadata size

commit af2efed8cf9684d5c8d207b8323154760c4ce086
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jan 23 13:47:24 2023 +0100

    tests: Patch checking stratis pool metadata size
    
    In unit tests we don't want to actually use the stratis tools to
    check for metadata size, we just need to be sure our internal
    calculation works.

commit 3894207fc7dfcdb382e3c3da9843e6788259080f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 18 13:23:14 2023 +0100

    Remove support for DMRAID devices
    
    Firmware/BIOS RAID devices will be handled by the MD code.

commit d95b2495838fa8a0fdce3f0f96258625d0c0d208
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Aug 17 14:24:58 2022 +0200

    Do not read DDF RAID UUID from udev
    
    The UUID we get from udev isn't the array UUID, we need to get
    that using libblockdev.

commit fddf1d5b71279a6b829e265852526f1605c60071
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 13 12:18:23 2023 +0100

    Check physical and logical block size when creating a LUKS format
    
    For disks with 4k physical sector size and 512 logical sector size
    cryptsetup creates a 4k dm-crypt devicei. This is a problem when
    creating LVM on top of two 512 logical sector size disks where
    we end up with two incompatible devices. So in this case we need
    to explicitly tell cryptsetup to use the logical sector size
    instead of letting it decide the optimal sector size for the
    dm-crypt device.

commit 7ebd451b247d149b41909816e1cd0f069b675e8c
Merge: defb795b 71e1038c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Jan 12 14:56:20 2023 +0100

    Merge pull request #1095 from sharpenedblade/3.7-devel
    
    Use DMI product_name for t2 mac detection.

commit fbf36762461772615b69592a2fff1adb76a6ad3d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 11 10:14:35 2023 +0100

    Add separate properties for logical and physical block size
    
    We need to know when the logical size is different from the
    physical.

commit 71e1038c214766ab466c07d8e36ed467255b9e7b
Author: Sharpened Blade <83884198+sharpenedblade@users.noreply.github.com>
Date:   Tue Jan 10 07:36:33 2023 -0800

    Use DMI product_name for t2 mac detection.
    
    `/sys/class/dmi/id/product_name` works on more model/firmware combinations than DMI `product_id`

commit 3d933325272e1eb6c96aaf7c280f0bb3c32bb273
Merge: d7113194 defb795b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 6 14:26:22 2023 +0100

    Merge branch '3.7-devel'

commit defb795b2368f90326739b9804e397af773a3117
Merge: eccf5cac b4c956f4
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 6 14:23:27 2023 +0100

    Merge pull request #1092 from vojtechtrefny/3.7-devel_storage-test-rename
    
    Rename unit_tests.storagetestcase to unit_tests.blivettestcase

commit eccf5cacbaf5b0d9ce43b07b81c1fc7820c80774
Merge: 903c297e 12ba6cb9
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Jan 6 14:23:18 2023 +0100

    Merge pull request #1091 from vojtechtrefny/3.7-devel_open-fix
    
    Make sure we close the streams when reading a file

commit 903c297ea1a978d9e5c1a9c993979b5f8198bbd1
Merge: c452548b 54e1eecb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Jan 4 08:50:33 2023 +0100

    Merge pull request #1080 from berrange/disk-uuid
    
    Support configuring partition type UUIDs for GPT partition auto-discovery

commit c452548b2f7699ebfde69ebe71739fea1ab48251
Merge: 4d20714a 37643db8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Jan 2 11:28:49 2023 +0100

    Merge pull request #1094 from vojtechtrefny/3.7-devel_docs-api-update
    
    Update public API documentation

commit 54e1eecb12b3c43cc9f070fd3ab07a057a033095
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Wed Nov 2 11:24:54 2022 -0400

    vmtests: add a --logs arg to capture blivet.log from failed tests
    
    When runnnig the vmtests, when things go wrong the information
    to diagnose the problem is often in the blivet.log from the VM,
    which no longer exists since the snapshot was discarded. The
    --logs arg to runvmtests.py ensurs this log is captured and
    saved to the host as blivet-{fully-qualified-testname}.log
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit 7c77470761105d1f1d37451546ef4d0b129d908d
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Thu Oct 20 09:17:46 2022 -0400

    examples: illustrate GPT GUID usage in partitioning example
    
    This extends the partitioning example program to illustrate
    automatic GPT GUID assignment for compatibility with the
    partition auto-discovery spec. It also illustrate how to
    create and format a LUKS volume.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit f59de57166e6324096e7485bf403518082dd0cc6
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Fri Oct 21 05:29:30 2022 -0400

    vmtests: add test for GPT part type UUID validation
    
    Add a new VM based test suite that validates the part type UUIDs
    for GPT disk labels. One scenario validates the historical
    behaviour where the disk format implicitly sets the UUID. The
    other validates the discoverable partitions behaviour where the
    mount point controls the UUID.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit f3e32660d5f8ba0796474b231e8d554aac17e9b3
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Tue Oct 11 12:36:47 2022 -0400

    blivet: allow 'mountpoint' to be passed to PartitionDevice
    
    When calling 'new_partition', historically the 'mountpoint'
    parameter was only passed onto the format class. It now
    also needs to be passed to PartitionDevice for GPT GUID
    based auto-discovery to work.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit 4c1026789c76e6a3a0ccf795aa0f97a3e42f5f8a
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Fri Oct 21 07:12:26 2022 -0400

    deviceaction: retain explicit part type UUID when formatting
    
    When applying a device format to a partition, ordinarily the
    format will implicitly result in a part type UUID being set.
    The set_flag/unset_flag methods can set an implicit UUID, as
    can the parted_partition.system property assignment.
    
    If the Partition class has an explicit part type UUID requested,
    and previously set when the partition was first created, this
    is liable to get lost during formatting setup. Thus need to
    re-apply the part type UUID when formatting.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit 225c3d980e021b7bb2f4093fdf502d2d4d3a076c
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Tue Oct 11 12:34:02 2022 -0400

    devices/partition: add ability to auto apply a GPT UUID
    
    Add optional parameter 'mountpoint' for the PartitionDevice
    object constructor. This is the path that the partition is
    intended to be mounted on. Note this does not imply the
    partition will be directly formatted with a filesystem,
    there may be intermediate formats such LUKS layered in
    before the filesystem.
    
    If the parent disk uses the 'gpt' disk label, then the
    mountpoint is used to lookup the well known partition
    type UUID associated with that path. This enables the
    OS to automatically discover which partitions can be
    used without needing to have an fstab.
    
    The partition auto-discovery logic is not enabled by
    default for the sake of backwards compatibility. It
    usage requires an opt-in by setting a flag
    
      from blivet.flags import flags
      flags.gpt_discoverable_partitions = True
    
    This means that code can be changed to unconditionally
    pass 'mountpoint' into PartitionDevice wherever it is
    available. The impact of passing this will be dormant
    until the flag is set to enable its usage.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit 9f71ae9e0bfb258827671121d56df39831c53c15
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Tue Oct 11 12:31:39 2022 -0400

    gpt: add helper API for discoverable partition UUIDs
    
    Certain mountpoints have been designated to use well known
    UUIDs, under the discoverable partitions spec:
    
       https://uapi-group.org/specifications/specs/discoverable_partitions_specification/
    
    This introduces a simple API for querying the UUID associated
    with a (mountpoint, arch) pair.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit 4fd51e692a6da9eaf7389d5cf43fc8a74b2bc1ef
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Tue Oct 4 10:11:10 2022 -0400

    devices/partition: allow passing partition type UUID
    
    If a partition type UUID is passed in to the add_partition
    method, use that to override the default parted chosen
    type UUID.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit fc9584ac211e53906b17b55ba6574f8c5dcc8b3a
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Tue Oct 4 10:09:30 2022 -0400

    formats/disklabel: allow passing partition type UUID
    
    If a partition type UUID is passed in to the add_partition
    method, use that to override the default parted chosen
    type UUID.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit 4d20714a9da5a30bd382d6f84fbe2077e73ea506
Merge: 0c61eca7 67403f7b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Sat Dec 17 17:45:44 2022 +0100

    Merge pull request #1059 from win32asm/3.5-devel
    
    Add a forced delay to udev settle in chroot environments

commit 67403f7b103b832c2b6a3143a61a2aba591f3670
Author: Vladimir Bespalov <vlad.bespalov@jetstreamsoft.com>
Date:   Thu Jun 23 16:09:32 2022 -0700

    Add a forced delay to udev settle in chroot environments
    
    When running in a chroot environment (e.g.mock) there is a race between
    udev actually settling the discovered loopback/dm device names and a
    program running 'udevadm settle', as latter becomes a no-op in chroot:
    
       <mock-chroot> sh-5.1# udevadm settle
       Running in chroot, ignoring request.
    
    This patch tries to determine whether it is running in chroot, mimicking
    the actions of systemd's running_in_chroot(), and do a 1s delay instead
    of settling with udevadm.
    
    1s delay was chosen arbitrary, to succeed in used environment.
    However, it should be sufficient for most chrooted environments, as
    significant device changes are not expected there.

commit 37643db8f62f10333a1aa9bbea65b3034370262c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Dec 16 14:21:58 2022 +0100

    Update public API documentation
    
    Adding some of the new public API classes we forgot to add when
    adding the new features: new filesystems, integrity and errors.

commit 0c61eca777aa9785cc32b7cfbb238c225ce707a2
Merge: 778a4ce1 ab7dd9cb
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Dec 13 13:47:38 2022 +0100

    Merge pull request #1077 from vojtechtrefny/3.6-devel_nvme-support
    
    Add a basic support for NVMe and NVMe Fabrics devices

commit b4c956f47e3a80493af3725066824b4187cee854
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Dec 13 10:58:38 2022 +0100

    tests/README: Clarify various test classes
    
    Few more changes needed after the storage/unit tests split.

commit 0829f30dbec9b70dea3103de5479f75acba0d719
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Dec 12 12:03:08 2022 +0100

    Rename unit_tests.storagetestcase to unit_tests.blivettestcase
    
    Having two storagetestcase classes and module could be confusing
    and these are unit tests that don't really touch any storage.

commit 778a4ce1bc47c5e9ce5c296a80ea1693b11be0b1
Merge: a65f6a1a bc7366a0
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Dec 9 15:54:59 2022 +0100

    Merge pull request #1084 from vojtechtrefny/3.7-devel_udf-support
    
    Add a basic read-only support for UDF filesystem

commit ab7dd9cb90c698dcd6f4903e02767897c0ac3d95
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Dec 8 13:15:33 2022 +0100

    Add additional identifiers to NVMeNamespaceDevice

commit c9808119f3e3a35081d17a800bbc6a0142062c0f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Dec 2 12:20:47 2022 +0100

    Add transport and address to NVMeController info

commit 12ba6cb9b7b7f60defb63095c900ea4fad579e84
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Dec 2 11:47:45 2022 +0100

    Make sure we close the streams when reading a file
    
    Python's garbage collector should close these automatically, but
    we shouldn't depend on that and close the file descriptor when no
    longer needed.

commit a65f6a1ac8ae35579d5a51ed6acfdf860974cbdd
Merge: 8e4ee133 fd0a538f
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Dec 2 10:28:22 2022 +0100

    Merge pull request #1090 from sharpenedblade/t2-mac-fix
    
    Do not report as `Mactel` for Apple Macs with the T2 chip

commit fd0a538f2fbdf7d6500f0684d986d1da2c460e01
Author: sharpenedblade <sharpenedblade@proton.me>
Date:   Tue Nov 29 16:04:14 2022 -0800

    Style changes.

commit 384878d10dc2fefd02fb43c45b5cd14c3fccff7b
Author: sharpenedblade <sharpenedblade@proton.me>
Date:   Mon Nov 28 17:01:40 2022 -0800

    Do not report mactel on T2 macs.

commit fb168fa3f3403dcacf4c644be86683f1c73dbd1e
Author: sharpenedblade <sharpenedblade@proton.me>
Date:   Mon Nov 28 16:57:08 2022 -0800

    Add function to check for T2 apple macs.

commit d86511b6af176b1d0305f4ed201e6311d547dabf
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 28 10:08:06 2022 +0100

    New version: 3.6.1

commit c7c7ce89edd8b015f4458f664589eb724df16f6a
Merge: 3632ce5e 4a6a846d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 28 10:07:12 2022 +0100

    Merge remote-tracking branch 'origin/3.6-devel' into 3.6-release

commit d71131940814f3509c21c1ce1959557a224e4e87
Merge: 77c66b4b 8e4ee133
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 25 07:24:39 2022 +0100

    Merge branch '3.7-devel'

commit 8e4ee13378c498e35c6c7c2f9763ab351a2e9ed9
Merge: a5e01551 4a6a846d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 25 07:24:38 2022 +0100

    Merge branch '3.6-devel' into 3.7-devel

commit 4a6a846de71e2dcea79ca567510db540c795540c
Merge: dce1a26e 6e5bea57
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 25 07:24:36 2022 +0100

    Merge branch '3.5-devel' into 3.6-devel

commit 6e5bea57683bf87a39cdb1b581c1470614dedb11
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Nov 25 07:24:05 2022 +0100

    misc: Remove "warn: false" from Ansible "command"
    
    The "warn" parameter has been removed in the latest Ansible
    release.

commit 77c66b4b3eb0e58fe832031ac294995016fe8975
Merge: d7fe556c a5e01551
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 24 08:28:36 2022 +0100

    Merge branch '3.7-devel'

commit a5e01551ddc22d4f952ac010a30a12d96b9e09c8
Merge: dce1a26e 9f42b102
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 24 07:05:13 2022 +0100

    Merge pull request #1083 from UOS-liang/3.7-devel
    
    add loongarch support

commit bc7366a03e86a3ea0402dc34ddedbc971b82e2c1
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Nov 21 11:04:40 2022 +0100

    Add a basic read-only support for UDF filesystem

commit 9f42b102cb4a2bea4fde03e06ac802be3969ea36
Author: mahailiang <mahailiang@uniontech.com>
Date:   Fri Nov 18 15:42:10 2022 +0800

    add loongarch support
    
    Signed-off-by: mahailiang <mahailiang@uniontech.com>

commit 0ea38c979b3225bdd6a0e0e25b3faaeae6a5e4d8
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 18 10:38:00 2022 +0200

    Add a basic support for NVMe and NVMe Fabrics devices
    
    This adds two new device types: NVMeNamespaceDevice and
    NVMeFabricsNamespaceDevice mostly to allow to differentiate
    between "local" and "remote" NVMe devices. The new libblockdev
    NVMe plugin is required for full functionality.

commit dce1a26e84af50e3e7f5812acb5ed6272702788f
Merge: 9b6ece8b 6237316b
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Nov 15 09:35:43 2022 +0100

    Merge pull request #1081 from vojtechtrefny/3.6-devel_spec-license-spdx
    
    spec: Change license string to the SPDX format required by Fedora

commit 6237316bed6f30136bbf7a79fdedf9a3baec5327
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 10 14:29:34 2022 +0100

    spec: Change license string to the SPDX format required by Fedora
    
    https://fedoraproject.org/wiki/Changes/SPDX_Licenses_Phase_1

commit 9b6ece8b831b97d68b65ef0acd5d62fb52bc1502
Merge: d68cbabc fc5a7426
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Nov 10 07:54:01 2022 +0100

    Merge pull request #1079 from vojtechtrefny/3.6-devel_btrfs-exception-fix
    
    Catch BlockDevNotImplementedError for btrfs plugin calls

commit fc5a74262c555497e0d7a4bc9b594a7b4171f063
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Nov 2 12:14:28 2022 +0100

    Catch BlockDevNotImplementedError for btrfs plugin calls
    
    This is a workaround for RHEL where the btrfs plugin is not
    available and where we might still try to call some libblockdev
    functions to gather information about preexisting btrfs devices.

commit 3632ce5e2801268a172bb9b8410731a67d21d326
Merge: 9f7d2a89 d68cbabc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 25 09:52:21 2022 +0200

    Merge remote-tracking branch 'origin/3.6-devel' into 3.6-release

commit d7fe556c3620146082dd3fed33e46f001cae6ec4
Merge: 96fb9559 d68cbabc
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 25 09:49:54 2022 +0200

    Merge branch '3.6-devel'

commit d68cbabc7c3dc568c6d1e430d60dff032322373e
Merge: 124b802f 93341d7c
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 24 15:56:32 2022 +0200

    Merge pull request #1075 from vojtechtrefny/3.6-devel_spec-part-plugin-remove
    
    spec: Fix recommended libblockdev plugins

commit 124b802f53d4ce6ce41f19fb6ea57b882510251a
Merge: 774a1fd1 51aec942
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Mon Oct 24 15:56:05 2022 +0200

    Merge pull request #1076 from vojtechtrefny/3.6-devel_fix-stratis-blockdev-pool
    
    Fix potential AttributeError when getting stratis blockdev info

commit 774a1fd131d08482226ae5332bdefba58c0fac93
Merge: 1d038bd1 077198dd
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 21 12:38:57 2022 +0200

    Merge pull request #1078 from berrange/vm-tests
    
    Improve and document VM tests

commit 077198dd5abf316e969c8baacdde282d4aa10ada
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Wed Oct 19 11:20:38 2022 -0400

    tests: document how to use the VM tests
    
    There is no mention of how to run the VM tests. They cannot
    work in a regular installed OS, rather assume existance of
    a Live CD environment with two disks present. Document how
    to create a suitable VM using virt-install.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit 3423d00c55d93376b53578a86cb12bf3d885f5fc
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Wed Oct 12 12:52:56 2022 -0400

    tests: allow filtering tests to run in VM
    
    Add a '--test PATTERN' command line arg to runvmtests.py
    to filter the test class name against a regular expression.
    This allows quickly re-running just one test scenario when
    debugging problems.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit d40b28d7675d761aeee5730f45e7062fb29ea767
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Wed Oct 12 12:51:46 2022 -0400

    tests: don't start/stop VM if it was already running
    
    Starting the VM and waiting 2 minutes for it to boot is
    a time sink if repeatedly re-running a test to debug
    mistakes. If the VM was already running, leave it alone
    on exit and skip the wait state.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit fee797892ec0e6dc696750d6482746631a408880
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Wed Oct 12 11:51:46 2022 -0400

    tests: use correct password arg for SSH to VM
    
    The runvmtests.py scripts takes two passwords, --virtpass
    for the connection to libvirt and --vmpass for the SSH
    connection to the guest. Unfortunately the code used
    --virtpass for both and ignored --vmpass. Fortunately it
    still worked if SSH public keys were setup for the VM.
    
    This shows, however, that the --vmpass arg should be
    marked optional too.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit 296f71ce7af428128a60e7b3c58a35563722c63b
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Wed Oct 12 11:49:24 2022 -0400

    tests: add logging to runvmtests.py
    
    The --verbose flag shows logging covering the steps in the
    test runner.
    
    The --debug flag enables logging of everything which, most
    notably, adds logging of paramiko's SSH negotiation.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit 51aec94252054cf7610a238ef5ffbd9271ec47a2
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 18 12:28:37 2022 +0200

    Fix potential AttributeError when getting stratis blockdev info

commit 93341d7c0fd519f3624213e4562d35b6129b4f07
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Tue Oct 18 08:35:21 2022 +0200

    spec: Fix recommended libblockdev plugins
    
    We are not using the part, fs and kbd plugins in blivet. The s390
    plugin is available only on s390x.

commit 1d038bd144c894482045d22e11bc2b76b48bd0af
Merge: eccfb53f e218832e
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Fri Oct 14 06:07:19 2022 +0200

    Merge pull request #1074 from berrange/test-unused-vars
    
    tests: remove unused global variables

commit e218832efb0e2ac01a6555db7d01ab604b4f3509
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Tue Oct 11 08:05:53 2022 -0400

    tests: remove unused global variables
    
    These variables appear to have been copied over from the
    tests/unit_tests/devices_test/partition_test.py but are
    not used.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit eccfb53fa8df9013960755b4b839ad07a455eb8a
Merge: eda4da42 95d7943d
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Thu Oct 6 08:12:04 2022 +0200

    Merge pull request #1073 from VladimirSlavik/3.6-port-total_memory-from-anaconda
    
    Backport total_memory improvements from anaconda

commit 95d7943dbd8ff04b9184526ec5e6fac9350cfb3c
Author: Vladimir Slavik <vslavik@redhat.com>
Date:   Wed Oct 5 13:36:41 2022 +0200

    Backport total_memory improvements from anaconda
    
    The version used is a merger of the original blivet code and anaconda's
    counterpart from commit f22386ef. Note that the referenced commit has not been
    merged, and so isn't reachable in the repository itself. See below for
    relevant GitHub links. Note also that the function in anaconda has been
    retired in favor of using the blivet's one.
    
    New:
    - checks for bad input
    - check for no data
    - tests
    
    See also:
    - https://github.com/rhinstaller/anaconda/pull/4338
    - https://github.com/rhinstaller/anaconda/commit/f22386efafe33df7f8182e65aaf99279904344c6

commit 96fb9559141b8f26b3f230d4ab1457a922a9f0be
Merge: 61d4ed45 eda4da42
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 5 11:48:02 2022 +0200

    Merge branch '3.6-devel'

commit eda4da42becba5cec565b62ca9291657cdece0a3
Merge: badffc78 108f4a47
Author: Vojtech Trefny <vtrefny@redhat.com>
Date:   Wed Oct 5 10:24:47 2022 +0200

    Merge pull request #1072 from vojtechtrefny/3.6-devel_ext-version-optional-rc
    
    Fix regex for checking e2fsprogs version

